Ticket #247 (closed bug: fixed)

Opened 11 years ago

Last modified 11 years ago

896HD only successfully connects in jackd at 192000

Reported by: sireasoning Assigned to: jwoithe
Priority: major Milestone:
Component: Version: FFADO 2.0-rc2 (1.999.42)
Keywords: Cc:
The device the bug applies to: Motu 896HD

Description

If I try to connect at any other setting besides 192000 on my MOTU 896HD, then jackd fails. What makes matters worse is that ffado-mixer fails when the unit is set to 192000. Below is the ffado-mixer output at 192000:

DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x1486' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0xAF2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Echo"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"AudioFire?2"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'mixer' DEBUG:configparser: Got name 'mixer' DEBUG:configparser: parsevalue() called on token '"AudioFireMixer?"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x1486' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0xAF4' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Echo"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"AudioFire?4"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'mixer' DEBUG:configparser: Got name 'mixer' DEBUG:configparser: parsevalue() called on token '"AudioFireMixer?"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x1486' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0xAF8' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Echo"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"AudioFire?8"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'mixer' DEBUG:configparser: Got name 'mixer' DEBUG:configparser: parsevalue() called on token '"AudioFireMixer?"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x1486' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0xAF12' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Echo"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"AudioFire?12"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'mixer' DEBUG:configparser: Got name 'mixer' DEBUG:configparser: parsevalue() called on token '"AudioFireMixer?"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x1486' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0xAF12D' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Echo"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"AudioFire?12HD"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x1486' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0xF8' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Echo"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"Fireworks 8"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x1486' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0xAFD1' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Echo"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"FW HDMI"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0xFF2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0x400F' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Mackie"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"Onyx 400F"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0xFF2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0x1200F' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Mackie"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"Onyx 1200F"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x00001260' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0x00001000' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Stanton DJ"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"SCS.1m"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '3' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_max_cycles_early_transmit' DEBUG:configparser: Got name 'xmit_max_cycles_early_transmit' DEBUG:configparser: parsevalue() called on token '4' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'xmit_sp_dll_bw' DEBUG:configparser: Got name 'xmit_sp_dll_bw' DEBUG:configparser: parsevalue() called on token '1' DEBUG:configparser: parsenamedvalue() called on token '.' DEBUG:configparser: Got name '.' DEBUG:configparser: parsenamedvalue() will return None! DEBUG:configparser: parsenamedvalue() called on token ';' DEBUG:configparser: parsenamedvalue() will return None! DEBUG:configparser: parsenamedvalue() called on token 'recv_sp_dll_bw' DEBUG:configparser: Got name 'recv_sp_dll_bw' DEBUG:configparser: parsevalue() called on token '1' DEBUG:configparser: parsenamedvalue() called on token '.' DEBUG:configparser: Got name '.' DEBUG:configparser: parsenamedvalue() will return None! DEBUG:configparser: parsenamedvalue() called on token ';' DEBUG:configparser: parsenamedvalue() will return None! DEBUG:configparser: Map ended with '}' and ',' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token '{' DEBUG:configparser: Will parse map DEBUG:configparser: parsenamedvalue() called on token 'vendorid' DEBUG:configparser: Got name 'vendorid' DEBUG:configparser: parsevalue() called on token '0x0001f2' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelid' DEBUG:configparser: Got name 'modelid' DEBUG:configparser: parsevalue() called on token '0x00000000' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'vendorname' DEBUG:configparser: Got name 'vendorname' DEBUG:configparser: parsevalue() called on token '"Motu"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'modelname' DEBUG:configparser: Got name 'modelname' DEBUG:configparser: parsevalue() called on token '"All of them"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'driver' DEBUG:configparser: Got name 'driver' DEBUG:configparser: parsevalue() called on token '10' DEBUG:configparser: Found a delimiter! DEBUG:configparser: parsenamedvalue() called on token 'mixer' DEBUG:configparser: Got name 'mixer' DEBUG:configparser: parsevalue() called on token '"MotuMixer?"' DEBUG:configparser: Found a delimiter! DEBUG:configparser: Map ended with '}' and ')' DEBUG:configparser: list is [{'vendorid': '0x00000f', 'modelname': 'Onyx Firewire', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'Mackie', 'modelid': '0x00010065'}, {'vendorid': '0x00000f', 'modelname': 'Onyx Firewire', 'driver': '1', 'mixer': 'MackieOnyxMixer?', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'Mackie', 'modelid': '0x00010067'}, {'vendorid': '0x0003db', 'modelname': 'Rosetta 200', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'Apogee Electronics', 'modelid': '0x00010048'}, {'vendorid': '0x0007f5', 'modelname': 'RD Audio1', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'BridgeCo?', 'modelid': '0x00010048'}, {'vendorid': '0x0007f5', 'modelname': 'Audio 5', 'driver': '1', 'mixer': 'BCoAudio5Control', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'BridgeCo?', 'modelid': '0x00010049'}, {'vendorid': '0x000a92', 'modelname': 'FIREBOX', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'PreSonus?', 'modelid': '0x00010000'}, {'vendorid': '0x000a92', 'modelname': 'FirePOD', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'PreSonus?', 'modelid': '0x00010066'}, {'vendorid': '0x000aac', 'modelname': 'Phase 88 FW', 'driver': '1', 'mixer': 'Phase88Control', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'TerraTec? Electronic GmbH', 'modelid': '0x00000003'}, {'vendorid': '0x000aac', 'modelname': 'Phase X24 FW (model version 4)', 'driver': '1', 'mixer': 'Phase24Control', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'TerraTec? Electronic GmbH', 'modelid': '0x00000004'}, {'vendorid': '0x000aac', 'modelname': 'Phase X24 FW (model version 7)', 'driver': '1', 'mixer': 'Phase24Control', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'TerraTec? Electronic GmbH', 'modelid': '0x00000007'}, {'vendorid': '0x000f1b', 'modelname': 'Quatafire 610', 'driver': '1', 'mixer': 'QuataFireMixer?', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'ESI', 'modelid': '0x00010064'}, {'vendorid': '0x00130e', 'modelname': 'Saffire Pro26IO', 'driver': '1', 'mixer': 'SaffireProMixer?', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'Focusrite', 'modelid': '0x00000003'}, {'vendorid': '0x00130e', 'modelname': 'Saffire Pro10IO', 'driver': '1', 'mixer': 'SaffireProMixer?', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'Focusrite', 'modelid': '0x00000006'}, {'vendorid': '0x00130e', 'modelname': 'Saffire (LE)', 'driver': '1', 'cmd_interval_time': '10000', 'mixer': 'SaffireMixer?', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'Focusrite', 'modelid': '0x00000000'}, {'vendorid': '0x0040ab', 'modelname': 'FA-66', 'driver': '1', 'mixer': 'EdirolFa?66Control', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'EDIROL', 'modelid': '0x00010049'}, {'vendorid': '0x0040ab', 'modelname': 'FA-101', 'driver': '1', 'mixer': 'EdirolFa?101Control', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'EDIROL', 'modelid': '0x00010048'}, {'vendorid': '0x000d6c', 'modelname': 'FW Solo', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'M-Audio', 'modelid': '0x00010062'}, {'vendorid': '0x000d6c', 'modelname': 'NRV10', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'M-Audio', 'modelid': '0x00010081'}, {'vendorid': '0x000d6c', 'modelname': 'FW Audiophile', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'M-Audio', 'modelid': '0x00010060'}, {'vendorid': '0x000d6c', 'modelname': 'ProFire? Lightbridge', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'M-Audio', 'modelid': '0x000100A1'}, {'vendorid': '0x000aac', 'modelname': 'eAR Master One', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'Acoustic Reality', 'modelid': '0x00000002'}, {'vendorid': '0x0000000A', 'modelname': 'Matrix K FW', 'driver': '1', 'xmit_max_cycles_early_transmit': '4', 'vendorname': 'CME', 'modelid': '0x00030000'}, {'vendorid': '0x1486', 'modelname': 'AudioFire?2', 'driver': '2', 'mixer': 'AudioFireMixer?', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Echo', 'modelid': '0xAF2'}, {'vendorid': '0x1486', 'modelname': 'AudioFire?4', 'driver': '2', 'mixer': 'AudioFireMixer?', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Echo', 'modelid': '0xAF4'}, {'vendorid': '0x1486', 'modelname': 'AudioFire?8', 'driver': '2', 'mixer': 'AudioFireMixer?', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Echo', 'modelid': '0xAF8'}, {'vendorid': '0x1486', 'modelname': 'AudioFire?12', 'driver': '2', 'mixer': 'AudioFireMixer?', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Echo', 'modelid': '0xAF12'}, {'vendorid': '0x1486', 'modelname': 'AudioFire?12HD', 'driver': '2', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Echo', 'modelid': '0xAF12D'}, {'vendorid': '0x1486', 'modelname': 'Fireworks 8', 'driver': '2', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Echo', 'modelid': '0xF8'}, {'vendorid': '0x1486', 'modelname': 'FW HDMI', 'driver': '2', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Echo', 'modelid': '0xAFD1'}, {'vendorid': '0xFF2', 'modelname': 'Onyx 400F', 'driver': '2', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Mackie', 'modelid': '0x400F'}, {'vendorid': '0xFF2', 'modelname': 'Onyx 1200F', 'driver': '2', 'xmit_max_cycles_early_transmit': '2', 'vendorname': 'Mackie', 'modelid': '0x1200F'}, {'vendorid': '0x00001260', 'modelname': 'SCS.1m', 'driver': '3', 'recv_sp_dll_bw': '1', 'xmit_max_cycles_early_transmit': '4', 'xmit_sp_dll_bw': '1', 'vendorname': 'Stanton DJ', 'modelid': '0x00001000'}, {'vendorid': '0x0001f2', 'modelname': 'All of them', 'driver': '10', 'mixer': 'MotuMixer?', 'vendorname': 'Motu', 'modelid': '0x00000000'}] DEBUG:configparser:Found a delimiter! DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x00000f, 0x00010065 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x00000f, 0x00010067 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x0003db, 0x00010048 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x0007f5, 0x00010048 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x0007f5, 0x00010049 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000a92, 0x00010000 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000a92, 0x00010066 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000aac, 0x00000003 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000aac, 0x00000004 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000aac, 0x00000007 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000f1b, 0x00010064 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x00130e, 0x00000003 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x00130e, 0x00000006 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x00130e, 0x00000000 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x0040ab, 0x00010049 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x0040ab, 0x00010048 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000d6c, 0x00010062 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000d6c, 0x00010081 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000d6c, 0x00010060 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000d6c, 0x000100A1 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x000aac, 0x00000002 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x0000000A, 0x00030000 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x1486, 0xAF2 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x1486, 0xAF4 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x1486, 0xAF8 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x1486, 0xAF12 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x1486, 0xAF12D ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x1486, 0xF8 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x1486, 0xAFD1 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0xFF2, 0x400F ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0xFF2, 0x1200F ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x00001260, 0x00001000 ) DEBUG:configparser:DeviceList::addDevice() DEBUG:configparser:DeviceList::getDeviceById( 0x0001f2, 0x00000000 ) DEBUG:dbus:connecting to: Updated on /org/ffado/Control/DeviceManager (server: org.ffado.Control) DEBUG:panelmanager:PanelManager::updatePanels() DEBUG:panelmanager:going to add 0001f20000015a02 DEBUG:panelmanager:Adding device 0: 0001f20000015a02 DEBUG:panelmanager: Found (0001f20000015a02, 1F2, 102800) DEBUG:registration:show dialog... DEBUG:registration:user chose to send DEBUG:registration:registration successful DEBUG:configparser:DeviceList::getDeviceById( 498, 0 ) DEBUG:motu:device streaming flag: 1 DEBUG:motu:device model identifier: 6 DEBUG:motu:device sample rate: 192000 DEBUG:motu:Disabling controls which require inactive streaming DEBUG:motu:Disabling controls not present above 96 kHz DEBUG:motu:Disabling controls not present above 48 kHz Traceback (most recent call last):

File "/usr/share/libffado1/python/ffado_panelmanager.py", line 344, in updatePanels

mixerwidget.initValues()

File "/usr/share/libffado1/python/mixer_motu.py", line 665, in initValues

self.mix1_adat5.setEnabled(False)

AttributeError?: 'MotuMixer?' object has no attribute 'mix1_adat5'

Attachments

jackd 44100 (70.6 kB) - added by sireasoning on 12/29/09 01:41:26.
jackd 96000 (81.8 kB) - added by sireasoning on 12/29/09 01:42:16.
jackd 192000 (284.8 kB) - added by sireasoning on 12/29/09 01:42:38.
44.1k (153.4 kB) - added by sireasoning on 01/05/10 19:52:25.
ctrl-c at 44.1k
96k (205.7 kB) - added by sireasoning on 01/05/10 19:53:10.
ctrl-c at 96k
192k (203.1 kB) - added by sireasoning on 01/05/10 19:54:08.
ctrl-c at 192k

Change History

12/25/09 00:02:29 changed by sireasoning

  • version changed from FFADO 2.0.0 to FFADO 2.0-rc2 (1.999.42).
  • milestone changed from FFADO 2.1 to FFADO 2.0.

This is using 2.0~rc2+svn1569-2ubuntu1 and jackd 0.116.1-4ubuntu2 in Ubuntu Karmic

12/28/09 13:04:44 changed by arnonym

  • device_name set to Motu 896HD.

12/28/09 15:25:00 changed by jwoithe

  • owner set to jwoithe.

I think there are two separate problems being reported here.

The first is the error when starting ffado-mixer with the 896HD set to 4x mode. Svn r1767 contains a fix which should address this.

The issue of jackd "failing" with your 896HD when not set to a 4x rate requires more investigation. Certainly the 896HD has worked at 1x and 2x rates in the past so I doubt there's a huge problem involved. To start with, could you please describe in more detail what happens when you try to start jackd at a 1x or 2x rate, along with the jackd command line you used to start jackd? If any error messages are reported by jackd could you please provide them. Finally, could you please run jackd including "-v 5" somewhere after the "-d firewire" option; this will provide additional debugging output and perhaps give a better idea of what exactly is going wrong.

Could you also please provide the output of the "uname -a" command when run in a terminal?

12/28/09 15:31:30 changed by jwoithe

Note: r1768 addresses the 4x rate mixer bug in the 2.0 branch.

12/28/09 22:34:17 changed by sireasoning

both r1768 and r1767 resolve the ffado-mixer issue (same fix actually.)

# uname -a

Linux ubuntu-studio 2.6.31-9-rt #152-Ubuntu SMP PREEMPT RT Thu Oct 15 13:22:24 UTC 2009 x86_64 GNU/Linux


below are jackd at 44100, 96000 and 192000. Notice that for some reason 192000 does not work now either. It is the only setting that worked in the past, but even then it was finicky and I don't know why it did. Previously, I used the gui program Jack Control and I pulled the jackd line from the .jackdrc file.

# /usr/bin/jackd -R -dfirewire -r44100 -p512 -n3 -v5 no message buffer overruns jackd 0.116.1 Copyright 2001-2005 Paul Davis and others. jackd comes with ABSOLUTELY NO WARRANTY This is free software, and you are welcome to redistribute it under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support. loading driver .. SSE2 detected 348383587409: (ffado.cpp)[ 92] ffado_streaming_init: libffado 1.999.43 built Sep 17 2009 20:06:09 348383652480: Debug (devicemanager.cpp)[ 332] discover: Starting discovery... 348383774277: Debug (devicemanager.cpp)[ 594] discover: driver found for device 0 348383774481: Debug (devicemanager.cpp)[ 631] discover: discovery of node 0 on port 0 done... 348383774490: Debug (devicemanager.cpp)[ 639] discover: Discovery finished... 348383774526: Debug (devicemanager.cpp)[1184] showDeviceInfo: ===== Device Manager ===== 348383774535: Debug (Element.cpp)[ 121] show: Element DeviceManager? 348383774538: Debug (devicemanager.cpp)[1192] showDeviceInfo: --- IEEE1394 Service 0 --- Iso handler info: Dumping IsoHandlerManager? Stream handler information...

State: 2

348383774552: Debug (devicemanager.cpp)[1202] showDeviceInfo: --- Device 0 --- 348383774556: Debug (devicemanager.cpp)[1205] showDeviceInfo: Clock sync sources: 348383774570: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: Internal , Id: 0, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Internal sync 348383774575: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: ADAT , Id: 1, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT optical 348383774579: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: SPDIF , Id: 2, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: SPDIF/Toslink 348383774583: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: Erratic type , Id: 3, Valid: 0, Active: 0, Locked 0, Slipping: 0, Description: SMPTE 348383774587: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: WordClock? , Id: 4, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Wordclock 348383774591: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: ADAT , Id: 5, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT 9-pin 348383774595: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: AES , Id: 7, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: AES/EBU 348383813578: Debug (motu_avdevice.cpp)[1343] prepare: Preparing MotuDevice?...

Handler type................: Receive Port, Channel...............: 0, 4 Buffer, MaxPacketSize?, IRQ..: 64, 624, 32 Last cycle, dropped.........: -1, 0, 0 Handler type................: Transmit Port, Channel...............: 0, 5 Buffer, MaxPacketSize?, IRQ..: 128, 624, 46 Speed, PreBuffers?...........: 2, 0 Min ISOXMT bufferfill : 7999 Last cycle, dropped.........: -1, 0, 0

Segmentation fault


# /usr/bin/jackd -R -dfirewire -r96000 -p512 -n3 -v5 no message buffer overruns jackd 0.116.1 Copyright 2001-2005 Paul Davis and others. jackd comes with ABSOLUTELY NO WARRANTY This is free software, and you are welcome to redistribute it under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support. loading driver .. SSE2 detected 348464542129: (ffado.cpp)[ 92] ffado_streaming_init: libffado 1.999.43 built Sep 17 2009 20:06:09 348464609112: Debug (devicemanager.cpp)[ 332] discover: Starting discovery... 348464733570: Debug (devicemanager.cpp)[ 594] discover: driver found for device 0 348464733775: Debug (devicemanager.cpp)[ 631] discover: discovery of node 0 on port 0 done... 348464733784: Debug (devicemanager.cpp)[ 639] discover: Discovery finished... 348464733819: Debug (devicemanager.cpp)[1184] showDeviceInfo: ===== Device Manager ===== 348464733827: Debug (Element.cpp)[ 121] show: Element DeviceManager? 348464733831: Debug (devicemanager.cpp)[1192] showDeviceInfo: --- IEEE1394 Service 0 --- Iso handler info: Dumping IsoHandlerManager? Stream handler information...

State: 2

348464733846: Debug (devicemanager.cpp)[1202] showDeviceInfo: --- Device 0 --- 348464733850: Debug (devicemanager.cpp)[1205] showDeviceInfo: Clock sync sources: 348464733864: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: Internal , Id: 0, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Internal sync 348464733869: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: ADAT , Id: 1, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT optical 348464733873: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: SPDIF , Id: 2, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: SPDIF/Toslink 348464733877: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: Erratic type , Id: 3, Valid: 0, Active: 0, Locked 0, Slipping: 0, Description: SMPTE 348464733881: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: WordClock? , Id: 4, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Wordclock 348464733885: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: ADAT , Id: 5, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT 9-pin 348464733890: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: AES , Id: 7, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: AES/EBU 348464773029: Debug (motu_avdevice.cpp)[1343] prepare: Preparing MotuDevice?...

Handler type................: Transmit Port, Channel...............: 0, 7 Buffer, MaxPacketSize?, IRQ..: 128, 1040, 21 Speed, PreBuffers?...........: 2, 0 Min ISOXMT bufferfill : 7999 Last cycle, dropped.........: -1, 0, 0 Handler type................: Receive Port, Channel...............: 0, 6 Buffer, MaxPacketSize?, IRQ..: 64, 1040, 21 Last cycle, dropped.........: -1, 0, 0

*** glibc detected *** /usr/bin/jackd: double free or corruption (!prev): 0x0000000001e56d50 *** ======= Backtrace: ========= /lib/libc.so.6[0x7f72a62abdd6] /lib/libc.so.6(cfree+0x6c)[0x7f72a62b070c] /usr/lib/libffado.so.1(_ZN9Streaming15StreamProcessor15transferSilenceEj+0x150)[0x7f72a54fc460] /usr/lib/libffado.so.1(_ZN9Streaming15StreamProcessor21doWaitForStreamEnableEv+0x1c8)[0x7f72a54fb7ce] /usr/lib/libffado.so.1(_ZN9Streaming15StreamProcessor11updateStateEv+0x1ce)[0x7f72a54fbeba] /usr/lib/libffado.so.1(_ZN9Streaming15StreamProcessor9getPacketEPhPjS1_S1_jjjj+0xed9)[0x7f72a54f8757] /usr/lib/libffado.so.1(_ZN10IsoHandler9getPacketEPhPjS0_S0_ijj+0x62e)[0x7f72a54e39f4] /usr/lib/libffado.so.1(_ZN10IsoHandler20iso_transmit_handlerEP14raw1394_handlePhPjS2_S2_ij+0xa1)[0x7f72a54e2027] /usr/lib/libraw1394.so.11(_ieee1394_iso_iterate+0x28d)[0x7f72a4a8058d] /usr/lib/libraw1394.so.11(ieee1394_loop_iterate+0x9a)[0x7f72a4a7f85a] /usr/lib/libffado.so.1(_ZN10IsoHandler7iterateEj+0x65)[0x7f72a54e2869] /usr/lib/libffado.so.1(_ZN7IsoTask7ExecuteEv+0x65e)[0x7f72a54e571c] /usr/lib/libffado.so.1(_ZN4Util11PosixThread13ThreadHandlerEPv+0x14d)[0x7f72a550ab99] /lib/libpthread.so.0[0x7f72a6fb2a04] /lib/libc.so.6(clone+0x6d)[0x7f72a63157bd] ======= Memory map: ======== 00400000-00405000 r-xp 00000000 08:05 192487 /usr/bin/jackd 00604000-00605000 r--p 00004000 08:05 192487 /usr/bin/jackd 00605000-00606000 rw-p 00005000 08:05 192487 /usr/bin/jackd 01c03000-01f03000 rw-p 00000000 00:00 0 [heap] 7f7298000000-7f7298021000 rw-p 00000000 00:00 0 7f7298021000-7f729c000000 ---p 00000000 00:00 0 7f729ef56000-7f729ef57000 ---p 00000000 00:00 0 7f729ef57000-7f729efd7000 rw-p 00000000 00:00 0 7f729efd7000-7f729efd8000 ---p 00000000 00:00 0 7f729efd8000-7f729f7d8000 rw-p 00000000 00:00 0 7f729f7d8000-7f729f7d9000 ---p 00000000 00:00 0 7f729f7d9000-7f729ffd9000 rw-p 00000000 00:00 0 7f729ffd9000-7f729ffda000 ---p 00000000 00:00 0 7f729ffda000-7f72a07da000 rw-p 00000000 00:00 0 7f72a07da000-7f72a07db000 ---p 00000000 00:00 0 7f72a07db000-7f72a0fdb000 rw-p 00000000 00:00 0 7f72a0fdb000-7f72a0fdc000 ---p 00000000 00:00 0 7f72a0fdc000-7f72a17dc000 rw-p 00000000 00:00 0 7f72a17dc000-7f72a17dd000 ---p 00000000 00:00 0 7f72a17dd000-7f72a1fdd000 rw-p 00000000 00:00 0 7f72a1fdd000-7f72a1fde000 ---p 00000000 00:00 0 7f72a1fde000-7f72a27de000 rw-p 00000000 00:00 0 7f72a27de000-7f72a280b000 r-xp 00000000 08:05 1696 /lib/libpcre.so.3.12.1 7f72a280b000-7f72a2a0a000 ---p 0002d000 08:05 1696 /lib/libpcre.so.3.12.1 7f72a2a0a000-7f72a2a0b000 r--p 0002c000 08:05 1696 /lib/libpcre.so.3.12.1 7f72a2a0b000-7f72a2a0c000 rw-p 0002d000 08:05 1696 /lib/libpcre.so.3.12.1 7f72a2a0c000-7f72a2a0f000 r-xp 00000000 08:05 131084 /usr/lib/libgmodule-2.0.so.0.2200.3 7f72a2a0f000-7f72a2c0e000 ---p 00003000 08:05 131084 /usr/lib/libgmodule-2.0.so.0.2200.3 7f72a2c0e000-7f72a2c0f000 r--p 00002000 08:05 131084 /usr/lib/libgmodule-2.0.so.0.2200.3 7f72a2c0f000-7f72a2c10000 rw-p 00003000 08:05 131084 /usr/lib/libgmodule-2.0.so.0.2200.3 7f72a2c10000-7f72a2c26000 r-xp 00000000 08:05 900 /lib/libz.so.1.2.3.3 7f72a2c26000-7f72a2e25000 ---p 00016000 08:05 900 /lib/libz.so.1.2.3.3 7f72a2e25000-7f72a2e26000 r--p 00015000 08:05 900 /lib/libz.so.1.2.3.3 7f72a2e26000-7f72a2e27000 rw-p 00016000 08:05 900 /lib/libz.so.1.2.3.3 7f72a2e27000-7f72a2e28000 ---p 00000000 00:00 0 7f72a2e28000-7f72a3628000 rw-p 00000000 00:00 0 7f72a3631000-7f72a3671000 rw-s 00000000 00:0f 3930 /dev/raw1394 7f72a3671000-7f72a3687000 r-xp 00000000 08:05 419 /lib/libgcc_s.so.1 7f72a3687000-7f72a3886000 ---p 00016000 08:05 419 /lib/libgcc_s.so.1 7f72a3886000-7f72a3887000 r--p 00015000 08:05 419 /lib/libgcc_s.so.1 7f72a3887000-7f72a3888000 rw-p 00016000 08:05 419 /lib/libgcc_s.so.1 7f72a3888000-7f72a397a000 r-xp 00000000 08:05 131626 /usr/lib/libstdc++.so.6.0.13 7f72a397a000-7f72a3b7a000 ---p 000f2000 08:05 131626 /usr/lib/libstdc++.so.6.0.13 7f72a3b7a000-7f72a3b81000 r--p 000f2000 08:05 131626 /usr/lib/libstdc++.so.6.0.13 7f72a3b81000-7f72a3b83000 rw-p 000f9000 08:05 131626 /usr/lib/libstdc++.so.6.0.13 7f72a3b83000-7f72a3b98000 rw-p 00000000 00:00 0 7f72a3b98000-7f72a3c5d000 r-xp 00000000 08:05 1039 /lib/libglib-2.0.so.0.2200.3 7f72a3c5d000-7f72a3e5c000 ---p 000c5000 08:05 1039 /lib/libglib-2.0.so.0.2200.3 7f72a3e5c000-7f72a3e5d000 r--p 000c4000 08:05 1039 /lib/libglib-2.0.so.0.2200.3 7f72a3e5d000-7f72a3e5e000 rw-p 000c5000 08:05 1039 /lib/libglib-2.0.so.0.2200.3 7f72a3e5e000-7f72a3e5f000 rw-p 00000000 00:00 0 7f72a3e5f000-7f72a3e64000 r-xp 00000000 08:05 135409 /usr/lib/libsigc-2.0.so.0.0.0 7f72a3e64000-7f72a4063000 ---p 00005000 08:05 135409 /usr/lib/libsigc-2.0.so.0.0.0 7f72a4063000-7f72a4064000 r--p 00004000 08:05 135409 /usr/lib/libsigc-2.0.so.0.0.0 7f72a4064000-7f72a4065000 rw-p 00005000 08:05 135409 /usr/lib/libsigc-2.0.so.0.0.0 7f72a4065000-7f72a40a9000 r-xp 00000000 08:05 131083 /usr/lib/libgobject-2.0.so.0.2200.3 7f72a40a9000-7f72a42a9000 ---p 00044000 08:05 131083 /usr/lib/libgobject-2.0.so.0.2200.3 7f72a42a9000-7f72a42aa000 r--p 00044000 08:05 131083 /usr/lib/libgobject-2.0.so.0.2200.3 7f72a42aa000-7f72a42ab000 rw-p 00045000 08:05 131083 /usr/lib/libgobject-2.0.so.0.2200.3 7f72a42ab000-7f72a42ac000 rw-p 00000000 00:00 0 7f72a42ac000-7f72a4302000 r-xp 00000000 08:05 185550 /usr/lib/libglibmm-2.4.so.1.2.0 7f72a4302000-7f72a4501000 ---p 00056000 08:05 185550 /usr/lib/libglibmm-2.4.so.1.2.0 7f72a4501000-7f72a4503000 r--p 00055000 08:05 185550 /usr/lib/libglibmm-2.4.so.1.2.0 7f72a4503000-7f72a4505000 rw-p 00057000 08:05 185550 /usr/lib/libglibmm-2.4.so.1.2.0 7f72a4505000-7f72a4649000 r-xp 00000000 08:05 135689 /usr/lib/libxml2.so.2.7.5 7f72a4649000-7f72a4848000 ---p 00144000 08:05 135689 /usr/lib/libxml2.so.2.7.5 7f72a4848000-7f72a4850000 r--p 00143000 08:05 135689 /usr/lib/libxml2.so.2.7.5 7f72a4850000-7f72a4852000 rw-p 0014b000 08:05 135689 /usr/lib/libxml2.so.2.7.5 7f72a4852000-7f72a4853000 rw-p 00000000 00:00 0 7f72a4853000-7f72a4878000 r-xp 00000000 08:05 191154 /usr/lib/libxml++-2.6.so.2.0.7 7f72a4878000-7f72a4a77000 ---p 00025000 08:05 191154 /usr/lib/libxml++-2.6.so.2.0.7 7f72a4a77000-7f72a4a79000 r--p 00024000 08:05 191154 /usr/lib/libxml++-2.6.so.2.0.7 7f72a4a79000-7f72a4a7a000 rw-p 00026000 08:05 191154 /usr/lib/libxml++-2.6.so.2.0.7 7f72a4a7a000-7f72a4a87000 r-xp 00000000 08:05 191116 /usr/lib/libraw1394.so.11.0.1 7f72a4a87000-7f72a4c86000 ---p 0000d000 08:05 191116 /usr/lib/libraw1394.so.11.0.1 7f72a4c86000-7f72a4c87000 r--p 0000c000 08:05 191116 /usr/lib/libraw1394.so.11.0.1 7f72a4c87000-7f72a4c88000 rw-p 0000d000 08:05 191116 /usr/lib/libraw1394.so.11.0.1 7f72a4c88000-7f72a4c94000 r-xp 00000000 08:05 191139 /usr/lib/libiec61883.so.0.1.1 7f72a4c94000-7f72a4e93000 ---p 0000c000 08:05 191139 /usr/lib/libiec61883.so.0.1.1 7f72a4e93000-7f72a4e94000 r--p 0000b000 08:05 191139 /usr/lib/libiec61883.so.0.1.1 7f72a4e94000-7f72a4e95000 rw-p 0000c000 08:05 191139 /usr/lib/libiec61883.so.0.1.1 7f72a4e95000-7f72a4ebb000 r-xp 00000000 08:05 5288 /lib/libexpat.so.1.5.2 7f72a4ebb000-7f72a50bb000 ---p 00026000 08:05 5288 /lib/libexpat.so.1.5.2 7f72a50bb000-7f72a50bd000 r--p 00026000 08:05 5288 /lib/libexpat.so.1.5.2 7f72a50bd000-7f72a50be000 rw-p 00028000 08:05 5288 /lib/libexpat.so.1.5.2 7f72a50be000-7f72a5198000 r-xp 00000000 08:05 153699 /usr/lib/libasound.so.2.0.0 7f72a5198000-7f72a5397000 ---p 000da000 08:05 153699 /usr/lib/libasound.so.2.0.0 7f72a5397000-7f72a539d000 r--p 000d9000 08:05 153699 /usr/lib/libasound.so.2.0.0 7f72a539d000-7f72a539e000 rw-p 000df000 08:05 153699 /usr/lib/libasound.so.2.0.0 7f72a539e000-7f72a561f000 r-xp 00000000 08:05 191172 /usr/lib/libffado.so.1.999.43 7f72a561f000-7f72a581e000 ---p 00281000 08:05 191172 /usr/lib/libffado.so.1.999.43 7f72a581e000-7f72a582d000 r--p 00280000 08:05 191172 /usr/lib/libffado.so.1.999.43 7f72a582d000-7f72a582e000 rw-p 0028f000 08:05 191172 /usr/lib/libffado.so.1.999.43 7f72a582e000-7f72a582f000 rw-p 00000000 00:00 0 7f72a582f000-7f72a5834000 r-xp 00000000 08:05 185196 /usr/lib/jack/jack_firewire.so 7f72a5834000-7f72a5a33000 ---p 00005000 08:05 185196 /usr/lib/jack/jack_firewire.so 7f72a5a33000-7f72a5a34000 r--p 00004000 08:05 185196 /usr/lib/jack/jack_firewire.so 7f72a5a34000-7f72a5a35000 rw-p 00005000 08:05 185196 /usr/lib/jack/jack_firewire.so 7f72a5a35000-7f72a5a36000 ---p 00000000 00:00 0 7f72a5a36000-7f72a6236000 rw-p 00000000 00:00 0 7f72a6236000-7f72a639c000 r-xp 00000000 08:05 1883 /lib/libc-2.10.1.so 7f72a639c000-7f72a659b000 ---p 00166000 08:05 1883 /lib/libc-2.10.1.so 7f72a659b000-7f72a659f000 r--p 00165000 08:05 1883 /lib/libc-2.10.1.so 7f72a659f000-7f72a65a0000 rw-p 00169000 08:05 1883 /lib/libc-2.10.1.so 7f72a65a0000-7f72a65a5000 rw-p 00000000 00:00 0 7f72a65a5000-7f72a65b7000 r-xp 00000000 08:05 191104 /usr/lib/libcelt.so.0.0.0 7f72a65b7000-7f72a67b6000 ---p 00012000 08:05 191104 /usr/lib/libcelt.so.0.0.0 7f72a67b6000-7f72a67b7000 r--p 00011000 08:05 191104 /usr/lib/libcelt.so.0.0.0 7f72a67b7000-7f72a67b8000 rw-p 00012000 08:05 191104 /usr/lib/libcelt.so.0.0.0 7f72a67b8000-7f72a683a000 r-xp 00000000 08:05 1887 /lib/libm-2.10.1.so 7f72a683a000-7f72a6a3a000 ---p 00082000 08:05 1887 /lib/libm-2.10.1.so 7f72a6a3a000-7f72a6a3b000 r--p 00082000 08:05 1887 /lib/libm-2.10.1.so 7f72a6a3b000-7f72a6a3c000 rw-p 00083000 08:05 1887 /lib/libm-2.10.1.so 7f72a6a3c000-7f72a6ba7000 r-xp 00000000 08:05 184775 /usr/lib/libsamplerate.so.0.1.7 7f72a6ba7000-7f72a6da6000 ---p 0016b000 08:05 184775 /usr/lib/libsamplerate.so.0.1.7 7f72a6da6000-7f72a6da7000 r--p 0016a000 08:05 184775 /usr/lib/libsamplerate.so.0.1.7 7f72a6da7000-7f72a6da8000 rw-p 0016b000 08:05 184775 /usr/lib/libsamplerate.so.0.1.7 7f72a6da8000-7f72a6daa000 r-xp 00000000 08:05 1886 /lib/libdl-2.10.1.so 7f72a6daa000-7f72a6faa000 ---p 00002000 08:05 1886 /lib/libdl-2.10.1.so 7f72a6faa000-7f72a6fab000 r--p 00002000 08:05 1886 /lib/libdl-2.10.1.so 7f72a6fab000-7f72a6fac000 rw-p 00003000 08:05 1886 /lib/libdl-2.10.1.so 7f72a6fac000-7f72a6fc3000 r-xp 00000000 08:05 1897 /lib/libpthread-2.10.1.so 7f72a6fc3000-7f72a71c2000 ---p 00017000 08:05 1897 /lib/libpthread-2.10.1.so 7f72a71c2000-7f72a71c3000 r--p 00016000 08:05 1897 /lib/libpthread-2.10.1.so 7f72a71c3000-7f72a71c4000 rw-p 00017000 08:05 1897 /lib/libpthread-2.10.1.so 7f72a71c4000-7f72a71c8000 rw-p 00000000 00:00 0 7f72a71c8000-7f72a71cf000 r-xp 00000000 08:05 1899 /lib/librt-2.10.1.so 7f72a71cf000-7f72a73ce000 ---p 00007000 08:05 1899 /lib/librt-2.10.1.so 7f72a73ce000-7f72a73cf000 r--p 00006000 08:05 1899 /lib/librt-2.10.1.so 7f72a73cf000-7f72a73d0000 rw-p 00007000 08:05 1899 /lib/librt-2.10.1.so 7f72a73d0000-7f72a73ef000 r-xp 00000000 08:05 184984 /usr/lib/libjackserver.so.0.0.28 7f72a73ef000-7f72a75ee000 ---p 0001f000 08:05 184984 /usr/lib/libjackserver.so.0.0.28 7f72a75ee000-7f72a75ef000 r--p 0001e000 08:05 184984 /usr/lib/libjackserver.so.0.0.28 7f72a75ef000-7f72a75f1000 rw-p 0001f000 08:05 184984 /usr/lib/libjackserver.so.0.0.28 7f72a75f1000-7f72a75f9000 rw-p 00000000 00:00 0 7f72a75f9000-7f72a7618000 r-xp 00000000 08:05 1880 /lib/ld-2.10.1.so 7f72a761a000-7f72a763a000 rw-s 00000000 00:0f 3930 /dev/raw1394 7f72a763a000-7f72a763b000 ---p 00000000 00:00 0 7f72a763b000-7f72a76bb000 rw-p 00000000 00:00 0 7f72a76bb000-7f72a773b000 rw-s 00000000 00:09 41811999 /SYSV00000000 (deleted) 7f72a773b000-7f72a77bb000 rw-s 00000000 00:09 41779230 /SYSV00000000 (deleted) 7f72a77bb000-7f72a77f4000 rw-s 00000000 00:09 41746448 /SYSV00000000 (deleted) 7f72a77f4000-7f72a77f8000 rw-p 00000000 00:00 0 7f72a7811000-7f72a7813000 rw-s 00000000 00:09 557067 /SYSV00282929 (deleted) 7f72a7813000-7f72a7817000 rw-p 00000000 00:00 0 7f72a7817000-7f72a7818000 r--p 0001e000 08:05 1880 /lib/ld-2.10.1.so 7f72a7818000-7f72a7819000 rw-p 0001f000 08:05 1880 /lib/ld-2.10.1.so 7fffed405000-7fffed41a000 rw-p 00000000 00:00 0 [stack] 7fffed50e000-7fffed50f000 r-xp 00000000 00:00 0 [vdso] ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall] Aborted


# /usr/bin/jackd -R -dfirewire -r192000 -p512 -n3 -v5 no message buffer overruns jackd 0.116.1 Copyright 2001-2005 Paul Davis and others. jackd comes with ABSOLUTELY NO WARRANTY This is free software, and you are welcome to redistribute it under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support. loading driver .. SSE2 detected 348523985436: (ffado.cpp)[ 92] ffado_streaming_init: libffado 1.999.43 built Sep 17 2009 20:06:09 348524035847: Debug (devicemanager.cpp)[ 332] discover: Starting discovery... 348524154163: Debug (devicemanager.cpp)[ 594] discover: driver found for device 0 348524154370: Debug (devicemanager.cpp)[ 631] discover: discovery of node 0 on port 0 done... 348524154379: Debug (devicemanager.cpp)[ 639] discover: Discovery finished... 348524154416: Debug (devicemanager.cpp)[1184] showDeviceInfo: ===== Device Manager ===== 348524154424: Debug (Element.cpp)[ 121] show: Element DeviceManager? 348524154428: Debug (devicemanager.cpp)[1192] showDeviceInfo: --- IEEE1394 Service 0 --- Iso handler info: Dumping IsoHandlerManager? Stream handler information...

State: 2

348524154441: Debug (devicemanager.cpp)[1202] showDeviceInfo: --- Device 0 --- 348524154445: Debug (devicemanager.cpp)[1205] showDeviceInfo: Clock sync sources: 348524154459: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: Internal , Id: 0, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Internal sync 348524154464: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: ADAT , Id: 1, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT optical 348524154468: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: SPDIF , Id: 2, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: SPDIF/Toslink 348524154472: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: Erratic type , Id: 3, Valid: 0, Active: 0, Locked 0, Slipping: 0, Description: SMPTE 348524154476: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: WordClock? , Id: 4, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Wordclock 348524154481: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: ADAT , Id: 5, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT 9-pin 348524154484: Debug (devicemanager.cpp)[1214] showDeviceInfo: Type: AES , Id: 7, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: AES/EBU 348524199750: Debug (motu_avdevice.cpp)[1343] prepare: Preparing MotuDevice?... firewire ERR: Could not prepare streaming device! cannot load driver module firewire 348524215686: Fatal (ieee1394service.cpp)[1129] allocateIsoChannelGeneric: Could not allocate bandwidth of 1177 348524215862: Fatal (ieee1394service.cpp)[1129] allocateIsoChannelGeneric: Could not allocate bandwidth of 1177 348524215891: Fatal (motu_avdevice.cpp)[1397] prepare: Could not allocate iso channels! 348524215967: Warning (StreamProcessorManager?.cpp)[ 322] prepare: Sync Source is not set. Defaulting to first StreamProcessor?. 348524215978: Fatal (StreamProcessorManager?.cpp)[ 376] prepare: No stream processors registered, can't do anything usefull 348524215983: Fatal (devicemanager.cpp)[ 814] prepareStreaming: Could not prepare streaming... 348524215990: Fatal (ffado.cpp)[ 192] ffado_streaming_prepare: Could not prepare the streaming system no message buffer overruns

12/28/09 22:54:03 changed by sireasoning

If I turned my unit off and back on then I can get the following to work: # /usr/bin/jackd -R -dfirewire -r192000 -p512 -n3 -v5

No such luck so far on 44100 and 96000

12/29/09 00:13:43 changed by jwoithe

Thanks for the update and confirmation that the ffado-mixer issue is resolved.

There's nothing obvious in the "-v 5" output that points to a specific issue. Could you repeat using "-v 6" and give me the output. Note that this could produce a lot of output, so it might be more convenient to attach the logfile rather than putting it inline as you have done up to now. You'll find the "attach file" button right under the end of the initial bug report.

Oh, the reason your 192k attempt failed was a side-effect of the previous crashes. Those sessions had reserved bandwidth on the bus but, due to the crash, not released it. By the time the 192k test rolled around most of the bus's bandwidth was already reserved; when it then tried to reserve some more the request was rejected and jackd exitted. By turning the unit off and then back on again the bus was reset, all previous allocations were forgotten and therefore things could proceed normally.

If you do put it inline, could you put it inside a "code" block. You can start a code block using the "code block" button on top of the edit box you use to compose your comment. Doing this means that line breaks will be preserved in the log output which will make it much easier to decipher.

In addition to the above test, could you tell me more about your firewire card that you're using. In the first instance the section about the firewire card reported in the output of the "lspci -v" (or "/sbin/lspci -v" command is probably adequate.

One more thing: could you perhaps re-test after adding "-P70" to the first part of your jackd command. We'll also increase the size and number of the buffers too, just for testing. So with this in mind your jackd command should be something like this:

/usr/bin/jackd -R -P70 -dfirewire -r44100 -p1024 -n4 -v6

In terms of the jackd/ffado that you're running, I assume you're using versions supplied by Ubuntu (as opposed to versions you've compiled yourself).

12/29/09 01:37:59 changed by sireasoning

08:01.0 FireWire? (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05) (prog-if 10)

Subsystem: ASUSTeK Computer Inc. Device 8264 Flags: bus master, medium devsel, latency 64, IRQ 16 Memory at fbffe800 (32-bit, non-prefetchable) [size=2K] Capabilities: <access denied> Kernel driver in use: ohci1394 Kernel modules: firewire-ohci, ohci1394

I am using the jackd/ffado supplied in the latest Ubuntu Studio 9.10 (Karmic) 64 bit (with upgrades)

I will upload the dumps using the command you created for 44100, 96000 (both fail) and 192000 (succeeds and then is manually killed)

12/29/09 01:41:26 changed by sireasoning

  • attachment jackd 44100 added.

12/29/09 01:42:16 changed by sireasoning

  • attachment jackd 96000 added.

12/29/09 01:42:38 changed by sireasoning

  • attachment jackd 192000 added.

12/29/09 02:23:48 changed by jwoithe

Thanks for the logging dumps for the three sample rates. There does appear to be something strange happening; not only does 192k appear to work, but the failure mode for 1x and 2x rates are different (one segfaults, the other triggers a glibc double-free check). I will give all this some thought - nothing immediately springs to mind. Given that you're using the Ubuntu packages I assume that there's no chance of old jack/ffado libraries lying around on the system which might be confusing things. It's probably worth checking though; do an "ls -l" of /usr/lib/ and look for libffado* and libjack*. For each library there should be only one library and 2 or so symbolic links to that library. For example, on my system I have

  libffado.so -> libffado.so.2
  libffado.so.2 -> libffado.so.2.999.0
  libffado.so.2.999.0
  libjack.so -> libjack.so.0.0.28
  libjack.so.0 -> libjack.so.0.0.28
  libjack.so.0.0.28

The firewire controller you are using has proven to be a bit of a mixed bag - for most people it doesn't seem to work at all while for a handful it appears 100% reliable. For the moment I will put this to one side though - since 192k works for you the firewire controller must be doing something right.

On a related note, your ticket #246 talks about the channels available being limited to the 8 analog ins/outs. Given the nature of this ticket I suspect this was at 192k, in which case it is not an error that only these channels are available according to my information about the device. As far as I know the 896HD does not provide a separate headphones channel at 4x rates, so there will not be a jack port created for the headphone mix. If you have information to the contrary please let me know - otherwise I will close #246 as not-a-bug since the behaviour is what is expected at 4x rates.

12/29/09 22:13:52 changed by sireasoning

The firewire controller works fine in windows as far as I can tell.

Since I have only gotten 4x rate to work, #246 does not appear to be a bug. I confirmed it in Windows where I would record it in 192000 and then when I would route playback to the headphones, it would automatically switch the unit back to 44100.

ubuntu-studio:/usr/lib$ ls -l |grep ffado
lrwxrwxrwx  1 root root       20 2009-12-24 02:31 libffado.so.1 -> libffado.so.1.999.43
-rw-r--r--  1 root root  2688328 2009-09-17 15:07 libffado.so.1.999.43
sczjd@ubuntu-studio:/usr/lib$ ls -l |grep jack
drwxr-xr-x  2 root root     4096 2009-12-24 02:31 jack
lrwxrwxrwx  1 root root        4 2009-12-24 02:31 libjack0.100.0 -> jack
lrwxrwxrwx  1 root root       12 2009-12-24 02:31 libjack-0.100.0.so.0 -> libjack.so.0
lrwxrwxrwx  1 root root       23 2009-12-24 02:31 libjackserver.so.0 -> libjackserver.so.0.0.28
-rw-r--r--  1 root root   134656 2009-09-18 00:00 libjackserver.so.0.0.28
lrwxrwxrwx  1 root root       17 2009-12-24 02:31 libjack.so.0 -> libjack.so.0.0.28
-rw-r--r--  1 root root    81248 2009-09-18 00:00 libjack.so.0.0.28

12/30/09 16:44:40 changed by jwoithe

As I mentioned, the fact that you can get a 4x rate to work tends to rule out the firewire card. It should however be noted that there are cards which work fine under other operating systems but not under Linux because the drivers in those other OSes have the advantage that chipset makers tell them workarounds for silicon problems. In any case, I don't at this stage believe your problems are due to your firewire chipset.

Thanks for confirming your libraries. I will look into this in more detail and get back to you. Stay tuned.

Finally, for completeness, I take it from an earlier comment of yours that you have tried the current svn revision or the 2.0.0 release (as opposed to 2.0rc2) and that the problem still exists in that. Can you confirm this for me at your convenience?

12/30/09 17:09:15 changed by sireasoning

No, I have only tried the stock drivers that came with the distro. I am willing to do it though. Are there any issues that I should be concerned with? Will I need to recompile jackd or any other programs also?

(follow-up: ↓ 24 ) 12/30/09 20:01:32 changed by jwoithe

Ah right. Well, I guess we probably ought to try at least the 2.0.0 release so I know precisely which code is giving trouble. However, since 2.0.0 isn't packaged by the distributions yet we might as well go with the latest svn trunk snapshot (which is r1768 at present). That's also the version on my development machine at present, so it will make further investigations easier from my point of view.

You shouldn't need to recompile jackd or anything else at this stage - only ffado itself. To be consistent with the rest of your system you probably want to install the new ffado in the same general places as the existing one is in. So do

  scons PREFIX=/usr

when configuring/compiling. When you do "scons install" this should overwrite the existing ffado things with the new version. However, to make sure the libffado libraries have done the right thing you might want to look in /usr/lib/ (as you did before), remove any of the old libffado files and make sure the symlinks are pointing to sensible targets.

Ideally you'd use the package manager to remove ffado from your system before installing the new one. However, my understanding is that on distributions such as Ubuntu the removal of ffado will also cause everything that depends on ffado to also be removed - which you definitely don't want. Perhaps there's an option that causes this not to happen but I don't know what it is off-hand (I don't use Ubuntu myself).

12/31/09 22:01:32 changed by sireasoning

it failed to compile with the following error during tests:

g++ -o tests/test-dice-eap.o -c -Wall -g -m64 -fPIC -DDEBUG -DDBUS_HAS_THREADS_INIT_DEFAULT -I. -Isrc -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include tests/test-dice-eap.cpp
tests/test-dice-eap.cpp: In function ‘int main(int, char**)’:
tests/test-dice-eap.cpp:240: error: ‘Dice::Device::EAP’ has not been declared
tests/test-dice-eap.cpp:248: error: ‘EAP’ is not a member of ‘Dice::Device’
tests/test-dice-eap.cpp:248: error: ‘eap’ was not declared in this scope
scons: *** [tests/test-dice-eap.o] Error 1
scons: building terminated because of errors.

12/31/09 22:14:05 changed by sireasoning

Oops, that was with a straight trunk, I move to the stable branch and it compiled..... now to test

12/31/09 22:51:14 changed by sireasoning

No difference. It failed in the same way.

below are a couple of things of interest: at 192000 I get the following

# jackd -R -P70 -dfirewire -r 192000 -p1024 -n4 -v6
no message buffer overruns
jackd 0.116.1
Copyright 2001-2005 Paul Davis and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support.
loading driver ..
SSE2 detected
libffado 2.0.0-1768 built Jan  1 2010 00:03:50
00697305737: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00697631234: Warning (MotuReceiveStreamProcessor.cpp)[ 467] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel control index 20 exceeded maximum 20
00697631247: Warning (MotuReceiveStreamProcessor.cpp)[ 467] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel control index 21 exceeded maximum 20
00697983421: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 20 exceeded maximum 20
00698426322: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00698431655: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 21 exceeded maximum 20
00698431662: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 22 exceeded maximum 20
00698581068: Warning (MotuReceiveStreamProcessor.cpp)[ 467] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel control index 20 exceeded maximum 20
00698773165: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00698773180: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 21 exceeded maximum 20
00698895897: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 20 exceeded maximum 20
00699365478: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00699402827: Warning (MotuReceiveStreamProcessor.cpp)[ 467] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel control index 20 exceeded maximum 20
00700192573: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 20 exceeded maximum 20
00700859590: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00700859606: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 21 exceeded maximum 20
00700859609: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 22 exceeded maximum 20
00700955640: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 20 exceeded maximum 20
00701051690: Warning (MotuReceiveStreamProcessor.cpp)[ 467] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel control index 20 exceeded maximum 20
00701718713: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00701750729: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 20 exceeded maximum 20
00701777406: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 20 exceeded maximum 20
00701777418: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 21 exceeded maximum 20
00701985507: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00701985519: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 21 exceeded maximum 20
00702348364: Warning (MotuReceiveStreamProcessor.cpp)[ 467] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel control index 20 exceeded maximum 20
00702609844: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 20 exceeded maximum 20
00702609858: Warning (MotuReceiveStreamProcessor.cpp)[ 457] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel pan index 21 exceeded maximum 20
00702641857: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00702641871: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 21 exceeded maximum 20
00702641875: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 22 exceeded maximum 20
00702641879: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 23 exceeded maximum 20
00702641882: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 24 exceeded maximum 20
00702641886: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 25 exceeded maximum 20
00702647196: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 26 exceeded maximum 20
00702647206: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 27 exceeded maximum 20
00702647210: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 28 exceeded maximum 20
00702647213: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 29 exceeded maximum 20
00702897983: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00703143443: Warning (MotuReceiveStreamProcessor.cpp)[ 467] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel control index 20 exceeded maximum 20
00704098609: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 20 exceeded maximum 20
00704109289: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 21 exceeded maximum 20
00704109300: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 22 exceeded maximum 20
00704109305: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 23 exceeded maximum 20
00704109308: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 24 exceeded maximum 20
00704109312: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 25 exceeded maximum 20
00704109315: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 26 exceeded maximum 20
00704114616: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 27 exceeded maximum 20
00704114628: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 28 exceeded maximum 20
00704114632: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 29 exceeded maximum 20
00704114635: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 30 exceeded maximum 20
00704114640: Warning (MotuReceiveStreamProcessor.cpp)[ 447] decodeMotuCtrlEvents: MOTU cuemix value parser error: channel gain index 31 exceeded maximum 20

and from /var/log/messages:

Dec 29 00:16:58 ubuntu-studio kernel: [348223.928465] jackd[17074]: segfault at ceb0 ip 00007fac1f52940a sp 00007fac19a54b70 error 4 in libc-2.10.1.so[7fac1f4b2000+166000]
Dec 29 00:19:16 ubuntu-studio kernel: [348361.152647] jackd[17116]: segfault at 1eb0 ip 00007fb0eb52e40a sp 00007fb0e5a59b70 error 4 in libc-2.10.1.so[7fb0eb4b7000+166000]
Dec 29 00:19:28 ubuntu-studio kernel: [348373.148034] jackd[17129]: segfault at 2eb0 ip 00007faae946f40a sp 00007faae399ab70 error 4 in libc-2.10.1.so[7faae93f8000+166000]
Dec 29 00:19:40 ubuntu-studio kernel: [348385.139390] jackd[17142]: segfault at 4eb0 ip 00007f56a0e6140a sp 00007f569b38cb70 error 4 in libc-2.10.1.so[7f56a0dea000+166000]
Dec 29 00:36:02 ubuntu-studio kernel: [349367.602093] jackd[17275]: segfault at 6eb0 ip 00007f6a436e340a sp 00007f6a3db0eb70 error 4 in libc-2.10.1.so[7f6a4366c000+166000]
Dec 29 00:50:51 ubuntu-studio kernel: [350256.860906] jackd[17676]: segfault at 7eb0 ip 00007f5005ed440a sp 00007f50002ffb70 error 4 in libc-2.10.1.so[7f5005e5d000+166000]
Dec 29 00:51:06 ubuntu-studio kernel: [350271.906779] jackd[17690]: segfault at a620 ip 00007f07196b2563 sp 00007f07132d1be8 error 6 in libc-2.10.1.so[7f0719630000+166000]
Dec 29 00:54:37 ubuntu-studio kernel: [350483.033243] jackd[17729]: segfault at deb0 ip 00007fad2f78a40a sp 00007fad29bb5b70 error 4 in libc-2.10.1.so[7fad2f713000+166000]
Dec 29 03:14:01 ubuntu-studio kernel: [ 1610.024834] jackd[4499]: segfault at 5eb0 ip 00007f2a9972240a sp 00007f2a93c4db70 error 4 in libc-2.10.1.so[7f2a996ab000+166000]
Dec 29 03:15:07 ubuntu-studio kernel: [ 1675.714543] jackd[4521]: segfault at 8df0 ip 00007f3f36d36563 sp 00007f3f30655be8 error 6 in libc-2.10.1.so[7f3f36cb4000+166000]
Dec 29 03:15:59 ubuntu-studio kernel: [ 1728.343875] jackd[4559]: segfault at 3df0 ip 00007f98d259a563 sp 00007f98cbeb9be8 error 6 in libc-2.10.1.so[7f98d2518000+166000]
Dec 29 03:16:23 ubuntu-studio kernel: [ 1752.009385] jackd[4576]: segfault at f620 ip 00007ff05e272563 sp 00007ff057e91be8 error 6 in libc-2.10.1.so[7ff05e1f0000+166000]
Dec 29 03:17:04 ubuntu-studio kernel: [ 1792.979582] jackd[4592]: segfault at 2eb0 ip 00007fd1136cf40a sp 00007fd10dafab70 error 4 in libc-2.10.1.so[7fd113658000+166000]
Dec 29 03:18:23 ubuntu-studio kernel: [ 1872.114538] jackd[4609]: segfault at aeb0 ip 00007fa61118740a sp 00007fa60b5b2b70 error 4 in libc-2.10.1.so[7fa611110000+166000]
Jan  1 00:13:21 ubuntu-studio kernel: [ 4842.591913] jackd[7546]: segfault at 3620 ip 00007fd5cdfad563 sp 00007fd5c7bccbe8 error 6 in libc-2.10.1.so[7fd5cdf2b000+166000]
Jan  1 00:16:28 ubuntu-studio kernel: [ 5029.306091] jackd[7569]: segfault at a6f8 ip 00007f2d5c6f840a sp 00007fff7c411a30 error 4 in libc-2.10.1.so[7f2d5c681000+166000]
Jan  1 00:18:04 ubuntu-studio kernel: [ 5125.755926] jackd[7623]: segfault at 8630 ip 00007fc6db571563 sp 00007fc6d5279de8 error 6 in libc-2.10.1.so[7fc6db4ef000+166000]
Jan  1 00:18:22 ubuntu-studio kernel: [ 5143.754593] jackd[7636]: segfault at a630 ip 00007f95148b8563 sp 00007f950e5c0de8 error 6 in libc-2.10.1.so[7f9514836000+166000]
Jan  1 00:18:56 ubuntu-studio kernel: [ 5177.259860] jackd[7649]: segfault at 2eb0 ip 00007fe0cba9f40a sp 00007fe0c5fb3d10 error 4 in libc-2.10.1.so[7fe0cba28000+166000]
Jan  1 00:22:25 ubuntu-studio kernel: [   73.890252] jackd[2721]: segfault at deb0 ip 00007fe3c930a40a sp 00007fe3c381ed10 error 4 in libc-2.10.1.so[7fe3c9293000+166000]
Jan  1 00:27:46 ubuntu-studio kernel: [  395.107718] jackd[2820]: segfault at eeb0 ip 00007fe73943b40a sp 00007fe73394fd10 error 4 in libc-2.10.1.so[7fe7393c4000+166000]

Also, is there a way I could get Beta 7? There was a message on the download page that RC1 broke MOTU.

01/01/10 20:04:46 changed by jwoithe

  • status changed from new to assigned.

Hi

There are a few interesting points coming out of your last post. Firstly, straight trunk really should compile without errors. I've just checked the most recent revision out (r1775) and it compiled for me with no issues. Ah, it looks like you might have been unlucky enough to check out in the middle of some changes by Arnold which have since been completed. You could always add "ENABLE_DICE=no" to skip compilation of the DICE driver (which isn't relevant for MOTU interfaces).

Anyway, you then got 2.0.0 which, for the purposes of this exercise, should be identical to trunk. Your tests show that the same problem is present for you with this version, so that gives me something concrete to go on now. Thanks.

In connection with the "MOTU cuemix value parser error", you can safely ignore this for the moment (although this report does remind me to add in a rate limiter for those messages). The MOTU sends details about the front panel controlled settings in a substream of the audio data using a simple key-value arrangement. The message you report is essentially saying that there are some keys sent by the 896HD which we don't currently know about. While I would be interested in working with you to work out what these mean, they are not critical for the device's usability under Linux at this point. Although we decode this substream, the resulting information isn't used by FFADO at the moment.

Your messages output is more or less confirming that jackd is segfaulting for the slower sample rates. It appears that this occurs at the time real data starts to flow which is suggestive of a buffer overflow issue, uninitialised pointer or something. It's curious that it doesn't show for other devices though (at least, not that's been reported anyway). Currently I'm concentrating on the this line of enquiry.

Finally, there's no point in getting beta7 or any of the betas now that 2.0.0 is out. In any case, while 2.0-rc1 did indeed break MOTU, this was well and truly fixed by 2.0-rc2 (which is what you started with) and obviously doesn't affect 2.0.0 release either. At this stage it appears that there is a real issue at work here and we'll try to work out what it is.

01/02/10 03:40:34 changed by jwoithe

Further information: I have now tested r1775 with my device (Traveler) at 44.1 kHz and it appears to be perfectly happy. This is with a jack which reports itself to be 0.116.2 - the same version that you're using. So that more or less leaves two options: the driver for the 896HD has broken sometime since January 2009 (the last time I had someone explicitly confirm to me that the 896HD was working) or that there's been some internal change to ffado which is upsetting the jack binary that is installed on your system.

Your initial report was for jack 0.116.2 with ffado 2.0-rc2. Were these the versions which were originally installed on your system, or had you upgraded ffado to 2.0-rc2 from an earlier version using the Ubuntu package when it became available?

I'm wondering whether it might be worthwhile recompiling jackd against either ffado 2.0.0 or trunk (whichever you have installed at present) and see if that makes any difference. The process here is similar to ffado - specify "./configure --prefix=/usr" to make the newly compiled jackd install over the top of the previous one. After the final "make install" step, confirm that libjack* is as it should be in /usr/lib/.

I've had a look at the 896HD-specific parts of ffado and so far nothing strikes me as being out of place. I shall keep looking though, since it's entirely possible that a gremlin has crept in when we weren't looking. :-)

01/03/10 01:58:57 changed by jwoithe

Some more ideas. Assuming that the recompilation of jackd does not change the symptoms, the next thing to try is to get a core dump from jackd and try to work out the general area of the problem. You can skip the next paragraph if you're familiar with obtaining core dumps and using them in gdb.

To enable core dumps use "ulimit -c 204800" under bash or "limit coredumpsize 204800" under tcsh. Then run jackd in the usual way, requesting the sample rate which gives rise to the segmentation fault (as opposed to the double-free trap). When jackd crashes now it should create a core file (named core*, the "*" portion depending on your configuration - I'll assume it's empty for the rest of this description). We can then use that core file with gdb to at least find out the function that caused the crash. Start gdb with "gdb /usr/bin/jackd core". Typing the "where" command at the gdb prompt should give a listing of the call stack leading to the crash. One can then use "print" to display variable values in the faulting function, and so forth. Unless memory has been badly corrupted this might give a clue as to what went wrong.

I realise the above is rather brief - if you need further information about any of this please let me know and I'll expand as needed.

(follow-up: ↓ 22 ) 01/03/10 11:12:27 changed by sireasoning

This is strange.

I compiled and installed jack 0.118.0. I actually got 44100 to work for a while when I manually started it (curiously 96000 still failed). Then I went to qjackctl to try it and actually got it to work once. Then after trying it again at 96000 and having it fail, from then on 44100 would segfault. No amount of rebooting the computer or the 896hd would get it to work again. I actually thought I had it working after the initial compile of ffado and then when I went to test for 96000 (failed) and went back to 44100 it then failed also in the same way.

44100 working

# jackd -v -R -P70 -dfirewire -r44100 -p1024 -n4
jackd 0.118.0
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

getting driver descriptor from /usr/lib64/jack/jack_freebob.so
getting driver descriptor from /usr/lib64/jack/jack_firewire.so
no message buffer overruns
getting driver descriptor from /usr/lib64/jack/jack_net.so
getting driver descriptor from /usr/lib64/jack/jack_oss.so
getting driver descriptor from /usr/lib64/jack/jack_dummy.so
getting driver descriptor from /usr/lib64/jack/jack_alsa.so
JACK compiled with System V SHM support.
server `default' registered
registered builtin port type 32 bit float mono audio
registered builtin port type 8 bit raw midi
clock source = system clock via clock_gettime
loading driver ..
start poll on 3 fd's
new client: firewire_pcm, id = 1 type 1 @ 0x1383bc0 fd = -1
new buffer size 1024
libffado 2.0.0-1768 built Jan  1 2010 00:03:50
firewire MSG: Streaming thread running with Realtime scheduling, priority 70
firewire MSG: Registering audio capture port C0_dev0_cap_Mix-L
firewire MSG: Registering audio capture port C1_dev0_cap_Mix-R
firewire MSG: Registering audio capture port C2_dev0_cap_Analog1
firewire MSG: Registering audio capture port C3_dev0_cap_Analog2
firewire MSG: Registering audio capture port C4_dev0_cap_Analog3
firewire MSG: Registering audio capture port C5_dev0_cap_Analog4
firewire MSG: Registering audio capture port C6_dev0_cap_Analog5
firewire MSG: Registering audio capture port C7_dev0_cap_Analog6
firewire MSG: Registering audio capture port C8_dev0_cap_Analog7
firewire MSG: Registering audio capture port C9_dev0_cap_Analog8
firewire MSG: Registering audio capture port C10_dev0_cap_unknown-1
firewire MSG: Registering audio capture port C11_dev0_cap_unknown-2
firewire MSG: Registering audio capture port C12_dev0_cap_AES/EBU1
firewire MSG: Registering audio capture port C13_dev0_cap_AES/EBU2
firewire MSG: Registering midi capture port C14_dev0_cap_MIDI0
firewire MSG: Registering audio playback port P0_dev0_pbk_Phones-L
firewire MSG: Registering audio playback port P1_dev0_pbk_Phones-R
firewire MSG: Registering audio playback port P2_dev0_pbk_Analog1
firewire MSG: Registering audio playback port P3_dev0_pbk_Analog2
registered port system:capture_1, offset = 4096
firewire MSG: Registering audio playback port P4_dev0_pbk_Analog3
registered port system:capture_2, offset = 8192
firewire MSG: Registering audio playback port P5_dev0_pbk_Analog4
registered port system:capture_3, offset = 12288
registered port system:capture_4, offset = 16384
registered port system:capture_5, offset = 20480
registered port system:capture_6, offset = 24576
registered port system:capture_7, offset = 28672
registered port system:capture_8, offset = 32768
registered port system:capture_9, offset = 36864
registered port system:capture_10, offset = 40960
registered port system:capture_11, offset = 45056
registered port system:capture_12, offset = 49152
registered port system:capture_13, offset = 53248
registered port system:capture_14, offset = 57344
registered port firewire_pcm:C14_dev0_cap_MIDI0, offset = 4096
registered port system:playback_1, offset = 0
registered port system:playback_2, offset = 0
registered port system:playback_3, offset = 0
registered port system:playback_4, offset = 0
registered port system:playback_5, offset = 0
registered port system:playback_6, offset = 0
firewire MSG: Registering audio playback port P6_dev0_pbk_Analog5
firewire MSG: Registering audio playback port P7_dev0_pbk_Analog6
firewire MSG: Registering audio playback port P8_dev0_pbk_Analog7
firewire MSG: Registering audio playback port P9_dev0_pbk_Analog8
firewire MSG: Registering audio playback port P10_dev0_pbk_MainOut-L
firewire MSG: Registering audio playback port P11_dev0_pbk_MainOut-R
firewire MSG: Registering audio playback port P12_dev0_pbk_AES/EBU1
firewire MSG: Registering audio playback port P13_dev0_pbk_AES/EBU2
firewire MSG: Registering midi playback port P14_dev0_pbk_MIDI0
registered port system:playback_7, offset = 0
registered port system:playback_8, offset = 0
registered port system:playback_9, offset = 0
registered port system:playback_10, offset = 0
registered port system:playback_11, offset = 0
registered port system:playback_12, offset = 0
registered port system:playback_13, offset = 0
registered port system:playback_14, offset = 0
registered port firewire_pcm:P14_dev0_pbk_MIDI0, offset = 0
++ jack_sort_graph
++ jack_rechain_graph():
+++ client is now firewire_pcm active ? 1
client firewire_pcm: internal client, execution_order=0.
-- jack_rechain_graph()
-- jack_sort_graph
13061 waiting for signals
load = 0.3122 max usecs: 145.000, spare = 23074.000
load = 0.4662 max usecs: 144.000, spare = 23075.000
load = 0.5647 max usecs: 154.000, spare = 23065.000
load = 0.6075 max usecs: 151.000, spare = 23068.000
load = 0.5923 max usecs: 134.000, spare = 23085.000
load = 0.5890 max usecs: 136.000, spare = 23083.000
load = 0.5960 max usecs: 140.000, spare = 23079.000
load = 0.6167 max usecs: 148.000, spare = 23071.000
load = 0.6012 max usecs: 136.000, spare = 23083.000
load = 0.6042 max usecs: 141.000, spare = 23078.000
load = 0.5756 max usecs: 127.000, spare = 23092.000
load = 0.6087 max usecs: 149.000, spare = 23070.000
load = 0.6037 max usecs: 139.000, spare = 23080.000
load = 0.5925 max usecs: 135.000, spare = 23084.000
load = 0.5848 max usecs: 134.000, spare = 23085.000
load = 0.6219 max usecs: 153.000, spare = 23066.000
load = 0.6146 max usecs: 141.000, spare = 23078.000
load = 0.5915 max usecs: 132.000, spare = 23087.000
load = 0.6037 max usecs: 143.000, spare = 23076.000
load = 0.6679 max usecs: 170.000, spare = 23049.000
load = 0.6182 max usecs: 132.000, spare = 23087.000
load = 0.6838 max usecs: 174.000, spare = 23045.000
load = 0.6541 max usecs: 145.000, spare = 23074.000
load = 0.6350 max usecs: 143.000, spare = 23076.000
load = 0.6298 max usecs: 145.000, spare = 23074.000
load = 0.6594 max usecs: 160.000, spare = 23059.000
load = 0.6204 max usecs: 135.000, spare = 23084.000
load = 0.7064 max usecs: 184.000, spare = 23035.000
load = 0.7193 max usecs: 170.000, spare = 23049.000
load = 0.6525 max usecs: 136.000, spare = 23083.000
load = 0.6213 max usecs: 137.000, spare = 23082.000
load = 0.6573 max usecs: 161.000, spare = 23058.000
load = 0.6624 max usecs: 155.000, spare = 23064.000
server thread back from poll
new client: qjackctl, id = 2 type 2 @ 0x7f9b1c229000 fd = 14
start poll on 4 fd's
server thread back from poll
new client qjackctl using 15 for events
start poll on 4 fd's
server thread back from poll
++ jack_sort_graph
++ jack_rechain_graph():
+++ client is now firewire_pcm active ? 1
client firewire_pcm: internal client, execution_order=0.
+++ client is now qjackctl active ? 1
client qjackctl: start_fd=7, execution_order=0.
client event poll on 15 for qjackctl starts at 5404644398
back from client event poll after 141 usecs
client qjackctl: wait_fd=11, execution_order=1 (last client).
-- jack_rechain_graph()
-- jack_sort_graph
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
server thread back from poll
start poll on 4 fd's
load = 0.6715 max usecs: 158.000, spare = 23061.000
load = 0.6781 max usecs: 159.000, spare = 23060.000
load = 0.7051 max usecs: 170.000, spare = 23049.000
load = 0.7230 max usecs: 172.000, spare = 23047.000
load = 0.7383 max usecs: 175.000, spare = 23044.000
load = 0.7116 max usecs: 159.000, spare = 23060.000
load = 0.7369 max usecs: 177.000, spare = 23042.000
load = 0.7561 max usecs: 180.000, spare = 23039.000
load = 0.7398 max usecs: 168.000, spare = 23051.000
load = 0.7812 max usecs: 191.000, spare = 23028.000
load = 0.7718 max usecs: 177.000, spare = 23042.000
load = 0.7649 max usecs: 176.000, spare = 23043.000
load = 0.8540 max usecs: 219.000, spare = 23000.000
load = 0.8146 max usecs: 180.000, spare = 23039.000
load = 0.7755 max usecs: 171.000, spare = 23048.000
load = 0.7711 max usecs: 178.000, spare = 23041.000
load = 0.7818 max usecs: 184.000, spare = 23035.000
load = 0.7634 max usecs: 173.000, spare = 23046.000
load = 0.7499 max usecs: 171.000, spare = 23048.000
load = 0.7475 max usecs: 173.000, spare = 23046.000
load = 0.7420 max usecs: 171.000, spare = 23048.000
load = 0.7543 max usecs: 178.000, spare = 23041.000
load = 0.7691 max usecs: 182.000, spare = 23037.000
load = 0.7442 max usecs: 167.000, spare = 23052.000
load = 0.7941 max usecs: 196.000, spare = 23023.000
load = 0.7933 max usecs: 184.000, spare = 23035.000
load = 0.7670 max usecs: 172.000, spare = 23047.000
load = 0.8357 max usecs: 210.000, spare = 23009.000
load = 0.8679 max usecs: 209.000, spare = 23010.000
load = 0.8065 max usecs: 173.000, spare = 23046.000
load = 0.7973 max usecs: 183.000, spare = 23036.000
load = 0.8229 max usecs: 197.000, spare = 23022.000
load = 0.8098 max usecs: 185.000, spare = 23034.000
load = 0.7624 max usecs: 166.000, spare = 23053.000
load = 0.7580 max usecs: 175.000, spare = 23044.000
load = 0.8119 max usecs: 201.000, spare = 23018.000
load = 0.8086 max usecs: 187.000, spare = 23032.000
load = 0.7639 max usecs: 167.000, spare = 23052.000
load = 0.7825 max usecs: 186.000, spare = 23033.000
load = 0.7767 max usecs: 179.000, spare = 23040.000
load = 0.7501 max usecs: 168.000, spare = 23051.000
load = 0.7239 max usecs: 162.000, spare = 23057.000
server thread back from poll
+++ deactivate qjackctl
++ jack_sort_graph
++ jack_rechain_graph():
+++ client is now firewire_pcm active ? 1
client firewire_pcm: internal client, execution_order=0.
-- jack_rechain_graph()
-- jack_sort_graph
start poll on 4 fd's
server thread back from poll
marking client qjackctl with SOCKET error state = Running errors = 0
trying to lock graph to remove 1 problems
we have problem clients (problems = 1
++ Removing failed clients ...
client firewire_pcm error status 0
client qjackctl error status 10000000
removing failed client qjackctl state = Running errors = 10000000
removing client "qjackctl"
removing client "qjackctl" from the processing chain
+++ deactivate qjackctl
++ jack_sort_graph
++ jack_rechain_graph():
+++ client is now firewire_pcm active ? 1
client firewire_pcm: internal client, execution_order=0.
-- jack_rechain_graph()
-- jack_sort_graph
-- Removing failed clients ...
after removing clients, problems = 0
start poll on 3 fd's
jack main caught signal 15
starting server engine shutdown
stopping driver
server thread back from poll
unloading driver
no message buffer overruns
freeing shared port segments
stopping server thread
stopping watchdog thread
last xrun delay: 0.000 usecs
max delay reported by backend: 0.000 usecs
freeing engine shared memory
max usecs: 219.000, engine deleted
cleaning up shared memory
cleaning up files
unregistering server `default'

rebooted 896hd and now trying at 88200 (first fail)

# jackd -v -R -P70 -dfirewire -r88200 -p1024 -n4
jackd 0.118.0
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

getting driver descriptor from /usr/lib64/jack/jack_freebob.so
getting driver descriptor from /usr/lib64/jack/jack_firewire.so
no message buffer overruns
getting driver descriptor from /usr/lib64/jack/jack_net.so
getting driver descriptor from /usr/lib64/jack/jack_oss.so
getting driver descriptor from /usr/lib64/jack/jack_dummy.so
getting driver descriptor from /usr/lib64/jack/jack_alsa.so
JACK compiled with System V SHM support.
server `default' registered
registered builtin port type 32 bit float mono audio
registered builtin port type 8 bit raw midi
clock source = system clock via clock_gettime
loading driver ..
start poll on 3 fd's
new client: firewire_pcm, id = 1 type 1 @ 0x15f7bc0 fd = -1
new buffer size 1024
libffado 2.0.0-1768 built Jan  1 2010 00:03:50
firewire MSG: Streaming thread running with Realtime scheduling, priority 70
firewire MSG: Registering audio capture port C0_dev0_cap_Mix-L
firewire MSG: Registering audio capture port C1_dev0_cap_Mix-R
registered port system:capture_1, offset = 4096
registered port system:capture_2, offset = 8192
firewire MSG: Registering audio capture port C2_dev0_cap_Analog1
firewire MSG: Registering audio capture port C3_dev0_cap_Analog2
firewire MSG: Registering audio capture port C4_dev0_cap_Analog3
firewire MSG: Registering audio capture port C5_dev0_cap_Analog4
firewire MSG: Registering audio capture port C6_dev0_cap_Analog5
firewire MSG: Registering audio capture port C7_dev0_cap_Analog6
firewire MSG: Registering audio capture port C8_dev0_cap_Analog7
firewire MSG: Registering audio capture port C9_dev0_cap_Analog8
firewire MSG: Registering audio capture port C10_dev0_cap_unknown-1
firewire MSG: Registering audio capture port C11_dev0_cap_unknown-2
firewire MSG: Registering audio capture port C12_dev0_cap_AES/EBU1
firewire MSG: Registering audio capture port C13_dev0_cap_AES/EBU2
firewire MSG: Registering midi capture port C14_dev0_cap_MIDI0
firewire MSG: Registering audio playback port P0_dev0_pbk_Phones-L
firewire MSG: Registering audio playback port P1_dev0_pbk_Phones-R
firewire MSG: Registering audio playback port P2_dev0_pbk_Analog1
firewire MSG: Registering audio playback port P3_dev0_pbk_Analog2
firewire MSG: Registering audio playback port P4_dev0_pbk_Analog3
firewire MSG: Registering audio playback port P5_dev0_pbk_Analog4
firewire MSG: Registering audio playback port P6_dev0_pbk_Analog5
firewire MSG: Registering audio playback port P7_dev0_pbk_Analog6
firewire MSG: Registering audio playback port P8_dev0_pbk_Analog7
firewire MSG: Registering audio playback port P9_dev0_pbk_Analog8
firewire MSG: Registering audio playback port P10_dev0_pbk_MainOut-L
firewire MSG: Registering audio playback port P11_dev0_pbk_MainOut-R
firewire MSG: Registering audio playback port P12_dev0_pbk_AES/EBU1
firewire MSG: Registering audio playback port P13_dev0_pbk_AES/EBU2
firewire MSG: Registering midi playback port P14_dev0_pbk_MIDI0
registered port system:capture_3, offset = 12288
registered port system:capture_4, offset = 16384
registered port system:capture_5, offset = 20480
registered port system:capture_6, offset = 24576
registered port system:capture_7, offset = 28672
registered port system:capture_8, offset = 32768
registered port system:capture_9, offset = 36864
registered port system:capture_10, offset = 40960
registered port system:capture_11, offset = 45056
registered port system:capture_12, offset = 49152
registered port system:capture_13, offset = 53248
registered port system:capture_14, offset = 57344
registered port firewire_pcm:C14_dev0_cap_MIDI0, offset = 4096
registered port system:playback_1, offset = 0
registered port system:playback_2, offset = 0
registered port system:playback_3, offset = 0
registered port system:playback_4, offset = 0
registered port system:playback_5, offset = 0
registered port system:playback_6, offset = 0
registered port system:playback_7, offset = 0
registered port system:playback_8, offset = 0
registered port system:playback_9, offset = 0
registered port system:playback_10, offset = 0
registered port system:playback_11, offset = 0
registered port system:playback_12, offset = 0
registered port system:playback_13, offset = 0
registered port system:playback_14, offset = 0
registered port firewire_pcm:P14_dev0_pbk_MIDI0, offset = 0
++ jack_sort_graph
++ jack_rechain_graph():
+++ client is now firewire_pcm active ? 1
client firewire_pcm: internal client, execution_order=0.
-- jack_rechain_graph()
-- jack_sort_graph
*** glibc detected *** jackd: double free or corruption (!prev): 0x000000000162d300 ***
======= Backtrace: =========
/lib/libc.so.6[0x7f2a38d57dd6]
/lib/libc.so.6(cfree+0x6c)[0x7f2a38d5c70c]
/usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor15transferSilenceEj+0xac)[0x7f2a38008a3c]
/usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor21doWaitForStreamEnableEv+0x12a)[0x7f2a3800900a]
/usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor11updateStateEv+0x281)[0x7f2a380096d1]
/usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor9getPacketEPhPjS1_S1_jjjj+0xaa)[0x7f2a3800978a]
/usr/lib/libffado.so.2(_ZN10IsoHandler9getPacketEPhPjS0_S0_ijj+0x243)[0x7f2a38000883]
/usr/lib/libffado.so.2(_ZN10IsoHandler20iso_transmit_handlerEP14raw1394_handlePhPjS2_S2_ij+0x65)[0x7f2a38001055]
/usr/lib/libraw1394.so.11(_ieee1394_iso_iterate+0x28d)[0x7f2a3761458d]
/usr/lib/libraw1394.so.11(ieee1394_loop_iterate+0x9a)[0x7f2a3761385a]
/usr/lib/libffado.so.2(_ZN10IsoHandler7iterateEj+0x29)[0x7f2a38000e99]
/usr/lib/libffado.so.2(_ZN7IsoTask7ExecuteEv+0x38a)[0x7f2a38001ffa]
/usr/lib/libffado.so.2(_ZN4Util11PosixThread13ThreadHandlerEPv+0x49)[0x7f2a380144e9]
/lib/libpthread.so.0[0x7f2a3925ba04]
/lib/libc.so.6(clone+0x6d)[0x7f2a38dc17bd]
======= Memory map: ========
00400000-00405000 r-xp 00000000 08:05 153725                             /usr/bin/jackd
00605000-00606000 r--p 00005000 08:05 153725                             /usr/bin/jackd
00606000-00607000 rw-p 00006000 08:05 153725                             /usr/bin/jackd
013d0000-01760000 rw-p 00000000 00:00 0                                  [heap]
7f2a2c000000-7f2a2c021000 rw-p 00000000 00:00 0 
7f2a2c021000-7f2a30000000 ---p 00000000 00:00 0 
7f2a319ea000-7f2a319eb000 ---p 00000000 00:00 0 
7f2a319eb000-7f2a31a6b000 rw-p 00000000 00:00 0 
7f2a31a6b000-7f2a31a6c000 ---p 00000000 00:00 0 
7f2a31a6c000-7f2a3226c000 rw-p 00000000 00:00 0 
7f2a3226c000-7f2a3226d000 ---p 00000000 00:00 0 
7f2a3226d000-7f2a32a6d000 rw-p 00000000 00:00 0 
7f2a32a6d000-7f2a32a6e000 ---p 00000000 00:00 0 
7f2a32a6e000-7f2a3326e000 rw-p 00000000 00:00 0 
7f2a3326e000-7f2a3326f000 ---p 00000000 00:00 0 
7f2a3326f000-7f2a33a6f000 rw-p 00000000 00:00 0 
7f2a33a6f000-7f2a33a70000 ---p 00000000 00:00 0 
7f2a33a70000-7f2a34270000 rw-p 00000000 00:00 0 
7f2a34270000-7f2a34271000 ---p 00000000 00:00 0 
7f2a34271000-7f2a34a71000 rw-p 00000000 00:00 0 
7f2a34a71000-7f2a34b71000 rw-s 00000000 00:09 3637268                    /SYSV00000000 (deleted)
7f2a34b71000-7f2a34b72000 ---p 00000000 00:00 0 
7f2a34b72000-7f2a35372000 rw-p 00000000 00:00 0 
7f2a35372000-7f2a3539f000 r-xp 00000000 08:05 1696                       /lib/libpcre.so.3.12.1
7f2a3539f000-7f2a3559e000 ---p 0002d000 08:05 1696                       /lib/libpcre.so.3.12.1
7f2a3559e000-7f2a3559f000 r--p 0002c000 08:05 1696                       /lib/libpcre.so.3.12.1
7f2a3559f000-7f2a355a0000 rw-p 0002d000 08:05 1696                       /lib/libpcre.so.3.12.1
7f2a355a0000-7f2a355a3000 r-xp 00000000 08:05 131084                     /usr/lib/libgmodule-2.0.so.0.2200.3
7f2a355a3000-7f2a357a2000 ---p 00003000 08:05 131084                     /usr/lib/libgmodule-2.0.so.0.2200.3
7f2a357a2000-7f2a357a3000 r--p 00002000 08:05 131084                     /usr/lib/libgmodule-2.0.so.0.2200.3
7f2a357a3000-7f2a357a4000 rw-p 00003000 08:05 131084                     /usr/lib/libgmodule-2.0.so.0.2200.3
7f2a357a4000-7f2a357ba000 r-xp 00000000 08:05 900                        /lib/libz.so.1.2.3.3
7f2a357ba000-7f2a359b9000 ---p 00016000 08:05 900                        /lib/libz.so.1.2.3.3
7f2a359b9000-7f2a359ba000 r--p 00015000 08:05 900                        /lib/libz.so.1.2.3.3
7f2a359ba000-7f2a359bb000 rw-p 00016000 08:05 900                        /lib/libz.so.1.2.3.3
7f2a359bb000-7f2a359bc000 ---p 00000000 00:00 0 
7f2a359bc000-7f2a361bc000 rw-p 00000000 00:00 0 
7f2a361c5000-7f2a36205000 rw-s 00000000 00:0f 4188                       /dev/raw1394
7f2a36205000-7f2a3621b000 r-xp 00000000 08:05 419                        /lib/libgcc_s.so.1
7f2a3621b000-7f2a3641a000 ---p 00016000 08:05 419                        /lib/libgcc_s.so.1
7f2a3641a000-7f2a3641b000 r--p 00015000 08:05 419                        /lib/libgcc_s.so.1
7f2a3641b000-7f2a3641c000 rw-p 00016000 08:05 419                        /lib/libgcc_s.so.1
7f2a3641c000-7f2a3650e000 r-xp 00000000 08:05 131626                     /usr/lib/libstdc++.so.6.0.13
7f2a3650e000-7f2a3670e000 ---p 000f2000 08:05 131626                     /usr/lib/libstdc++.so.6.0.13
7f2a3670e000-7f2a36715000 r--p 000f2000 08:05 131626                     /usr/lib/libstdc++.so.6.0.13
7f2a36715000-7f2a36717000 rw-p 000f9000 08:05 131626                     /usr/lib/libstdc++.so.6.0.13
7f2a36717000-7f2a3672c000 rw-p 00000000 00:00 0 
7f2a3672c000-7f2a367f1000 r-xp 00000000 08:05 1039                       /lib/libglib-2.0.so.0.2200.3
7f2a367f1000-7f2a369f0000 ---p 000c5000 08:05 1039                       /lib/libglib-2.0.so.0.2200.3
7f2a369f0000-7f2a369f1000 r--p 000c4000 08:05 1039                       /lib/libglib-2.0.so.0.2200.3
7f2a369f1000-7f2a369f2000 rw-p 000c5000 08:05 1039                       /lib/libglib-2.0.so.0.2200.3
7f2a369f2000-7f2a369f3000 rw-p 00000000 00:00 0 
7f2a369f3000-7f2a369f8000 r-xp 00000000 08:05 135409                     /usr/lib/libsigc-2.0.so.0.0.0
7f2a369f8000-7f2a36bf7000 ---p 00005000 08:05 135409                     /usr/lib/libsigc-2.0.so.0.0.0
7f2a36bf7000-7f2a36bf8000 r--p 00004000 08:05 135409                     /usr/lib/libsigc-2.0.so.0.0.0
7f2a36bf8000-7f2a36bf9000 rw-p 00005000 08:05 135409                     /usr/lib/libsigc-2.0.so.0.0.0
7f2a36bf9000-7f2a36c3d000 r-xp 00000000 08:05 131083                     /usr/lib/libgobject-2.0.so.0.2200.3
7f2a36c3d000-7f2a36e3d000 ---p 00044000 08:05 131083                     /usr/lib/libgobject-2.0.so.0.2200.3
7f2a36e3d000-7f2a36e3e000 r--p 00044000 08:05 131083                     /usr/lib/libgobject-2.0.so.0.2200.3
7f2a36e3e000-7f2a36e3f000 rw-p 00045000 08:05 131083                     /usr/lib/libgobject-2.0.so.0.2200.3
7f2a36e3f000-7f2a36e40000 rw-p 00000000 00:00 0 
7f2a36e40000-7f2a36e96000 r-xp 00000000 08:05 185550                     /usr/lib/libglibmm-2.4.so.1.2.0
7f2a36e96000-7f2a37095000 ---p 00056000 08:05 185550                     /usr/lib/libglibmm-2.4.so.1.2.0
7f2a37095000-7f2a37097000 r--p 00055000 08:05 185550                     /usr/lib/libglibmm-2.4.so.1.2.0
7f2a37097000-7f2a37099000 rw-p 00057000 08:05 185550                     /usr/lib/libglibmm-2.4.so.1.2.0
7f2a37099000-7f2a371dd000 r-xp 00000000 08:05 135689                     /usr/lib/libxml2.so.2.7.5
7f2a371dd000-7f2a373dc000 ---p 00144000 08:05 135689                     /usr/lib/libxml2.so.2.7.5
7f2a373dc000-7f2a373e4000 r--p 00143000 08:05 135689                     /usr/lib/libxml2.so.2.7.5
7f2a373e4000-7f2a373e6000 rw-p 0014b000 08:05 135689                     /usr/lib/libxml2.so.2.7.5
7f2a373e6000-7f2a373e7000 rw-p 00000000 00:00 0 
7f2a373e7000-7f2a3740c000 r-xp 00000000 08:05 191154                     /usr/lib/libxml++-2.6.so.2.0.7
7f2a3740c000-7f2a3760b000 ---p 00025000 08:05 191154                     /usr/lib/libxml++-2.6.so.2.0.7
7f2a3760b000-7f2a3760d000 r--p 00024000 08:05 191154                     /usr/lib/libxml++-2.6.so.2.0.7
7f2a3760d000-7f2a3760e000 rw-p 00026000 08:05 191154                     /usr/lib/libxml++-2.6.so.2.0.7
7f2a3760e000-7f2a3761b000 r-xp 00000000 08:05 191116                     /usr/lib/libraw1394.so.11.0.1
7f2a3761b000-7f2a3781a000 ---p 0000d000 08:05 191116                     /usr/lib/libraw1394.so.11.0.1
7f2a3781a000-7f2a3781b000 r--p 0000c000 08:05 191116                     /usr/lib/libraw1394.so.11.0.1
7f2a3781b000-7f2a3781c000 rw-p 0000d000 08:05 191116                     /usr/lib/libraw1394.so.11.0.1
7f2a3781c000-7f2a37828000 r-xp 00000000 08:05 191139                     /usr/lib/libiec61883.so.0.1.1
7f2a37828000-7f2a37a27000 ---p 0000c000 08:05 191139                     /usr/lib/libiec61883.so.0.1.1
7f2a37a27000-7f2a37a28000 r--p 0000b000 08:05 191139                     /usr/lib/libiec61883.so.0.1.1
7f2a37a28000-7f2a37a29000 rw-p 0000c000 08:05 191139                     /usr/lib/libiec61883.so.0.1.1
7f2a37a29000-7f2a37a4f000 r-xp 00000000 08:05 5288                       /lib/libexpat.so.1.5.2
7f2a37a4f000-7f2a37c4f000 ---p 00026000 08:05 5288                       /lib/libexpat.so.1.5.2
7f2a37c4f000-7f2a37c51000 r--p 00026000 08:05 5288                       /lib/libexpat.so.1.5.2
7f2a37c51000-7f2a37c52000 rw-p 00028000 08:05 5288                       /lib/libexpat.so.1.5.2
7f2a37c52000-7f2a37d2c000 r-xp 00000000 08:05 148968                     /usr/lib/libasound.so.2.0.0
7f2a37d2c000-7f2a37f2b000 ---p 000da000 08:05 148968                     /usr/lib/libasound.so.2.0.0
7f2a37f2b000-7f2a37f31000 r--p 000d9000 08:05 148968                     /usr/lib/libasound.so.2.0.0
7f2a37f31000-7f2a37f32000 rw-p 000df000 08:05 148968                     /usr/lib/libasound.so.2.0.0
7f2a37f32000-7f2a380c7000 r-xp 00000000 08:05 209214                     /usr/lib/libffado.so.2.0.0
7f2a380c7000-7f2a382c6000 ---p 00195000 08:05 209214                     /usr/lib/libffado.so.2.0.0
7f2a382c6000-7f2a382d5000 r--p 00194000 08:05 209214                     /usr/lib/libffado.so.2.0.0
7f2a382d5000-7f2a382d9000 rw-p 001a3000 08:05 209214                     /usr/lib/libffado.so.2.0.0
7f2a382d9000-7f2a382da000 rw-p 00000000 00:00 0 
7f2a382da000-7f2a382e0000 r-xp 00000000 08:05 153733                     /usr/lib/jack/jack_firewire.so
7f2a382e0000-7f2a384df000 ---p 00006000 08:05 153733                     /usr/lib/jack/jack_firewire.so
7f2a384df000-7f2a384e0000 r--p 00005000 08:05 153733                     /usr/lib/jack/jack_firewire.so
7f2a384e0000-7f2a384e1000 rw-p 00006000 08:05 153733                     /usr/lib/jack/jack_firewire.so
7f2a384e1000-7f2a384e2000 ---p 00000000 00:00 0 
7f2a384e2000-7f2a38ce2000 rw-p 00000000 00:00 0 
7f2a38ce2000-7f2a38e48000 r-xp 00000000 08:05 1883                       /lib/libc-2.10.1.so
7f2a38e48000-7f2a39047000 ---p 00166000 08:05 1883                       /lib/libc-2.10.1.so
7f2a39047000-7f2a3904b000 r--p 00165000 08:05 1883                       /lib/libc-2.10.1.so
7f2a3904b000-7f2a3904c000 rw-p 00169000 08:05 1883                       /lib/libc-2.10.1.so
7f2a3904c000-7f2a39051000 rw-p 00000000 00:00 0 
7f2a39051000-7f2a39053000 r-xp 00000000 08:05 1886                       /lib/libdl-2.10.1.so
7f2a39053000-7f2a39253000 ---p 00002000 08:05 1886                       /lib/libdl-2.10.1.so
7f2a39253000-7f2a39254000 r--p 00002000 08:05 1886                       /lib/libdl-2.10.1.so
7f2a39254000-7f2a39255000 rw-p 00003000 08:05 1886                       /lib/libdl-2.10.1.so
7f2a39255000-7f2a3926c000 r-xp 00000000 08:05 1897                       /lib/libpthread-2.10.1.so
7f2a3926c000-7f2a3946b000 ---p 00017000 08:05 1897                       /lib/libpthread-2.10.1.so
7f2a3946b000-7f2a3946c000 r--p 00016000 08:05 1897                       /lib/libpthread-2.10.1.so
7f2a3946c000-7f2a3946d000 rw-p 00017000 08:05 1897                       /lib/libpthread-2.10.1.so
7f2a3946d000-7f2a39471000 rw-p 00000000 00:00 0 
7f2a39471000-7f2a394f3000 r-xp 00000000 08:05 1887                       /lib/libm-2.10.1.so
7f2a394f3000-7f2a396f3000 ---p 00082000 08:05 1887                       /lib/libm-2.10.1.so
7f2a396f3000-7f2a396f4000 r--p 00082000 08:05 1887                       /lib/libm-2.10.1.so
7f2a396f4000-7f2a396f5000 rw-p 00083000 08:05 1887                       /lib/libm-2.10.1.so
7f2a396f5000-7f2a396fc000 r-xp 00000000 08:05 1899                       /lib/librt-2.10.1.so
7f2a396fc000-7f2a398fb000 ---p 00007000 08:05 1899                       /lib/librt-2.10.1.so
7f2a398fb000-7f2a398fc000 r--p 00006000 08:05 1899                       /lib/librt-2.10.1.so
7f2a398fc000-7f2a398fd000 rw-p 00007000 08:05 1899                       /lib/librt-2.10.1.so
7f2a398fd000-7f2a39925000 r-xp 00000000 08:05 153715                     /usr/lib/libjackserver.so.0.0.28
7f2a39925000-7f2a39b24000 ---p 00028000 08:05 153715                     /usr/lib/libjackserver.so.0.0.28
7f2a39b24000-7f2a39b25000 r--p 00027000 08:05 153715                     /usr/lib/libjackserver.so.0.0.28
7f2a39b25000-7f2a39b27000 rw-p 00028000 08:05 153715                     /usr/lib/libjackserver.so.0.0.28
7f2a39b27000-7f2a39b2f000 rw-p 00000000 00:00 0 
7f2a39b2f000-7f2a39b4e000 r-xp 00000000 08:05 1880                       /lib/ld-2.10.1.so
7f2a39b4f000-7f2a39b6f000 rw-s 00000000 00:0f 4188                       /dev/raw1394
7f2a39b6f000-7f2a39b70000 ---p 00000000 00:00 0 
7f2a39b70000-7f2a39bf0000 rw-p 00000000 00:00 0 
7f2a39bf0000-7f2a39cf0000 rw-s 00000000 00:09 3604499                    /SYSV00000000 (deleted)
7f2a39cf0000-7f2a39d29000 rw-s 00000000 00:09 3571730                    /SYSV00000000 (deleted)
7f2a39d29000-7f2a39d2d000 rw-p 00000000 00:00 0 
7f2a39d47000-7f2a39d49000 rw-s 00000000 00:09 3342352                    /SYSV00282929 (deleted)
7f2a39d49000-7f2a39d4d000 rw-p 00000000 00:00 0 
7f2a39d4d000-7f2a39d4e000 r--p 0001e000 08:05 1880                       /lib/ld-2.10.1.so
7f2a39d4e000-7f2a39d4f000 rw-p 0001f000 08:05 1880                       /lib/ld-2.10.1.so
7fff4c74a000-7fff4c7ca000 rw-p 00000000 00:00 0                          [stack]
7fff4c7ff000-7fff4c800000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted

896hd has all 8 programmable meters and the 2 main outs lit up half way (from 42 to 18) after the fail and needs to be rebooted.

44100 after it fails:

02:22:23.067 Startup script...
02:22:23.073 artsshell -q terminate
sh: artsshell: not found
02:22:23.475 Startup script terminated with exit status=32512.
02:22:23.475 JACK is starting...
02:22:23.475 /usr/bin/jackd -v -R -P70 -p1024 -dfirewire -r44100 -p1024 -n4
jackd 0.118.0
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
getting driver descriptor from /usr/lib64/jack/jack_freebob.so
02:22:23.482 JACK was started with PID=23383.
getting driver descriptor from /usr/lib64/jack/jack_firewire.so
no message buffer overruns
getting driver descriptor from /usr/lib64/jack/jack_net.so
getting driver descriptor from /usr/lib64/jack/jack_oss.so
getting driver descriptor from /usr/lib64/jack/jack_dummy.so
getting driver descriptor from /usr/lib64/jack/jack_alsa.so
JACK compiled with System V SHM support.
server `default' registered
registered builtin port type 32 bit float mono audio
registered builtin port type 8 bit raw midi
clock source = system clock via clock_gettime
loading driver ..
start poll on 3 fd's
new client: firewire_pcm, id = 1 type 1 @ 0xeacc80 fd = -1
new buffer size 1024
libffado 2.0.0-1768 built Jan  1 2010 00:03:50
firewire MSG: Streaming thread running with Realtime scheduling, priority 70
firewire MSG: Registering audio capture port C0_dev0_cap_Mix-L
firewire MSG: Registering audio capture port C1_dev0_cap_Mix-R
registered port system:capture_1, offset = 4096
firewire MSG: Registering audio capture port C2_dev0_cap_Analog1
registered port system:capture_2, offset = 8192
firewire MSG: Registering audio capture port C3_dev0_cap_Analog2
registered port system:capture_3, offset = 12288
firewire MSG: Registering audio capture port C4_dev0_cap_Analog3
registered port system:capture_4, offset = 16384
firewire MSG: Registering audio capture port C5_dev0_cap_Analog4
registered port system:capture_5, offset = 20480
firewire MSG: Registering audio capture port C6_dev0_cap_Analog5
registered port system:capture_6, offset = 24576
firewire MSG: Registering audio capture port C7_dev0_cap_Analog6
registered port system:capture_7, offset = 28672
firewire MSG: Registering audio capture port C8_dev0_cap_Analog7
registered port system:capture_8, offset = 32768
firewire MSG: Registering audio capture port C9_dev0_cap_Analog8
registered port system:capture_9, offset = 36864
firewire MSG: Registering audio capture port C10_dev0_cap_unknown-1
registered port system:capture_10, offset = 40960
firewire MSG: Registering audio capture port C11_dev0_cap_unknown-2
registered port system:capture_11, offset = 45056
firewire MSG: Registering audio capture port C12_dev0_cap_AES/EBU1
registered port system:capture_12, offset = 49152
firewire MSG: Registering audio capture port C13_dev0_cap_AES/EBU2
registered port system:capture_13, offset = 53248
firewire MSG: Registering midi capture port C14_dev0_cap_MIDI0
registered port system:capture_14, offset = 57344
registered port firewire_pcm:C14_dev0_cap_MIDI0, offset = 4096
firewire MSG: Registering audio playback port P0_dev0_pbk_Phones-L
firewire MSG: Registering audio playback port P1_dev0_pbk_Phones-R
registered port system:playback_1, offset = 0
firewire MSG: Registering audio playback port P2_dev0_pbk_Analog1
registered port system:playback_2, offset = 0
firewire MSG: Registering audio playback port P3_dev0_pbk_Analog2
registered port system:playback_3, offset = 0
firewire MSG: Registering audio playback port P4_dev0_pbk_Analog3
registered port system:playback_4, offset = 0
firewire MSG: Registering audio playback port P5_dev0_pbk_Analog4
registered port system:playback_5, offset = 0
firewire MSG: Registering audio playback port P6_dev0_pbk_Analog5
registered port system:playback_6, offset = 0
firewire MSG: Registering audio playback port P7_dev0_pbk_Analog6
registered port system:playback_7, offset = 0
firewire MSG: Registering audio playback port P8_dev0_pbk_Analog7
registered port system:playback_8, offset = 0
firewire MSG: Registering audio playback port P9_dev0_pbk_Analog8
registered port system:playback_9, offset = 0
firewire MSG: Registering audio playback port P10_dev0_pbk_MainOut-L
registered port system:playback_10, offset = 0
firewire MSG: Registering audio playback port P11_dev0_pbk_MainOut-R
registered port system:playback_11, offset = 0
firewire MSG: Registering audio playback port P12_dev0_pbk_AES/EBU1
registered port system:playback_12, offset = 0
firewire MSG: Registering audio playback port P13_dev0_pbk_AES/EBU2
registered port system:playback_13, offset = 0
firewire MSG: Registering midi playback port P14_dev0_pbk_MIDI0
registered port system:playback_14, offset = 0
registered port firewire_pcm:P14_dev0_pbk_MIDI0, offset = 0
++ jack_sort_graph
++ jack_rechain_graph():
+++ client is now firewire_pcm active ? 1
client firewire_pcm: internal client, execution_order=0.
-- jack_rechain_graph()
-- jack_sort_graph
02:22:24.321 JACK was stopped successfully.
02:22:24.322 Post-shutdown script...
02:22:24.322 killall jackd
02:22:24.322 JACK has crashed.
jackd: no process found
02:22:24.731 Post-shutdown script terminated with exit status=256.
02:22:25.492 Could not connect to JACK server as client. - Overall operation failed. - Unable to connect to server. Please check the messages window for more info.

the 8 programmable meters and both main outs flash half way lit and then return to normal

96000 after fail

02:21:27.853 JACK is starting...
02:21:27.854 /usr/bin/jackd -v -R -P70 -p1024 -dfirewire -r96000 -p1024 -n4
jackd 0.118.0
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
getting driver descriptor from /usr/lib64/jack/jack_freebob.so
02:21:27.863 JACK was started with PID=23339.
getting driver descriptor from /usr/lib64/jack/jack_firewire.so
no message buffer overruns
getting driver descriptor from /usr/lib64/jack/jack_net.so
getting driver descriptor from /usr/lib64/jack/jack_oss.so
getting driver descriptor from /usr/lib64/jack/jack_dummy.so
getting driver descriptor from /usr/lib64/jack/jack_alsa.so
JACK compiled with System V SHM support.
server `default' registered
registered builtin port type 32 bit float mono audio
registered builtin port type 8 bit raw midi
clock source = system clock via clock_gettime
loading driver ..
start poll on 3 fd's
new client: firewire_pcm, id = 1 type 1 @ 0x1ae2c80 fd = -1
new buffer size 1024
libffado 2.0.0-1768 built Jan  1 2010 00:03:50
firewire MSG: Streaming thread running with Realtime scheduling, priority 70
firewire MSG: Registering audio capture port C0_dev0_cap_Mix-L
firewire MSG: Registering audio capture port C1_dev0_cap_Mix-R
registered port system:capture_1, offset = 4096
firewire MSG: Registering audio capture port C2_dev0_cap_Analog1
registered port system:capture_2, offset = 8192
firewire MSG: Registering audio capture port C3_dev0_cap_Analog2
registered port system:capture_3, offset = 12288
firewire MSG: Registering audio capture port C4_dev0_cap_Analog3
registered port system:capture_4, offset = 16384
firewire MSG: Registering audio capture port C5_dev0_cap_Analog4
registered port system:capture_5, offset = 20480
firewire MSG: Registering audio capture port C6_dev0_cap_Analog5
registered port system:capture_6, offset = 24576
firewire MSG: Registering audio capture port C7_dev0_cap_Analog6
registered port system:capture_7, offset = 28672
firewire MSG: Registering audio capture port C8_dev0_cap_Analog7
registered port system:capture_8, offset = 32768
firewire MSG: Registering audio capture port C9_dev0_cap_Analog8
registered port system:capture_9, offset = 36864
firewire MSG: Registering audio capture port C10_dev0_cap_unknown-1
registered port system:capture_10, offset = 40960
firewire MSG: Registering audio capture port C11_dev0_cap_unknown-2
registered port system:capture_11, offset = 45056
registered port system:capture_12, offset = 49152
firewire MSG: Registering audio capture port C12_dev0_cap_AES/EBU1
firewire MSG: Registering audio capture port C13_dev0_cap_AES/EBU2
registered port system:capture_13, offset = 53248
firewire MSG: Registering midi capture port C14_dev0_cap_MIDI0
registered port system:capture_14, offset = 57344
registered port firewire_pcm:C14_dev0_cap_MIDI0, offset = 4096
firewire MSG: Registering audio playback port P0_dev0_pbk_Phones-L
firewire MSG: Registering audio playback port P1_dev0_pbk_Phones-R
registered port system:playback_1, offset = 0
firewire MSG: Registering audio playback port P2_dev0_pbk_Analog1
registered port system:playback_2, offset = 0
firewire MSG: Registering audio playback port P3_dev0_pbk_Analog2
registered port system:playback_3, offset = 0
firewire MSG: Registering audio playback port P4_dev0_pbk_Analog3
registered port system:playback_4, offset = 0
firewire MSG: Registering audio playback port P5_dev0_pbk_Analog4
registered port system:playback_5, offset = 0
firewire MSG: Registering audio playback port P6_dev0_pbk_Analog5
registered port system:playback_6, offset = 0
firewire MSG: Registering audio playback port P7_dev0_pbk_Analog6
registered port system:playback_7, offset = 0
firewire MSG: Registering audio playback port P8_dev0_pbk_Analog7
registered port system:playback_8, offset = 0
registered port system:playback_9, offset = 0
firewire MSG: Registering audio playback port P9_dev0_pbk_Analog8
firewire MSG: Registering audio playback port P10_dev0_pbk_MainOut-L
registered port system:playback_10, offset = 0
registered port system:playback_11, offset = 0
firewire MSG: Registering audio playback port P11_dev0_pbk_MainOut-R
firewire MSG: Registering audio playback port P12_dev0_pbk_AES/EBU1
registered port system:playback_12, offset = 0
registered port system:playback_13, offset = 0
firewire MSG: Registering audio playback port P13_dev0_pbk_AES/EBU2
registered port system:playback_14, offset = 0
firewire MSG: Registering midi playback port P14_dev0_pbk_MIDI0
registered port firewire_pcm:P14_dev0_pbk_MIDI0, offset = 0
++ jack_sort_graph
++ jack_rechain_graph():
+++ client is now firewire_pcm active ? 1
client firewire_pcm: internal client, execution_order=0.
-- jack_rechain_graph()
-- jack_sort_graph
*** glibc detected *** /usr/bin/jackd: double free or corruption (!prev): 0x0000000001b2a3e0 ***
======= Backtrace: =========
/lib/libc.so.6[0x7f57becbddd6]
/lib/libc.so.6(cfree+0x6c)[0x7f57becc270c]
/usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor15transferSilenceEj+0xac)[0x7f57bde8ba3c]
/usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor21doWaitForStreamEnableEv+0x12a)[0x7f57bde8c00a]
/usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor11updateStateEv+0x281)[0x7f57bde8c6d1]
/usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor9getPacketEPhPjS1_S1_jjjj+0xaa)[0x7f57bde8c78a]
/usr/lib/libffado.so.2(_ZN10IsoHandler9getPacketEPhPjS0_S0_ijj+0x243)[0x7f57bde83883]
/usr/lib/libffado.so.2(_ZN10IsoHandler20iso_transmit_handlerEP14raw1394_handlePhPjS2_S2_ij+0x65)[0x7f57bde84055]
/usr/lib/libraw1394.so.11(_ieee1394_iso_iterate+0x28d)[0x7f57bd77758d]
/usr/lib/libraw1394.so.11(ieee1394_loop_iterate+0x9a)[0x7f57bd77685a]
/usr/lib/libffado.so.2(_ZN10IsoHandler7iterateEj+0x29)[0x7f57bde83e99]
/usr/lib/libffado.so.2(_ZN7IsoTask7ExecuteEv+0x38a)[0x7f57bde84ffa]
/usr/lib/libffado.so.2(_ZN4Util11PosixThread13ThreadHandlerEPv+0x49)[0x7f57bde974e9]
/lib/libpthread.so.0[0x7f57bf1c1a04]
/lib/libc.so.6(clone+0x6d)[0x7f57bed277bd]
======= Memory map: ========
00400000-00405000 r-xp 00000000 08:05 153725                             /usr/bin/jackd
00605000-00606000 r--p 00005000 08:05 153725                             /usr/bin/jackd
00606000-00607000 rw-p 00006000 08:05 153725                             /usr/bin/jackd
018b7000-01c5d000 rw-p 00000000 00:00 0                                  [heap]
7f57b0000000-7f57b0021000 rw-p 00000000 00:00 0 
7f57b0021000-7f57b4000000 ---p 00000000 00:00 0 
7f57b7238000-7f57b7258000 rw-s 00000000 00:0f 4188                       /dev/raw1394
7f57b7258000-7f57b7298000 rw-s 00000000 00:0f 4188                       /dev/raw1394
7f57b7298000-7f57b7299000 ---p 00000000 00:00 0 
7f57b7299000-7f57b7319000 rw-p 00000000 00:00 0 
7f57b7319000-7f57b731a000 ---p 00000000 00:00 0 
7f57b731a000-7f57b739a000 rw-p 00000000 00:00 0 
7f57b739a000-7f57b739b000 ---p 00000000 00:00 0 
7f57b739b000-7f57b7b9b000 rw-p 00000000 00:00 0 
7f57b7b9b000-7f57b7b9c000 ---p 00000000 00:00 0 
7f57b7b9c000-7f57b839c000 rw-p 00000000 00:00 0 
7f57b839c000-7f57b839d000 ---p 00000000 00:00 0 
7f57b839d000-7f57b8b9d000 rw-p 00000000 00:00 0 
7f57b8b9d000-7f57b8b9e000 ---p 00000000 00:00 0 
7f57b8b9e000-7f57b939e000 rw-p 00000000 00:00 0 
7f57b939e000-7f57b939f000 ---p 00000000 00:00 0 
7f57b939f000-7f57b9b9f000 rw-p 00000000 00:00 0 
7f57b9b9f000-7f57b9ba0000 ---p 00000000 00:00 0 
7f57b9ba0000-7f57ba3a0000 rw-p 00000000 00:00 0 
7f57ba3a0000-7f57ba7a0000 rw-s 00000000 00:09 2621453                    /SYSV00000000 (deleted)
7f57ba7a0000-7f57baba0000 rw-s 00000000 00:09 2588683                    /SYSV00000000 (deleted)
7f57baba0000-7f57baba1000 ---p 00000000 00:00 0 
7f57baba1000-7f57bb3a1000 rw-p 00000000 00:00 0 
7f57bb3a1000-7f57bb3ce000 r-xp 00000000 08:05 1696                       /lib/libpcre.so.3.12.1
7f57bb3ce000-7f57bb5cd000 ---p 0002d000 08:05 1696                       /lib/libpcre.so.3.12.1
7f57bb5cd000-7f57bb5ce000 r--p 0002c000 08:05 1696                       /lib/libpcre.so.3.12.1
7f57bb5ce000-7f57bb5cf000 rw-p 0002d000 08:05 1696                       /lib/libpcre.so.3.12.1
7f57bb5cf000-7f57bb5d2000 r-xp 00000000 08:05 131084                     /usr/lib/libgmodule-2.0.so.0.2200.3
7f57bb5d2000-7f57bb7d1000 ---p 00003000 08:05 131084                     /usr/lib/libgmodule-2.0.so.0.2200.3
7f57bb7d1000-7f57bb7d2000 r--p 00002000 08:05 131084                     /usr/lib/libgmodule-2.0.so.0.2200.3
7f57bb7d2000-7f57bb7d3000 rw-p 00003000 08:05 131084                     /usr/lib/libgmodule-2.0.so.0.2200.3
7f57bb7d3000-7f57bb7e9000 r-xp 00000000 08:05 900                        /lib/libz.so.1.2.3.3
7f57bb7e9000-7f57bb9e8000 ---p 00016000 08:05 900                        /lib/libz.so.1.2.3.3
7f57bb9e8000-7f57bb9e9000 r--p 00015000 08:05 900                        /lib/libz.so.1.2.3.3
7f57bb9e9000-7f57bb9ea000 rw-p 00016000 08:05 900                        /lib/libz.so.1.2.3.3
7f57bb9ea000-7f57bba00000 r-xp 00000000 08:05 419                        /lib/libgcc_s.so.1
7f57bba00000-7f57bbbff000 ---p 00016000 08:05 419                        /lib/libgcc_s.so.1
7f57bbbff000-7f57bbc00000 r--p 00015000 08:05 419                        /lib/libgcc_s.so.1
7f57bbc00000-7f57bbc01000 rw-p 00016000 08:05 419                        /lib/libgcc_s.so.1
7f57bbc01000-7f57bbc02000 ---p 00000000 00:00 0 
7f57bbc02000-7f57bc402000 rw-p 00000000 00:00 0 
7f57bc57f000-7f57bc671000 r-xp 00000000 08:05 131626                     /usr/lib/libstdc++.so.6.0.13
7f57bc671000-7f57bc871000 ---p 000f2000 08:05 131626                     /usr/lib/libstdc++.so.6.0.13
7f57bc871000-7f57bc878000 r--p 000f2000 08:05 131626                     /usr/lib/libstdc++.so.6.0.13
7f57bc878000-7f57bc87a000 rw-p 000f9000 08:05 131626                     /usr/lib/libstdc++.so.6.0.13
7f57bc87a000-7f57bc88f000 rw-p 00000000 00:00 0 
7f57bc88f000-7f57bc954000 r-xp 00000000 08:05 1039                       /lib/libglib-2.0.so.0.2200.3
7f57bc954000-7f57bcb53000 ---p 000c500
02:21:29.522 JACK was stopped successfully.
02:21:29.522 Post-shutdown script...
02:21:29.523 killall jackd
02:21:29.523 JACK has crashed.
0 08:05 1039                       /lib/libglib-2.0.so.0.2200.3
7f57bcb53000-7f57bcb54000 r--p 000c4000 08:05 1039                       /lib/libglib-2.0.so.0.2200.3
7f57bcb54000-7f57bcb55000 rw-p 000c5000 08:05 1039                       /lib/libglib-2.0.so.0.2200.3
7f57bcb55000-7f57bcb56000 rw-p 00000000 00:00 0 
7f57bcb56000-7f57bcb5b000 r-xp 00000000 08:05 135409                     /usr/lib/libsigc-2.0.so.0.0.0
7f57bcb5b000-7f57bcd5a000 ---p 00005000 08:05 135409                     /usr/lib/libsigc-2.0.so.0.0.0
7f57bcd5a000-7f57bcd5b000 r--p 00004000 08:05 135409                     /usr/lib/libsigc-2.0.so.0.0.0
7f57bcd5b000-7f57bcd5c000 rw-p 00005000 08:05 135409                     /usr/lib/libsigc-2.0.so.0.0.0
7f57bcd5c000-7f57bcda0000 r-xp 00000000 08:05 131083                     /usr/lib/libgobject-2.0.so.0.2200.3
7f57bcda0000-7f57bcfa0000 ---p 00044000 08:05 131083                     /usr/lib/libgobject-2.0.so.0.2200.3
7f57bcfa0000-7f57bcfa1000 r--p 00044000 08:05 131083                     /usr/lib/libgobject-2.0.so.0.2200.3
7f57bcfa1000-7f57bcfa2000 rw-p 00045000 08:05 131083                     /usr/lib/libgobject-2.0.so.0.2200.3
7f57bcfa2000-7f57bcfa3000 rw-p 00000000 00:00 0 
7f57bcfa3000-7f57bcff9000 r-xp 00000000 08:05 185550                     /usr/lib/libglibmm-2.4.so.1.2.0
7f57bcff9000-7f57bd1f8000 ---p 00056000 08:05 185550                     /usr/lib/libglibmm-2.4.so.1.2.0
7f57bd1f8000-7f57bd1fa000 r--p 00055000 08:05 185550                     /usr/lib/libglibmm-2.4.so.1.2.0
7f57bd1fa000-7f57bd1fc000 rw-p 00057000 08:05 185550                     /usr/lib/libglibmm-2.4.so.1.2.0
7f57bd1fc000-7f57bd340000 r-xp 00000000 08:05 135689                     /usr/lib/libxml2.so.2.7.5
7f57bd340000-7f57bd53f000 ---p 00144000 08:05 135689                     /usr/lib/libxml2.so.2.7.5
7f57bd53f000-7f57bd547000 r--p 00143000 08:05 135689                     /usr/lib/libxml2.so.2.7.5
7f57bd547000-7f57bd549000 rw-p 0014b000 08:05 135689                     /usr/lib/libxml2.so.2.7.5
7f57bd549000-7f57bd54a000 rw-p 00000000 00:00 0 
7f57bd54a000-7f57bd56f000 r-xp 00000000 08:05 191154                     /usr/lib/libxml++-2.6.so.2.0.7
7f57bd56f000-7f57bd76e000 ---p 00025000 08:05 191154                     /usr/lib/libxml++-2.6.so.2.0.7
7f57bd76e000-7f57bd770000 r--p 00024000 08:05 191154                     /usr/lib/libxml++-2.6.so.2.0.7
7f57bd770000-7f57bd771000 rw-p 00026000 08:05 191154                     /usr/lib/libxml++-2.6.so.2.0.7
7f57bd771000-7f57bd77e000 r-xp 00000000 08:05 191116                     /usr/lib/libraw1394.so.11.0.1
7f57bd77e000-7f57bd97d000 ---p 0000d000 08:05 191116                     /usr/lib/libraw1394.so.11.0.1
7f57bd97d000-7f57bd97e000 r--p 0000c000 08:05 191116                     /usr/lib/libraw1394.so.11.0.1
7f57bd97e000-7f57bd97f000 rw-p 0000d000 08:05 191116                     /usr/lib/libraw1394.so.11.0.1
7f57bd97f000-7f57bd98b000 r-xp 00000000 08:05 191139                     /usr/lib/libiec61883.so.0.1.1
7f57bd98b000-7f57bdb8a000 ---p 0000c000 08:05 191139                     /usr/lib/libiec61883.so.0.1.1
7f57bdb8a000-7f57bdb8b000 r--p 0000b000 08:05 191139                     /usr/lib/libiec61883.so.0.1.1
7f57bdb8b000-7f57bdb8c000 rw-p 0000c000 08:05 191139                     /usr/lib/libiec61883.so.0.1.1
7f57bdb8c000-7f57bdbb2000 r-xp 00000000 08:05 5288                       /lib/libexpat.so.1.5.2
7f57bdbb2000-7f57bddb2000 ---p 00026000 08:05 5288                       /lib/libexpat.so.1.5.2
7f57bddb2000-7f57bddb4000 r--p 00026000 08:05 5288                       /lib/libexpat.so.1.5.2
7f57bddb4000-7f57bddb5000 rw-p 00028000 08:05 5288                       /lib/libexpat.so.1.5.2
7f57bddb5000-7f57bdf4a000 r-xp 00000000 08:05 209214                     /usr/lib/libffado.so.2.0.0
7f57bdf4a000-7f57be149000 ---p 00195000 08:05 209214                     /usr/lib/libffado.so.2.0.0
7f57be149000-7f57be158000 r--p 00194000 08:05 209214                     /usr/lib/libffado.so.2.0.0
7f57be158000-7f57be15c000 rw-p 001a3000 08:05 209214                     /usr/lib/libffado.so.2.0.0
7f57be15c000-7f57be15d000 rw-p 00000000 00:00 0 
7f57be15d000-7f57be163000 r-xp 00000000 08:05 153733                     /usr/lib/jack/jack_firewire.so
7f57be163000-7f57be362000 ---p 00006000 08:05 153733                     /usr/lib/jack/jack_firewire.so
7f57be362000-7f57be363000 r--p 00005000 08:05 153733                     /usr/lib/jack/jack_firewire.so
7f57be363000-7f57be364000 rw-p 00006000 08:05 153733                     /usr/lib/jack/jack_firewire.so
7f57be364000-7f57be365000 ---p 00000000 00:00 0 
7f57be365000-7f57beb65000 rw-p 00000000 00:00 0 
7f57beb65000-7f57bec46000 rw-s 00000000 00:09 2555913                    /SYSV00000000 (deleted)
7f57bec46000-7f57bec48000 rw-s 00000000 00:09 819212                     /SYSV00282929 (deleted)
7f57bec48000-7f57bedae000 r-xp 00000000 08:05 1883                       /lib/libc-2.10.1.so
7f57bedae000-7f57befad000 ---p 00166000 08:05 1883                       /lib/libc-2.10.1.so
7f57befad000-7f57befb1000 r--p 00165000 08:05 1883                       /lib/libc-2.10.1.so
7f57befb1000-7f57befb2000 rw-p 00169000 08:05 1883                       /lib/libc-2.10.1.so
7f57befb2000-7f57befb7000 rw-p 00000000 00:00 0 
7f57befb7000-7f57befb9000 r-xp 00000000 08:05 1886                       /lib/libdl-2.10.1.so
7f57befb9000-7f57bf1b9000 ---p 00002000 08:05 1886                       /lib/libdl-2.10.1.so
7f57bf1b9000-7f57bf1ba000 r--p 00002000 08:05 1886                       /lib/libdl-2.10.1.so
7f57bf1ba000-7f57bf1bb000 rw-p 00003000 08:05 1886                       /lib/libdl-2.10.1.so
7f57bf1bb000-7f57bf1d2000 r-xp 00000000 08:05 1897                       /lib/libpthread-2.10.1.so
7f57bf1d2000-7f57bf3d1000 ---p 00017000 08:05 1897                       /lib/libpthread-2.10.1.so
7f57bf3d1000-7f57bf3d2000 r--p 00016000 08:05 1897                       /lib/libpthread-2.10.1.so
7f57bf3d2000-7f57bf3d3000 rw-p 00017000 08:05 1897                       /lib/libpthread-2.10.1.so
7f57bf3d3000-7f57bf3d7000 rw-p 00000000 00:00 0 
7f57bf3d7000-7f57bf459000 r-xp 00000000 08:05 1887                       /lib/libm-2.10.1.so
7f57bf459000-7f57bf659000 ---p 00082000 08:05 1887                       /lib/libm-2.10.1.so
7f57bf659000-7f57bf65a000 r--p 00082000 08:05 1887                       /lib/libm-2.10.1.so
7f57bf65a000-7f57bf65b000 rw-p 00083000 08:05 1887                       /lib/libm-2.10.1.so
7f57bf65b000-7f57bf662000 r-xp 00000000 08:05 1899                       /lib/librt-2.10.1.so
7f57bf662000-7f57bf861000 ---p 00007000 08:05 1899                       /lib/librt-2.10.1.so
7f57bf861000-7f57bf862000 r--p 00006000 08:05 1899                       /lib/librt-2.10.1.so
7f57bf862000-7f57bf863000 rw-p 00007000 08:05 1899                       /lib/librt-2.10.1.so
7f57bf863000-7f57bf88b000 r-xp 00000000 08:05 153715                     /usr/lib/libjackserver.so.0.0.28
7f57bf88b000-7f57bfa8a000 ---p 00028000 08:05 153715                     /usr/lib/libjackserver.so.0.0.28
7f57bfa8a000-7f57bfa8b000 r--p 00027000 08:05 153715                     /usr/lib/libjackserver.so.0.0.28
7f57bfa8b000-7f57bfa8d000 rw-p 00028000 08:05 153715                     /usr/lib/libjackserver.so.0.0.28
7f57bfa8d000-7f57bfa95000 rw-p 00000000 00:00 0 
7f57bfa95000-7f57bfab4000 r-xp 00000000 08:05 1880                       /lib/ld-2.10.1.so
7f57bfc8f000-7f57bfc93000 rw-p 00000000 00:00 0 
7f57bfcaf000-7f57bfcb3000 rw-p 00000000 00:00 0 
7f57bfcb3000-7f57bfcb4000 r--p 0001e000 08:05 1880                       /lib/ld-2.10.1.so
7f57bfcb4000-7f57bfcb5000 rw-p 0001f000 08:05 1880                       /lib/ld-2.10.1.so
7fffa8f01000-7fffa8f81000 rw-p 00000000 00:00 0                          [stack]
7fffa8fff000-7fffa9000000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
jackd: no process found
02:21:29.936 Post-shutdown script terminated with exit status=256.
02:21:30.004 Could not connect to JACK server as client. - Overall operation failed. - Unable to connect to server. Please check the messages window for more info.

896hd has all 8 programmable meters and the 2 main outs lit up half way (from 42 to 18) after the fail and needs to be rebooted.

One other thing. When it does work, then it will show:

firewire MSG: Registering audio capture port C0_dev0_cap_Mix-L
firewire MSG: Registering audio capture port C1_dev0_cap_Mix-R
firewire MSG: Registering audio capture port C2_dev0_cap_Analog1
firewire MSG: Registering audio capture port C3_dev0_cap_Analog2
firewire MSG: Registering audio capture port C4_dev0_cap_Analog3
firewire MSG: Registering audio capture port C5_dev0_cap_Analog4
firewire MSG: Registering audio capture port C6_dev0_cap_Analog5
firewire MSG: Registering audio capture port C7_dev0_cap_Analog6
firewire MSG: Registering audio capture port C8_dev0_cap_Analog7
firewire MSG: Registering audio capture port C9_dev0_cap_Analog8
firewire MSG: Registering audio capture port C10_dev0_cap_unknown-1
firewire MSG: Registering audio capture port C11_dev0_cap_unknown-2
firewire MSG: Registering audio capture port C12_dev0_cap_AES/EBU1
firewire MSG: Registering audio capture port C13_dev0_cap_AES/EBU2
firewire MSG: Registering midi capture port C14_dev0_cap_MIDI0
firewire MSG: Registering audio playback port P0_dev0_pbk_Phones-L
firewire MSG: Registering audio playback port P1_dev0_pbk_Phones-R
firewire MSG: Registering audio playback port P2_dev0_pbk_Analog1
firewire MSG: Registering audio playback port P3_dev0_pbk_Analog2
firewire MSG: Registering audio playback port P4_dev0_pbk_Analog3
firewire MSG: Registering audio playback port P5_dev0_pbk_Analog4
firewire MSG: Registering audio playback port P6_dev0_pbk_Analog5
firewire MSG: Registering audio playback port P7_dev0_pbk_Analog6
firewire MSG: Registering audio playback port P8_dev0_pbk_Analog7
firewire MSG: Registering audio playback port P9_dev0_pbk_Analog8
firewire MSG: Registering audio playback port P10_dev0_pbk_MainOut-L
firewire MSG: Registering audio playback port P11_dev0_pbk_MainOut-R
firewire MSG: Registering audio playback port P12_dev0_pbk_AES/EBU1
firewire MSG: Registering audio playback port P13_dev0_pbk_AES/EBU2
registered port system:capture_1, offset = 4096
registered port system:capture_2, offset = 8192
registered port system:capture_3, offset = 12288
registered port system:capture_4, offset = 16384
registered port system:capture_5, offset = 20480
registered port system:capture_6, offset = 24576
registered port system:capture_7, offset = 28672
registered port system:capture_8, offset = 32768
registered port system:capture_9, offset = 36864
registered port system:capture_10, offset = 40960
registered port system:capture_11, offset = 45056
registered port system:capture_12, offset = 49152
registered port system:capture_13, offset = 53248
registered port system:capture_14, offset = 57344
registered port firewire_pcm:C14_dev0_cap_MIDI0, offset = 4096
registered port system:playback_1, offset = 0
registered port system:playback_2, offset = 0
registered port system:playback_3, offset = 0
registered port system:playback_4, offset = 0
registered port system:playback_5, offset = 0
registered port system:playback_6, offset = 0
registered port system:playback_7, offset = 0
registered port system:playback_8, offset = 0
registered port system:playback_9, offset = 0
registered port system:playback_10, offset = 0
registered port system:playback_11, offset = 0
registered port system:playback_12, offset = 0
registered port system:playback_13, offset = 0
firewire MSG: Registering midi playback port P14_dev0_pbk_MIDI0
registered port system:playback_14, offset = 0
registered port firewire_pcm:P14_dev0_pbk_MIDI0, offset = 0

Capture 1-14 and playback 1-14 are not very helpful when using the mappings. It would be much more useful if you used the default firewire capture and playback names such as: pbk_Phones-L pbk_Phones-R pbk_Analog1 pbk_Analog2

cap_Analog1 cap_Analog2 etc

I had planned to send this last night but the internet went down.... I will now work on the core dump.

(follow-up: ↓ 23 ) 01/03/10 11:22:44 changed by sireasoning

I am unfamiliar with gdb but here is some of what you asked for. I could not figure out what to do with the print command though

# gdb /usr/bin/jackd core
GNU gdb (GDB) 7.0-ubuntu
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/jackd...done.
[New Thread 1448]
[New Thread 1445]
[New Thread 1449]
[New Thread 1444]
[New Thread 1447]
[New Thread 1434]
[New Thread 1440]
[New Thread 1439]
[New Thread 1442]
[New Thread 1441]
[New Thread 1443]

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libjackserver.so.0...done.
Loaded symbols for /usr/lib/libjackserver.so.0
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/jack/jack_firewire.so...done.
Loaded symbols for /usr/lib64/jack/jack_firewire.so
Reading symbols from /usr/lib/libffado.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libffado.so.2
Reading symbols from /usr/lib/libasound.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libasound.so.2
Reading symbols from /lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /usr/lib/libiec61883.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libiec61883.so.0
Reading symbols from /usr/lib/libraw1394.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libraw1394.so.11
Reading symbols from /usr/lib/libxml++-2.6.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml++-2.6.so.2
Reading symbols from /usr/lib/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libglibmm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libglibmm-2.4.so.1
Reading symbols from /usr/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libsigc-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsigc-2.0.so.0
Reading symbols from /lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /usr/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.3
Core was generated by `jackd -R -P70 -dfirewire -r44100 -p1024 -n4'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007fd77261b563 in memcpy () from /lib/libc.so.6
(gdb) where
#0  0x00007fd77261b563 in memcpy () from /lib/libc.so.6
#1  0x00007fd7718cbe9a in ffado_ringbuffer_write () from /usr/lib/libffado.so.2
#2  0x00007fd7718cd3b5 in Util::TimestampedBuffer::writeFrames(unsigned int, char*, double) () from /usr/lib/libffado.so.2
#3  0x00007fd77192a9c7 in Streaming::MotuReceiveStreamProcessor::processPacketData(unsigned char*, unsigned int) () from /usr/lib/libffado.so.2
#4  0x00007fd7718c18c5 in Streaming::StreamProcessor::putPacket(unsigned char*, unsigned int, unsigned char, unsigned char, unsigned char, unsigned int, unsigned int) () from /usr/lib/libffado.so.2
#5  0x00007fd7718b7d49 in IsoHandler::putPacket(unsigned char*, unsigned int, unsigned char, unsigned char, unsigned char, unsigned int, unsigned int) ()
   from /usr/lib/libffado.so.2
#6  0x00007fd770ecb462 in _ieee1394_iso_iterate ()
   from /usr/lib/libraw1394.so.11
#7  0x00007fd770eca85a in ieee1394_loop_iterate ()
   from /usr/lib/libraw1394.so.11
#8  0x00007fd7718b7e99 in IsoHandler::iterate(unsigned int) ()
   from /usr/lib/libffado.so.2
#9  0x00007fd7718b8ffa in IsoTask::Execute() () from /usr/lib/libffado.so.2
#10 0x00007fd7718cb4e9 in Util::PosixThread::ThreadHandler(void*) ()
   from /usr/lib/libffado.so.2
#11 0x00007fd772b12a04 in start_thread () from /lib/libpthread.so.0
#12 0x00007fd7726787bd in clone () from /lib/libc.so.6
---Type <return> to continue, or q <return> to quit---
#13 0x0000000000000000 in ?? ()
(gdb) print
The history is empty.
(gdb) print #13
Invalid character '#' in expression.
(gdb) print 13
$1 = 13
(gdb) print 12
$2 = 12
(gdb) print 11
$3 = 11
(gdb) print 0
$4 = 0

(in reply to: ↑ 20 ) 01/03/10 15:00:59 changed by jwoithe

Thanks for the extensive report.

I compiled and installed jack 0.118.0. I actually got 44100 to work for a while when I manually started it (curiously 96000 still failed). Then I went to qjackctl to try it and actually got it to work once. Then after trying it again at 96000 and having it fail, from then on 44100 would segfault. No amount of rebooting the computer or the 896hd would get it to work again.

It is the intermittant nature of the behaviour which has me thinking that there's a memory corruption occuring with the 896HD for some reason.

Note that when debugging ffado it's most useful to add the "-v 5" to the command line sometime after the "-dfirewire" option. This tells libffado to output extensive debugging messages. The "-v" before "-dfirewire" just tells jackd itself to be verbose which, for tracking down this particular problem, might not be all we need.

> -- jack_sort_graph
> *** glibc detected *** jackd: double free or corruption (!prev): 0x000000000162d300 ***
> ======= Backtrace: =========
> /lib/libc.so.6[0x7f2a38d57dd6]
> /lib/libc.so.6(cfree+0x6c)[0x7f2a38d5c70c]
> /usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor15transferSilenceEj+0xac)[0x7f2a38008a3c]
> /usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor21doWaitForStreamEnableEv+0x12a)[0x7f2a3800900a]
> /usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor11updateStateEv+0x281)[0x7f2a380096d1]
> /usr/lib/libffado.so.2(_ZN9Streaming15StreamProcessor9getPacketEPhPjS1_S1_jjjj+0xaa)[0x7f2a3800978a]
> :

This is interesting - the double-free is being detected in the transferSilence() method but that function doesn't call free() AFAIK. It adds weight to my hypothesis that there's some memory corruption going on which is in some way triggered only when the 896HD is in use.

896hd has all 8 programmable meters and the 2 main outs lit up half way (from 42 to 18) after the fail and needs to be rebooted.

Yes, this will happen with the MOTUs without too much effort at all. If an audio packet is missed or arrives too late (ie: there's a loss of sync between the PC and the device) the interfaces get into this strange state. If you were to listen to the outputs you'll probably hear a high-pitched tone from some of them. With a working ffado, a restart of jackd will clear the condition.

One other thing. When it does work, then it will show:

> firewire MSG: Registering audio capture port C0_dev0_cap_Mix-L
> firewire MSG: Registering audio capture port C1_dev0_cap_Mix-R
> firewire MSG: Registering audio capture port C2_dev0_cap_Analog1
> firewire MSG: Registering audio capture port C3_dev0_cap_Analog2
> :
> registered port system:capture_1, offset = 4096
> registered port system:capture_2, offset = 8192
> :

Capture 1-14 and playback 1-14 are not very helpful when using the mappings. It would be much more useful if you used the default firewire capture and playback names such as:

> pbk_Phones-L
> pbk_Phones-R
> pbk_Analog1
> pbk_Analog2
> 
> cap_Analog1
> cap_Analog2
> etc

The default names of the ports are mandated by JACK - we can't do anything about the fact that the ports are called capture_1 and so forth. It doesn't affect just FFADO though - all sound interfaces have the same issue. It is a topic which has come up multiple times on the jackd lists. The JACK developers have their reasons for this (mostly related to portability of software sessions across PCs with different interfaces).

What we can control are the port aliases though - these are set to more useful names ("Phones-L" and so forth). You can view these using "jack_lsp -A" when jackd is running; it gives the port name (eg: "system:capture_3") and lists the aliases for that port ("Analog-1"). This way you can at least cross-reference the port names.

So in summary, the names of the jack ports are controlled by JACK, not the backend (of which FFADO is one).

I'll continue my musings following your gdb post.

(in reply to: ↑ 21 ) 01/03/10 15:30:32 changed by jwoithe

Replying to sireasoning:

I am unfamiliar with gdb but here is some of what you asked for. I could not figure out what to do with the print command though

That's fine - it's a good start and we can build on that.

> # gdb /usr/bin/jackd core
<
> GNU gdb (GDB) 7.0-ubuntu
> :
> Core was generated by `jackd -R -P70 -dfirewire -r44100 -p1024 -n4'.
> Program terminated with signal 11, Segmentation fault.
> #0  0x00007fd77261b563 in memcpy () from /lib/libc.so.6
> (gdb) where
> #0  0x00007fd77261b563 in memcpy () from /lib/libc.so.6
> #1  0x00007fd7718cbe9a in ffado_ringbuffer_write () from /usr/lib/libffado.so.2
> #2  0x00007fd7718cd3b5 in Util::TimestampedBuffer::writeFrames(unsigned int, char*, double) () from /usr/lib/libffado.so.2
> #3  0x00007fd77192a9c7 in Streaming::MotuReceiveStreamProcessor::processPacketData(unsigned char*, unsigned int) () from /usr/lib/libffado.so.2
> #4  0x00007fd7718c18c5 in Streaming::StreamProcessor::putPacket(unsigned char*, unsigned int, unsigned char, unsigned char, unsigned char, unsigned int, unsigned int) () from /usr/lib/libffado.so.2
> :

Ok, it seems that the segfault occurs when something goes very wrong with the receive side of things. Conversely we've seen the double-free/corruption trigger only on the transmit side.

To use the print command, one simply requests the variable name to print. The variables available are those visible to the function where gdb is currently focused. By default it will be focused on the top-most function listed in the call trace (# 0, memcpy in this case). What we need to do is move the focus to a more useful function and investigate the arguments passed to memcpy() from there.

Working from the above example, use the "down" command 3 times (or is it "up" - I can never remember) to move to the processPacketData() method. We can now view the values of variables visible to that function (looking at the source code is useful at this point). In the first instance I am interested to know the values of length, data and m_last_timestamp, so we use the commands "print length", "print data" and "print m_last_timestamp".

What I am suspecting is that the packets being sent to/from the 896HD are not quite the size that we are expecting. Knowing the value of the "length" variable in particular will go some way towards proving (or disproving) this theory.

(in reply to: ↑ 13 ) 01/03/10 16:53:22 changed by jwoithe

Replying to jwoithe:

You shouldn't need to recompile jackd or anything else at this stage - only ffado itself. To be consistent with the rest of your system you probably want to install the new ffado in the same general places as the existing one is in. So do

   scons PREFIX=/usr

when configuring/compiling. When you do "scons install" this should overwrite the existing ffado things with the new version. However, to make sure the libffado libraries have done the right thing you might want to look in /usr/lib/ (as you did before), remove any of the old libffado files and make sure the symlinks are pointing to sensible targets.

As pointed out by Arnold in an email to the user/devel lists on 31 Dec 2009, the above is not quite right when upgrading a system from a 2.0-rc release to the 2.0.0 release (or trunk). The problem is that on systems which ship a pre-2.0 FFADO release candidate, jackd links to libffado.so.1. FFADO 2.0.0 (and trunk) instead create libffado.so.2, so installing these won't install anything that will be used by jackd and jackd will continue to use the old libffado.

A short-term solution, as suggested by Arnold, is remove libffado.so.1 and create a symlink of this name to libffado.so.2 ("rm libffado.so.1 ; ln -s libffado.so.2 libffado.so.1"). A more permanent solution on these systems might be to recompile jackd against the new libffado.

Of course once distributions pick up the new FFADO release none of this trickery will be required.

In relation to the system presently being discussed, this library version issue is probably going to be an issue. Double check /usr/lib/, and if libffado.so.1 does not eventually refer to the new libffado provided by the 2.0.0 compilation the symlink trick noted above would be the way to go.

01/03/10 23:04:55 changed by sireasoning

I had actually caught the libffado.so.1 issue early as I noticed that the jackd did not show "libffado 2.0.0-1768". I changed the link from libffado.so to link with libffado.so.2. However I did not change the libffado.so.1 link. I have now done that and will recompile jack.

01/03/10 23:13:58 changed by sireasoning

after recompilation of jack I get the following:

# jackd -R -P70 -dfirewire -r44100 -p1024 -n4 -v6
jackd 0.118.0
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

no message buffer overruns
JACK compiled with System V SHM support.
loading driver ..
libffado 2.0.0-1768 built Jan  1 2010 00:03:50
Segmentation fault (core dumped)

using gdb:

# gdb /usr/bin/jackd core
GNU gdb (GDB) 7.0-ubuntu
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/jackd...done.
[New Thread 3249]
[New Thread 3250]
[New Thread 3247]
[New Thread 3245]
[New Thread 3248]
[New Thread 3241]
[New Thread 3238]
[New Thread 3244]
[New Thread 3240]
[New Thread 3242]
[New Thread 3243]

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libjackserver.so.0...done.
Loaded symbols for /usr/lib/libjackserver.so.0
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/jack/jack_firewire.so...done.
Loaded symbols for /usr/lib64/jack/jack_firewire.so
Reading symbols from /usr/lib/libffado.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libffado.so.2
Reading symbols from /usr/lib/libasound.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libasound.so.2
Reading symbols from /lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /usr/lib/libiec61883.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libiec61883.so.0
Reading symbols from /usr/lib/libraw1394.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libraw1394.so.11
Reading symbols from /usr/lib/libxml++-2.6.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml++-2.6.so.2
Reading symbols from /usr/lib/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libglibmm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libglibmm-2.4.so.1
Reading symbols from /usr/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libsigc-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsigc-2.0.so.0
Reading symbols from /lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /usr/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.3
Core was generated by `jackd -R -P70 -dfirewire -r44100 -p1024 -n4 -v6'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f94cbe9740a in ?? () from /lib/libc.so.6
(gdb) print data
No symbol "data" in current context.
(gdb) print length
No symbol "length" in current context.
(gdb) print m_last_timestamp
No symbol "m_last_timestamp" in current context.

for comparison, here is the previous gdb of core before I reset the link of libffado.so.1 to link with libffado.so.2:

# gdb /usr/bin/jackd core
GNU gdb (GDB) 7.0-ubuntu
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/jackd...done.
[New Thread 18543]
[New Thread 18540]
[New Thread 18544]
[New Thread 18539]
[New Thread 18534]
[New Thread 18532]
[New Thread 18542]
[New Thread 18535]
[New Thread 18538]
[New Thread 18536]
[New Thread 18537]

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libjackserver.so.0...done.
Loaded symbols for /usr/lib/libjackserver.so.0
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/jack/jack_firewire.so...done.
Loaded symbols for /usr/lib64/jack/jack_firewire.so
Reading symbols from /usr/lib/libffado.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libffado.so.2
Reading symbols from /usr/lib/libasound.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libasound.so.2
Reading symbols from /lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /usr/lib/libiec61883.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libiec61883.so.0
Reading symbols from /usr/lib/libraw1394.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libraw1394.so.11
Reading symbols from /usr/lib/libxml++-2.6.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml++-2.6.so.2
Reading symbols from /usr/lib/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libglibmm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libglibmm-2.4.so.1
Reading symbols from /usr/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libsigc-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsigc-2.0.so.0
Reading symbols from /lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /usr/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.3
Core was generated by `jackd -R -P70 -dfirewire -r44100 -p1024 -n4'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007fef822b0563 in memcpy () from /lib/libc.so.6
(gdb) where
#0  0x00007fef822b0563 in memcpy () from /lib/libc.so.6
#1  0x00007fef81560e9a in ffado_ringbuffer_write () from /usr/lib/libffado.so.2
#2  0x00007fef815623b5 in Util::TimestampedBuffer::writeFrames(unsigned int, char*, double) () from /usr/lib/libffado.so.2
#3  0x00007fef815bf9c7 in Streaming::MotuReceiveStreamProcessor::processPacketData(unsigned char*, unsigned int) () from /usr/lib/libffado.so.2
#4  0x00007fef815568c5 in Streaming::StreamProcessor::putPacket(unsigned char*, unsigned int, unsigned char, unsigned char, unsigned char, unsigned int, unsigned int) () from /usr/lib/libffado.so.2
#5  0x00007fef8154cd49 in IsoHandler::putPacket(unsigned char*, unsigned int, unsigned char, unsigned char, unsigned char, unsigned int, unsigned int) () from /usr/lib/libffado.so.2
#6  0x00007fef80b60462 in _ieee1394_iso_iterate () from /usr/lib/libraw1394.so.11
#7  0x00007fef80b5f85a in ieee1394_loop_iterate () from /usr/lib/libraw1394.so.11
#8  0x00007fef8154ce99 in IsoHandler::iterate(unsigned int) () from /usr/lib/libffado.so.2
#9  0x00007fef8154dffa in IsoTask::Execute() () from /usr/lib/libffado.so.2
#10 0x00007fef815604e9 in Util::PosixThread::ThreadHandler(void*) () from /usr/lib/libffado.so.2
#11 0x00007fef827a7a04 in start_thread () from /lib/libpthread.so.0
#12 0x00007fef8230d7bd in clone () from /lib/libc.so.6
#13 0x0000000000000000 in ?? ()
(gdb) down
Bottom (innermost) frame selected; you cannot go down.
(gdb) up
#1  0x00007fef81560e9a in ffado_ringbuffer_write () from /usr/lib/libffado.so.2
(gdb) up
#2  0x00007fef815623b5 in Util::TimestampedBuffer::writeFrames(unsigned int, char*, double) () from /usr/lib/libffado.so.2
(gdb) up
#3  0x00007fef815bf9c7 in Streaming::MotuReceiveStreamProcessor::processPacketData(unsigned char*, unsigned int) () from /usr/lib/libffado.so.2
(gdb) print length
No symbol "length" in current context.
(gdb) print data
No symbol "data" in current context.
(gdb) print m_last_timestamp
No symbol "m_last_timestamp" in current context.
(gdb) print
The history is empty.

01/03/10 23:26:57 changed by sireasoning

FWIW, I changed directories (as I was starting jackd in the same directory I built it in) and temporarily got it looking like it would work. I then opened qjackctl and connected the capture and playback (system to system). So far so good, but when I tried to create a new session in Ardour ffado segfaulted immediately. Below is the gdb on that, but to my eyes it looks the same as the last one I sent:

# gdb /usr/bin/jackd core
GNU gdb (GDB) 7.0-ubuntu
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/jackd...done.
[New Thread 3267]
[New Thread 3264]
[New Thread 3268]
[New Thread 3265]
[New Thread 3263]
[New Thread 3262]
[New Thread 3258]
[New Thread 3261]
[New Thread 3260]
[New Thread 3266]
[New Thread 3256]

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libjackserver.so.0...done.
Loaded symbols for /usr/lib/libjackserver.so.0
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/jack/jack_firewire.so...done.
Loaded symbols for /usr/lib64/jack/jack_firewire.so
Reading symbols from /usr/lib/libffado.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libffado.so.2
Reading symbols from /usr/lib/libasound.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libasound.so.2
Reading symbols from /lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /usr/lib/libiec61883.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libiec61883.so.0
Reading symbols from /usr/lib/libraw1394.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libraw1394.so.11
Reading symbols from /usr/lib/libxml++-2.6.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml++-2.6.so.2
Reading symbols from /usr/lib/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libglibmm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libglibmm-2.4.so.1
Reading symbols from /usr/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libsigc-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsigc-2.0.so.0
Reading symbols from /lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /usr/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.3
Core was generated by `jackd -R -P70 -dfirewire -r44100 -p1024 -n4 -v 5'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007ff574df03c6 in ?? () from /lib/libc.so.6
(gdb) print length
No symbol "length" in current context.
(gdb) print data
No symbol "data" in current context.
(gdb) print
The history is empty.
(gdb) print  m_last_timestamp
No symbol "m_last_timestamp" in current context.

01/04/10 02:08:26 changed by jwoithe

Firstly, good catch on the library version thing.

Secondly, the reason why the print commands are reporting "no symbol" is possibly because your FFADO doesn't include debug symbols. To address this, recompile ffado and include "DEBUG=yes" on your scons command line (you don't need to repeat any previously specified options since scons will remember those). Sorry about forgetting about this - the default is to have debug turned off but due to scon's aforementioned memory of command line options I tend to overlook that. Install this new version and then repeat the gdb stuff. Note that you'll more than likely have to rerun jackd/ffado to regenerate a core dump which is applicable to the new binary (which will now include debug symbols).

(follow-up: ↓ 30 ) 01/04/10 11:08:16 changed by sireasoning

I upgraded svn to the latest ffado, I then rebuilt it with debug but still did not get debuggin info, so I tried to rebuild jack with the latest ffado, but it fails to build. Below is the jack configure and make:

$ ./configure --prefix=/usr --enable-debug
checking existing, conflicting JACK installs... checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognize dependent libraries... pass_all
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking how to run the C++ preprocessor... g++ -E
checking for g77... no
checking for xlf... no
checking for f77... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for xlf90... no
checking for f90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... no
checking for fort... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking the maximum length of command line arguments... 1572864
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
(cached) (cached) checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking whether ln -s works... yes
checking whether gcc and cc understand -c and -o together... yes
checking whether byte ordering is bigendian... no
checking platform dependencies... checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking alloca.h usability... yes
checking alloca.h presence... yes
checking for alloca.h... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking /usr/include/nptl/pthread.h usability... no
checking /usr/include/nptl/pthread.h presence... no
checking for /usr/include/nptl/pthread.h... no
checking for getopt_long... yes
checking for gethostent... yes
checking for setsockopt... yes
checking for connect... yes
checking for dlopen... no
checking for dlopen in -ldl... yes
checking for pthread_create... no
checking for pthread_create in -lpthread... yes
checking for on_exit... yes
checking for atexit... yes
checking for posix_memalign... yes
checking for sin in -lm... yes
Checking for ppoll()... yes
checking for clock_gettime... no
checking for clock_gettime in -lrt... yes
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking for mlockall... yes
checking shared memory support... System V shmget().
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow
checking whether we can compile MMX code... yes
yes
checking whether we can compile SSE code... yes
configure: WARNING: no optimization.........................
checking for pthread_barrier_init in -lpthread... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for SNDFILE... no
configure: WARNING: *** the jackrec example client will not be built
checking for SAMPLERATE... no
configure: WARNING: *** the NetJack backend and internal client will not be built
checking for CELT... no
checking for CELT... no
no
configure: WARNING: *** NetJack will not be built with celt support
checking CoreAudio/CoreAudio.h usability... no
checking CoreAudio/CoreAudio.h presence... no
checking for CoreAudio/CoreAudio.h... no
checking sys/soundcard.h usability... yes
checking sys/soundcard.h presence... yes
checking for sys/soundcard.h... yes
checking sys/audioio.h usability... no
checking sys/audioio.h presence... no
checking for sys/audioio.h... no
checking for LIBFREEBOB... no
no
checking for LIBFFADO... yes
checking for ALSA... yes
checking for readline in -lreadline... no
checking for readline in -lreadline... no
checking for readline in -lreadline... no
checking readline/chardefs.h usability... no
checking readline/chardefs.h presence... no
checking for readline/chardefs.h... no
configure: WARNING: *** the jack_transport example client will not be built
checking for doxygen... false
configure: WARNING: *** doxygen not found, docs will not be built
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config/Makefile
config.status: creating config/cpu/Makefile
config.status: creating config/cpu/alpha/Makefile
config.status: creating config/cpu/cris/Makefile
config.status: creating config/cpu/generic/Makefile
config.status: creating config/cpu/i386/Makefile
config.status: creating config/cpu/i486/Makefile
config.status: creating config/cpu/ia64/Makefile
config.status: creating config/cpu/m68k/Makefile
config.status: creating config/cpu/mips/Makefile
config.status: creating config/cpu/powerpc/Makefile
config.status: creating config/cpu/s390/Makefile
config.status: creating config/os/Makefile
config.status: creating config/os/generic/Makefile
config.status: creating config/os/gnu-linux/Makefile
config.status: creating config/os/macosx/Makefile
config.status: creating config/sysdeps/Makefile
config.status: creating doc/Makefile
config.status: creating doc/reference.doxygen
config.status: creating drivers/Makefile
config.status: creating drivers/alsa/Makefile
config.status: creating drivers/alsa-midi/Makefile
config.status: creating drivers/dummy/Makefile
config.status: creating drivers/oss/Makefile
config.status: creating drivers/sun/Makefile
config.status: creating drivers/portaudio/Makefile
config.status: creating drivers/coreaudio/Makefile
config.status: creating drivers/freebob/Makefile
config.status: creating drivers/firewire/Makefile
config.status: creating drivers/netjack/Makefile
config.status: creating example-clients/Makefile
config.status: creating tools/Makefile
config.status: creating man/Makefile
config.status: creating jack.pc
config.status: creating jack.spec
config.status: creating jack/Makefile
config.status: creating jack/version.h
config.status: creating jackd/Makefile
config.status: creating jackd/jackd.1
config.status: creating libjack/Makefile
config.status: creating config.h
config.status: executing depfiles commands

jack-audio-connection-kit 0.118.0 :

| Build with ALSA support............................... : true
| Build with old FireWire (FreeBob) support............. : false
| Build with new FireWire (FFADO) support............... : true
| Build with OSS support................................ : true
| Build with Sun audio support.......................... : false
| Build with CoreAudio support.......................... : false
| Build with PortAudio support.......................... : false
| Build with Celt support............................... : false
| Build with dynamic buffer size support................ : yes
| Compiler optimization flags........................... : -g
| Compiler full flags................................... : -I$(top_srcdir)/config -I$(top_srcdir) -I$(top_srcdir) -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -g
| Install dir for libjack + backends.................... : ${exec_prefix}/lib64/jack
|
| Default driver backend................................ : "alsa"
| Shared memory interface............................... : "System V"
| IPC Temporary directory............................... : /dev/shm
| Install prefix........................................ : /usr
| Default tmp dir....................................... : /dev/shm

$ sudo make --debug
GNU Make 3.81
Copyright (C) 2006  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

This program built for x86_64-pc-linux-gnu
Reading makefiles...
Updating goal targets....
 File `all' does not exist.
   Prerequisite `stamp-h1' is newer than target `config.h'.
  Must remake target `config.h'.
  Successfully remade target file `config.h'.
Must remake target `all'.
make  all-recursive
GNU Make 3.81
Copyright (C) 2006  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

This program built for x86_64-pc-linux-gnu
Reading makefiles...
Updating goal targets....
 File `all-recursive' does not exist.
Must remake target `all-recursive'.
make[1]: Entering directory `/home/sczjd/Downloads/jack-audio-connection-kit-0.118.0'
Making all in jack
GNU Make 3.81
Copyright (C) 2006  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

This program built for x86_64-pc-linux-gnu
Reading makefiles...
Updating goal targets....
 File `all' does not exist.
   File `all-am' does not exist.
  Must remake target `all-am'.
  Successfully remade target file `all-am'.
Must remake target `all'.
Successfully remade target file `all'.
make[2]: Entering directory `/home/sczjd/Downloads/jack-audio-connection-kit-0.118.0/jack'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/sczjd/Downloads/jack-audio-connection-kit-0.118.0/jack'
Making all in libjack
GNU Make 3.81
Copyright (C) 2006  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

This program built for x86_64-pc-linux-gnu
Reading makefiles...
Updating goal targets....
 File `all' does not exist.
   File `all-am' does not exist.
     File `libjack.la' does not exist.
       File `libjack_la-client.lo' does not exist.
      Must remake target `libjack_la-client.lo'.
make[2]: Entering directory `/home/sczjd/Downloads/jack-audio-connection-kit-0.118.0/libjack'
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..    -I../config -I.. -I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall  -g -DJACK_LOCATION=\"/usr/bin\" -I../config -I.. -I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall  -g -MT libjack_la-client.lo -MD -MP -MF .deps/libjack_la-client.Tpo -c -o libjack_la-client.lo `test -f 'client.c' || echo './'`client.c
mkdir .libs
 gcc -DHAVE_CONFIG_H -I. -I.. -I../config -I.. -I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -g -DJACK_LOCATION=\"/usr/bin\" -I../config -I.. -I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -g -MT libjack_la-client.lo -MD -MP -MF .deps/libjack_la-client.Tpo -c client.c  -fPIC -DPIC -o .libs/libjack_la-client.o
client.c: In function ‘jack_client_core_wait’:
client.c:1472: error: ‘x’ undeclared (first use in this function)
client.c:1472: error: (Each undeclared identifier is reported only once
client.c:1472: error: for each function it appears in.)
client.c:1472: error: expected ‘:’ before string constant
make[2]: *** [libjack_la-client.lo] Error 1
make[2]: Leaving directory `/home/sczjd/Downloads/jack-audio-connection-kit-0.118.0/libjack'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/sczjd/Downloads/jack-audio-connection-kit-0.118.0'
make: *** [all] Error 2

(in reply to: ↑ 29 ) 01/04/10 14:50:15 changed by jwoithe

Replying to sireasoning:

I upgraded svn to the latest ffado, I then rebuilt it with debug but still did not get debuggin info

That is extremely odd. Did you check that the newly build libffado was installed correctly into /usr/lib/? Specifying "DEBUG=yes" should cause the compilation commands to include "-g" and "-Wall" and therefore libffado at least should include debugging symbols. A bunch of other libraries still won't (and will continue to be reported as such when you start gdb) but that shouldn't matter - since we are interested in symbols from libffado, symbols in libffado is all we need. I assume you retried the down/print command sequence in gdb and observed it failing. If not it would be worth doing since the symbols we want might well be present now.

Perhaps the fact that jackd isn't built with debug symbols is in some way affecting the overall core dump though, so your idea to try to compile a debug version of jackd makes sense. Now I come to think about this I have a vague recollection of having encountered something like this myself some time ago.

so I tried to rebuild jack with the latest ffado, but it fails to build. Below is the jack configure and make:

The configure output looks fine at first glance. There are a few optional libraries not found (or probably more accurately, the -devel package of the libraries aren't found) but that shouldn't stop jackd building.

> $ sudo make --debug
> :

Note that unless you extracted the source code with "sudo" you shouldn't need to use sudo to do the main "make" step. The "sudo" bit should only be needed when you do "make install".

It's been a while since I've compiled jackd, but I think you need to do include "--enable-debug" in your argument list to "./configure" to enable debug messages. Then do "make" to build it and finally "sudo make install" to install it. Specifying "--debug" on the end of "make" will cause make itself to output debugging information about the build process, which isn't necessarily what we want or need.

>  gcc -DHAVE_CONFIG_H -I. -I.. -I../config -I.. -I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -g -DJACK_LOCATION=\"/usr/bin\" -I../config -I.. -I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -g -MT libjack_la-client.lo -MD -MP -MF .deps/libjack_la-client.Tpo -c client.c  -fPIC -DPIC -o .libs/libjack_la-client.o
> client.c: In function ‘jack_client_core_wait’:
> client.c:1472: error: ‘x’ undeclared (first use in this function)
> client.c:1472: error: (Each undeclared identifier is reported only once
> client.c:1472: error: for each function it appears in.)
> client.c:1472: error: expected ‘:’ before string constant

I've just tried this on my machine at work and I didn't encounter this error. Looking at the location of the error in the jackd source (libjack/client.c, line 1472) I notice this:

  DEBUG ("client polling on %s", client->pollmax == 2 ? x
         "event_fd and graph_wait_fd..." :
         "event_fd only");

So firstly it seems you did include "--enable-debug" when configuring jackd - otherwise the DEBUG() macro expands to an empty string. The cause of the error would be that "x" at the end of the line. It shouldn't be there as far as I can tell. Get rid of it and then compilation should proceed.

01/04/10 19:39:51 changed by sireasoning

Here we go:

# jackd -R -P70 -dfirewire -r44100 -p1024 -n4 -v 5
jackd 0.118.0
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

no message buffer overruns
JACK compiled with System V SHM support.
jack: 1811:158737690834 engine.c:jack_get_fifo_fd:3572: /dev/shm/jack-0/default/jack-ack-fifo-1811-0
jack: 1811:158737690867 engine.c:jack_get_fifo_fd:3616: opened engine->fifo[0] == 7 (/dev/shm/jack-0/default/jack-ack-fifo-1811-0)
loading driver ..
jack: 1814:158737702962 engine.c:jack_server_thread:1480: acquiring graph read lock
jack: 1814:158737703019 engine.c:jack_server_thread:1517: release graph lock
jack: 1811:158737719197 clientengine.c:jack_client_by_name:346: acquiring graph read lock
jack: 1811:158737719222 clientengine.c:jack_client_by_name:357: release graph lock
jack: 1811:158737719246 clientengine.c:setup_client:634: acquiring graph write lock
jack: 1811:158737719258 clientengine.c:setup_client:641: release graph lock
jack: 1811:158737720643 engine.c:jack_deliver_event_to_all:2417: acquiring graph read lock
jack: 1811:158737720654 engine.c:jack_deliver_event:2460: delivering event (type 2)
jack: 1811:158737720656 engine.c:jack_deliver_event:2473: client firewire_pcm is still alive
jack: 1811:158737720658 engine.c:jack_deliver_event:2637: event delivered
jack: 1811:158737720660 engine.c:jack_deliver_event_to_all:2423: release graph lock
jack: 1811:158737721788 engine.c:jack_deliver_event_to_all:2417: acquiring graph read lock
jack: 1811:158737721799 engine.c:jack_deliver_event:2460: delivering event (type 2)
jack: 1811:158737721801 engine.c:jack_deliver_event:2473: client firewire_pcm is still alive
jack: 1811:158737721803 engine.c:jack_deliver_event:2637: event delivered
jack: 1811:158737721804 engine.c:jack_deliver_event_to_all:2423: release graph lock
jack: 1811:158737721805 engine.c:jack_driver_buffer_size:529: acquiring graph write lock
jack: 1811:158737721806 engine.c:jack_driver_buffer_size:534: release graph lock
jack: 1811:158737721808 engine.c:jack_deliver_event_to_all:2417: acquiring graph read lock
jack: 1811:158737721809 engine.c:jack_deliver_event:2460: delivering event (type 0)
jack: 1811:158737721810 engine.c:jack_deliver_event:2473: client firewire_pcm is still alive
jack: 1811:158737721814 engine.c:jack_deliver_event:2637: event delivered
jack: 1811:158737721816 engine.c:jack_deliver_event_to_all:2423: release graph lock
158737721835:  (ffado.cpp)[  92] ffado_streaming_init: libffado 2.0.0-1778 built Jan  4 2010 12:41:39
158737759625: Debug (devicemanager.cpp)[ 332] discover: Starting discovery...
158737880647: Debug (devicemanager.cpp)[ 594] discover: driver found for device 0
158737880870: Debug (devicemanager.cpp)[ 631] discover: discovery of node 0 on port 0 done...
158737880879: Debug (devicemanager.cpp)[ 639] discover: Discovery finished...
158737880912: Debug (devicemanager.cpp)[1184] showDeviceInfo: ===== Device Manager =====
158737880920: Debug (Element.cpp)[ 121] show: Element DeviceManager
158737880924: Debug (devicemanager.cpp)[1192] showDeviceInfo: --- IEEE1394 Service  0 ---
Iso handler info:
Dumping IsoHandlerManager Stream handler information...
 State: 2
158737880940: Debug (devicemanager.cpp)[1202] showDeviceInfo: --- Device  0 ---
158737880944: Debug (devicemanager.cpp)[1205] showDeviceInfo: Clock sync sources:
158737880960: Debug (devicemanager.cpp)[1214] showDeviceInfo:  Type: Internal          , Id:  0, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Internal sync
158737880965: Debug (devicemanager.cpp)[1214] showDeviceInfo:  Type: ADAT              , Id:  1, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT optical
158737880969: Debug (devicemanager.cpp)[1214] showDeviceInfo:  Type: SPDIF             , Id:  2, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: SPDIF/Toslink
158737880973: Debug (devicemanager.cpp)[1214] showDeviceInfo:  Type: Erratic type      , Id:  3, Valid: 0, Active: 0, Locked 0, Slipping: 0, Description: SMPTE
158737880977: Debug (devicemanager.cpp)[1214] showDeviceInfo:  Type: WordClock         , Id:  4, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Wordclock
158737880981: Debug (devicemanager.cpp)[1214] showDeviceInfo:  Type: ADAT              , Id:  5, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT 9-pin
158737880985: Debug (devicemanager.cpp)[1214] showDeviceInfo:  Type: AES               , Id:  7, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: AES/EBU
158737919569: Debug (motu_avdevice.cpp)[ 860] prepare: Preparing MotuDevice...
jack: 1811:158737936084 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737936097 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737936121 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737936123 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937153 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937157 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937165 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937167 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937172 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937174 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937180 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937182 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937186 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937188 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937194 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937195 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937199 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937201 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937207 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937209 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937213 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937215 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937220 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937222 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937226 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937228 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937233 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937235 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937239 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937241 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937247 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937249 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937253 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937254 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937260 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937262 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937266 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937268 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937273 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937275 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937279 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937281 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937287 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937289 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937293 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937295 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937301 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937303 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937307 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937309 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937315 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937317 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937321 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937323 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937329 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937331 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937335 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937337 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937343 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937345 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937352 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937355 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937361 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937363 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937368 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937370 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937376 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937378 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937382 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937384 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937390 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937392 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937395 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937397 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937404 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937406 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937410 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937412 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937418 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937420 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937424 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937426 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937432 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937434 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937438 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937440 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937447 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937448 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937452 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937454 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937461 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937463 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937467 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937469 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937476 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937478 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937482 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937484 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937491 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937493 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937497 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937499 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937506 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937508 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937512 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937514 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937521 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937523 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937527 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937529 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937536 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937538 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937542 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937544 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937551 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937553 engine.c:do_request:1350: status of request: 0
jack: 1811:158737937557 engine.c:do_request:1218: got a request of type 1
jack: 1811:158737937559 engine.c:jack_port_do_register:3764: acquiring graph write lock
jack: 1811:158737937566 engine.c:jack_port_do_register:3852: release graph lock
jack: 1811:158737937568 engine.c:do_request:1350: status of request: 0
jack: 1811:158737945565 engine.c:do_request:1218: got a request of type 6
jack: 1811:158737945590 clientengine.c:jack_client_activate:819: acquiring graph write lock
jack: 1811:158737945604 engine.c:jack_get_fifo_fd:3572: /dev/shm/jack-0/default/jack-ack-fifo-1811-1
jack: 1811:158737945660 engine.c:jack_get_fifo_fd:3616: opened engine->fifo[1] == 11 (/dev/shm/jack-0/default/jack-ack-fifo-1811-1)
jack: 1811:158737945684 engine.c:jack_deliver_event:2460: delivering event (type 5)
jack: 1811:158737945687 engine.c:jack_deliver_event:2473: client firewire_pcm is still alive
jack: 1811:158737945689 engine.c:jack_deliver_event:2637: event delivered
jack: 1811:158737945692 clientengine.c:jack_client_activate:846: release graph lock
jack: 1811:158737945694 engine.c:do_request:1350: status of request: 0
  Handler type................: Transmit
  Port, Channel...............:  0,  1
  Buffer, MaxPacketSize, IRQ..:  128,  624,   64
  Speed, PreBuffers...........:  2,  0
  Min ISOXMT bufferfill : 7999
  Last cycle, dropped.........:   -1,    0,    0
  Handler type................: Receive
  Port, Channel...............:  0,  0
  Buffer, MaxPacketSize, IRQ..:   64,  624,   32
  Last cycle, dropped.........:   -1,    0,    0
Segmentation fault (core dumped)

s# gdb /usr/bin/jackd core
GNU gdb (GDB) 7.0-ubuntu
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/jackd...done.
[New Thread 1822]
[New Thread 1819]
[New Thread 1823]
[New Thread 1818]
[New Thread 1816]
[New Thread 1811]
[New Thread 1821]
[New Thread 1813]
[New Thread 1814]
[New Thread 1815]
[New Thread 1817]

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libjackserver.so.0...done.
Loaded symbols for /usr/lib/libjackserver.so.0
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/jack/jack_firewire.so...done.
Loaded symbols for /usr/lib64/jack/jack_firewire.so
Reading symbols from /usr/lib/libffado.so.2...done.
Loaded symbols for /usr/lib/libffado.so.2
Reading symbols from /lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /usr/lib/libiec61883.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libiec61883.so.0
Reading symbols from /usr/lib/libraw1394.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libraw1394.so.11
Reading symbols from /usr/lib/libxml++-2.6.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml++-2.6.so.2
Reading symbols from /usr/lib/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libglibmm-2.4.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libglibmm-2.4.so.1
Reading symbols from /usr/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libsigc-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsigc-2.0.so.0
Reading symbols from /lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /usr/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.3
Core was generated by `jackd -R -P70 -dfirewire -r44100 -p1024 -n4 -v 5'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f19bff84563 in memcpy () from /lib/libc.so.6
(gdb) print length
No symbol "length" in current context.
(gdb) up
#1  0x00007f19bf1cd134 in ffado_ringbuffer_write (rb=0xf67330, src=0x7f19c0f6287c "", cnt=416) at src/libutil/ringbuffer.c:273
273	  memcpy (&(rb->buf[rb->write_ptr]), src, n1);
(gdb) up
#2  0x00007f19bf1ce9b7 in Util::TimestampedBuffer::writeFrames (this=0xece100, nframes=8, data=0x7f19c0f6287c "", ts=129439219) at src/libutil/TimestampedBuffer.cpp:504
504	        size_t written = ffado_ringbuffer_write(m_event_buffer, data, write_size);
Current language:  auto
The current source language is "auto; currently c++".
(gdb) up
#3  0x00007f19bf24cffb in Streaming::MotuReceiveStreamProcessor::processPacketData (this=0xece2d0, data=0x7f19c0f62874 "", length=424) at src/libstreaming/motu/MotuReceiveStreamProcessor.cpp:189
189	    if(m_data_buffer->writeFrames(n_events, (char *)(data+8), m_last_timestamp)) {
(gdb) print length
$1 = 424
(gdb) print data
$2 = (unsigned char *) 0x7f19c0f62874 ""
(gdb) print  m_last_timestamp
$3 = 129439219

01/04/10 20:30:40 changed by jwoithe

Good job. So, the length of the packet delivered by the 896HD in this situation is 424 bytes.

Now, based on its understanding of the device FFADO is expecting 14 audio channels (I'm assuming the basic device setup hasn't changed from an earlier verbose run). Each of these is 3 bytes, so there's 42 bytes of audio data. Each frame also has a futher 10 bytes of auxilary data, bringing the expected frame size to 52 bytes. Each packet at 1x rates includes 8 frames and there's an additional 8 bytes of header info, so that means FFADO expects a frame size of 8*52+8 = 424. So there's agreement there.

Looking further up the call chain I note that the number of bytes to write into the ringbuffer is 416 (the cnt argument to ffado_ringbuffer_write()). This is also correct: 424-8. When writeFrames() is called it is told there are 8 frames which is also right. So certainly the size accounting is working correctly.

The line triggering the segfault is the memcpy() on line 273 of ringbuffer.c, in the function ffado_ringbuffer_write(). So we need to find out the value of some variables in this function now. After starting gdb, one "up" command should place you in ffado_ringbuffer_write(). Then do prints of n1, n2, cnt2, *rb (yes, the "*" is meant to be there) and src for starters.

It's almost starting to look like the ring buffer object is being corrupted somehow. This should be obvious from the requested print outputs though.

01/04/10 20:49:37 changed by jwoithe

In light of the above output I've had another close look at the 896HD code and found what looks to be a gremlin in the port offset mapping. The effect of this could quite easily be the symptoms you've been describing.

r1782 trunk contains what I hope is a fix to the problem. Would you be able to grab this revision, give it a test and let me know what happens? If it appears to address the problem I'll port it to the 2.0 branch as well.

01/04/10 22:18:44 changed by sireasoning

Having problems compiling from trunk again (Checked out revision 1782):

$ scons PREFIX=/usr DEBUG=yes

scons: *** No SConstruct file found.
File "/usr/lib/scons/SCons/Script/Main.py", line 830, in _main

01/04/10 23:58:14 changed by sireasoning

oops, forgot that I had to go one more directory deep in trunk....

01/05/10 00:28:09 changed by sireasoning

success at 44.1k 48k and 96k. I think you fixed it!

01/05/10 00:39:28 changed by sireasoning

Well, I may have spoken too soon. If I try to stop jackd using qjackctl while at 96k, it freezes and has to be manually killed

01/05/10 00:49:21 changed by sireasoning

More on the new issue of jack freezing when trying to stop jackd via qjackctl:

It will stop cleanly at 44.1k and 48k, but freezes on 88.2k, 96k and 192k

01/05/10 01:12:06 changed by sireasoning

although a simple kill command will kill qjackctl, to actually kill jackd I will have to issue a kill -KILL

01/05/10 01:24:31 changed by jwoithe

This is good news - we're making progress. I assume it's qjackctl which froze in the above tests.

What happens if you run jackd from the command line and kill it using ctrl-C? With trunk it may be instructive to run with "-v 6" rather than "-v 5": the additional messages might be useful in finding the freeze point (assuming it's ffado that's creating the freeze problem).

It might be worthwhile checking the packet sizes at 2x and 4x rates on the 896HD if the above command line test doesn't bear any fruit. I'll do up a patch for this if it proves necessary.

01/05/10 13:46:20 changed by sireasoning

First thing I noticed when I ran at 96000 is that programmable meter 1 is lit up to the red. It did get killed when I did a ctrl-c though.

# jackd -R -P70 -dfirewire -r96000 -p1024 -n4 -v 6
jackd 0.118.0
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

no message buffer overruns
JACK compiled with System V SHM support.
jack: 4453:223491612606 engine.c:jack_get_fifo_fd:3572: /dev/shm/jack-0/default/jack-ack-fifo-4453-0
jack: 4453:223491612637 engine.c:jack_get_fifo_fd:3616: opened engine->fifo[0] == 7 (/dev/shm/jack-0/default/jack-ack-fifo-4453-0)
loading driver ..
jack: 4456:223491618975 engine.c:jack_server_thread:1480: acquiring graph read lock
jack: 4456:223491619025 engine.c:jack_server_thread:1517: release graph lock
jack: 4453:223491635322 clientengine.c:jack_client_by_name:346: acquiring graph read lock
jack: 4453:223491635342 clientengine.c:jack_client_by_name:357: release graph lock
jack: 4453:223491635359 clientengine.c:setup_client:634: acquiring graph write lock
jack: 4453:223491635368 clientengine.c:setup_client:641: release graph lock
jack: 4453:223491636716 engine.c:jack_deliver_event_to_all:2417: acquiring graph read lock
jack: 4453:223491636724 engine.c:jack_deliver_event:2460: delivering event (type 2)
jack: 4453:223491636726 engine.c:jack_deliver_event:2473: client firewire_pcm is still alive
jack: 4453:223491636729 engine.c:jack_deliver_event:2637: event delivered
jack: 4453:223491636730 engine.c:jack_deliver_event_to_all:2423: release graph lock
jack: 4453:223491637840 engine.c:jack_deliver_event_to_all:2417: acquiring graph read lock
jack: 4453:223491637850 engine.c:jack_deliver_event:2460: delivering event (type 2)
jack: 4453:223491637851 engine.c:jack_deliver_event:2473: client firewire_pcm is still alive
jack: 4453:223491637854 engine.c:jack_deliver_event:2637: event delivered
jack: 4453:223491637855 engine.c:jack_deliver_event_to_all:2423: release graph lock
jack: 4453:223491637856 engine.c:jack_driver_buffer_size:529: acquiring graph write lock
jack: 4453:223491637858 engine.c:jack_driver_buffer_size:534: release graph lock
jack: 4453:223491637859 engine.c:jack_deliver_event_to_all:2417: acquiring graph read lock
223491637882:  (ffado.cpp)[  92] ffado_streaming_init: libffado 2.999.0-1782 built Jan  5 2010 01:52:22
jack: 4453:223491637860 engine.c:jack_deliver_event:2460: delivering event (type 0)
jack: 4453:223491637862 engine.c:jack_deliver_event:2473: client firewire_pcm is still alive
jack: 4453:223491637867 engine.c:jack_deliver_event:2637: event delivered
jack: 4453:223491637868 engine.c:jack_deliver_event_to_all:2423: release graph lock
223491638029: Debug (Element.cpp)[ 129] setVerboseLevel: Setting verbose level to 6...
223491638038: Debug (StreamProcessorManager.cpp)[1569] setVerboseLevel: Setting verbose level to 6...
223491638045: Debug (devicemanager.cpp)[1260] setVerboseLevel: Setting verbose level to 6...
223491638047: Debug (ffado.cpp)[ 119] ffado_streaming_init: Starting with realtime scheduling, base priority 70
223491638053: Debug (DeviceStringParser.cpp)[ 284] isValidString: isvalid? hw:0
223491638064: Debug (devicemanager.cpp)[ 233] addSpecString: Adding spec string hw:0
223491638069: Debug (DeviceStringParser.cpp)[ 253] parseString: parse: hw:0
223491638072: Debug (DeviceStringParser.cpp)[ 258] parseString:  left: hw:0
223491638076: Debug (DeviceStringParser.cpp)[  56] parse: parse: hw:0
223491638093: Debug (ffado.cpp)[ 148] ffado_streaming_init: setting slave mode to 0
223491638105: Debug (ffado.cpp)[ 154] ffado_streaming_init: setting snoop mode to 0
223491638214: Debug (Configuration.cpp)[  63] openFile: Could not open file: ~/.ffado/configuration
223491638905: Debug (devicemanager.cpp)[ 194] initialize: Found 1 firewire adapters (ports)
223491638924: Debug (IsoHandlerManager.cpp)[1143] setVerboseLevel: Setting verbose level to 6...
223491638931: Debug (ieee1394service.cpp)[1567] setVerboseLevel: Setting verbose level to 6...
223491638940: Debug (ieee1394service.cpp)[ 422] setThreadParameters: Switching IsoManager to (rt=1, prio=70)
223491638946: Debug (IsoHandlerManager.cpp)[ 528] setThreadParameters: (0x2065680) switch to: (rt=1, prio=70)...
223491638963: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase
223491638976: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase
223491638982: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase' not found
223491638993: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase_xmit
223491639017: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_xmit
223491639025: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_xmit' not found
223491639035: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase_recv
223491639050: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_recv
223491639059: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_recv' not found
223491639063: Debug (ieee1394service.cpp)[ 428] setThreadParameters: Switching CycleTimerHelper to (rt=1, prio=1)
223491639065: Debug (CycleTimerHelper.cpp)[ 231] setThreadParameters: (0x2065700) switch to: (rt=1, prio=1)...
223491639084: Debug (Watchdog.cpp)[ 200] start: (0x20658f0) Starting watchdog...
223491639092: Debug (Watchdog.cpp)[ 201] start: Create hartbeat task/thread for 0x20658f0...
223491639097: Debug (Watchdog.cpp)[ 215] start:  hartbeat task: 0x2065a50, thread 0x2065ac0...
223491639100: Debug (Watchdog.cpp)[ 217] start: Create check task/thread for 0x20658f0...
223491639103: Debug (Watchdog.cpp)[ 231] start:  check task: 0x2065b40, thread 0x2065bb0...
223491653966: Debug (Watchdog.cpp)[ 249] start: (0x20658f0) Watchdog running...
223491671788: Debug (ieee1394service.cpp)[ 331] initialize: This system supports the raw1394_read_cycle_timer call, using it.
223491671947: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.min_split_timeout_usecs
223491671967: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.min_split_timeout_usecs
223491671978: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.min_split_timeout_usecs' not found
223491671985: Debug (ieee1394service.cpp)[ 964] getSplitTimeoutUsecs: reading SPLIT_TIMEOUT on node 0x1...
223491672041: Debug (ieee1394service.cpp)[ 971] getSplitTimeoutUsecs:  READ HI: 0x01000000
223491672055: Debug (ieee1394service.cpp)[ 978] getSplitTimeoutUsecs:  READ LO: 0x00000000
223491672062: Debug (ieee1394service.cpp)[ 372] initialize: Minimum SPLIT_TIMEOUT: 1000000. Current: 1000000
223491672068: Debug (CycleTimerHelper.cpp)[ 116] Start: Start 0x2065700...
223491672071: Debug (CycleTimerHelper.cpp)[ 149] initValues: (0x2065700) Init values...
223491672074: Debug (CycleTimerHelper.cpp)[ 156] initValues: Read CTR...
223491672079: Debug (CycleTimerHelper.cpp)[ 167] initValues:  read : CTR:  3232557536, local:  1262727046059468
223491672086: Debug (CycleTimerHelper.cpp)[ 173] initValues:   ctr   : 0xC0ACE9E0  2367795680 (096s 2766cy 2528ticks)
223491672089: Debug (CycleTimerHelper.cpp)[ 179] initValues: requesting DLL re-init...
223491673153: Debug (CycleTimerHelper.cpp)[ 308] initDLL:  (0x2065700) First run
223491673161: Debug (CycleTimerHelper.cpp)[ 310] initDLL:   DLL bandwidth: 0.500000 Hz (rel: 0.100000)
223491673173: Debug (CycleTimerHelper.cpp)[ 313] initDLL:   usecs/update: 200000, ticks/update: 4915200, m_dll_e2: 4915200.000000
223491673181: Debug (CycleTimerHelper.cpp)[ 316] initDLL:   usecs current: 1262727046060540.000000, next: 1262727046260540.000000
223491673186: Debug (CycleTimerHelper.cpp)[ 319] initDLL:   ticks current: 2367822040.000000, next: 2372737240.000000
223491673191: Debug (CycleTimerHelper.cpp)[ 188] initValues: ready...
223491673201: Debug (Watchdog.cpp)[ 281] registerThread: (0x20658f0) Adding thread 0x20686a0
223491679237: Debug (CycleTimerHelper.cpp)[ 195] Init: Initialize 0x2065700...
223491679276: Debug (ieee1394service.cpp)[1225] addBusResetHandler: Adding busreset handler (0x2068850)
223491679333: Debug (CycleTimerHelper.cpp)[ 393] Execute: (0x2065700) have to retry CTR read, diff unrealistic: diff: -777754120, max: +/- 3072 (try: 10) 0
223491679417: Debug (CycleTimerHelper.cpp)[ 308] initDLL:  (0x2065700) First run
223491679425: Debug (CycleTimerHelper.cpp)[ 310] initDLL:   DLL bandwidth: 0.500000 Hz (rel: 0.100000)
223491679441: Debug (CycleTimerHelper.cpp)[ 313] initDLL:   usecs/update: 200000, ticks/update: 4915200, m_dll_e2: 4915200.000000
223491679446: Debug (CycleTimerHelper.cpp)[ 316] initDLL:   usecs current: 1262727046066805.000000, next: 1262727046266805.000000
223491679456: Debug (CycleTimerHelper.cpp)[ 319] initDLL:   ticks current: 2367975983.000000, next: 2372891183.000000
223491679240: Debug (IsoHandlerManager.cpp)[1143] setVerboseLevel: Setting verbose level to 6...
223491680154: Debug (IsoHandlerManager.cpp)[ 569] init: Initializing ISO manager 0x2065680...
223491680223: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase
223491680239: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase
223491680246: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase' not found
223491680257: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase_xmit
223491680270: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_xmit
223491680276: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_xmit' not found
223491680286: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase_recv
223491680299: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_recv
223491680305: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_recv' not found
223491680315: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.isotask_activity_timeout_usecs
223491680327: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.isotask_activity_timeout_usecs
223491680334: Debug (Configuration.cpp)[ 268] getValueForSetting: path 'ieee1394.isomanager.isotask_activity_timeout_usecs' not found
223491680337: Debug (IsoHandlerManager.cpp)[ 590] init: Create iso thread for 0x2065680 transmit...
223491680341: Debug (IsoHandlerManager.cpp)[ 445] setVerboseLevel: Setting verbose level to 6...
223491680349: Debug (Thread.h)[ 124] setVerboseLevel: (ISOXMT) Setting verbose level to 6...
223491680356: Debug (IsoHandlerManager.cpp)[ 609] init: Create iso thread for 0x2065680 receive...
223491680358: Debug (IsoHandlerManager.cpp)[ 445] setVerboseLevel: Setting verbose level to 6...
223491680361: Debug (Thread.h)[ 124] setVerboseLevel: (ISORCV) Setting verbose level to 6...
223491680365: Debug (Watchdog.cpp)[ 281] registerThread: (0x20658f0) Adding thread 0x2068ab0
223491680376: Debug (Watchdog.cpp)[ 281] registerThread: (0x20658f0) Adding thread 0x2068cd0
223491680383: Debug (PosixThread.cpp)[ 101] Start: (ISOXMT) Create RT thread 0x2068ab0 with priority 71
223491685818: Debug (PosixThread.cpp)[  78] ThreadHandler: (ISOXMT) ThreadHandler: start 0x2068ab0
223491685818: Debug (PosixThread.cpp)[ 101] Start: (ISORCV) Create RT thread 0x2068cd0 with priority 69
223491691606: Debug (PosixThread.cpp)[  78] ThreadHandler: (ISORCV) ThreadHandler: start 0x2068cd0
223491691607: Debug (ieee1394service.cpp)[ 422] setThreadParameters: Switching IsoManager to (rt=1, prio=70)
223491691780: Debug (IsoHandlerManager.cpp)[ 528] setThreadParameters: (0x2065680) switch to: (rt=1, prio=70)...
223491691844: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase
223491691869: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase
223491691878: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase' not found
223491691895: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase_xmit
223491691914: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_xmit
223491691923: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_xmit' not found
223491691939: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.prio_increase_recv
223491691958: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_recv
223491691967: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_recv' not found
223491691972: Debug (PosixThread.cpp)[ 208] AcquireRealTime: (ISOXMT, 0x2068ab0) Aquire realtime, prio 71
223491691981: Debug (PosixThread.cpp)[ 208] AcquireRealTime: (ISORCV, 0x2068cd0) Aquire realtime, prio 69
223491691985: Debug (ieee1394service.cpp)[ 428] setThreadParameters: Switching CycleTimerHelper to (rt=1, prio=1)
223491691990: Debug (CycleTimerHelper.cpp)[ 231] setThreadParameters: (0x2065700) switch to: (rt=1, prio=1)...
223491691995: Debug (PosixThread.cpp)[ 208] AcquireRealTime: (CTRHLP, 0x20686a0) Aquire realtime, prio 1
223491692001: Debug (ieee1394service.cpp)[1666] setThreadParameters: (0x20680b0) switch to: (rt=1, prio=70)...
223491692005: Debug (PosixThread.cpp)[ 208] AcquireRealTime: (ARMRT, 0x20680f0) Aquire realtime, prio 70
223491692048: Debug (ieee1394service.cpp)[1225] addBusResetHandler: Adding busreset handler (0x2068da0)
223491692059: Debug (devicemanager.cpp)[ 358] discover: Starting discovery...
223491692078: Debug (Element.cpp)[ 129] setVerboseLevel: Setting verbose level to 6...
223491692088: Debug (StreamProcessorManager.cpp)[1569] setVerboseLevel: Setting verbose level to 6...
223491692099: Debug (Thread.h)[ 124] setVerboseLevel: (ISOXMT) Setting verbose level to 6...
223491692107: Debug (IsoHandlerManager.cpp)[ 445] setVerboseLevel: Setting verbose level to 6...
223491692110: Debug (Thread.h)[ 124] setVerboseLevel: (ISORCV) Setting verbose level to 6...
223491692114: Debug (IsoHandlerManager.cpp)[ 445] setVerboseLevel: Setting verbose level to 6...
223491692118: Debug (IsoHandlerManager.cpp)[1143] setVerboseLevel: Setting verbose level to 6...
223491692122: Debug (ieee1394service.cpp)[1567] setVerboseLevel: Setting verbose level to 6...
223491692126: Debug (devicemanager.cpp)[1260] setVerboseLevel: Setting verbose level to 6...
223491692134: Debug (devicemanager.cpp)[ 385] discover: Probing node 0...
223491752479: Debug (devicemanager.cpp)[ 385] discover: Probing node 1...
223491752500: Debug (devicemanager.cpp)[ 388] discover: Skipping local node (1)...
223491752523: Debug (DeviceStringParser.cpp)[ 391] show: DeviceStringParser: 0x20645c0
223491752528: Debug (DeviceStringParser.cpp)[ 218] show: string: hw:0
223491752531: Debug (DeviceStringParser.cpp)[ 221] show: type: eBusNode
223491752534: Debug (DeviceStringParser.cpp)[ 223] show:  Port: 0, Node: -1
223491752544: Debug (devicemanager.cpp)[ 560] discover: Probing node 0...
223491814969: Debug (configrom.cpp)[ 562] printConfigRomDebug: Config ROM
223491814982: Debug (configrom.cpp)[ 563] printConfigRomDebug: 	Current Node Id:	0
223491814985: Debug (configrom.cpp)[ 564] printConfigRomDebug: 	GUID:			0x0001F20000015A02
223491814990: Debug (configrom.cpp)[ 565] printConfigRomDebug: 	Vendor Name:		
223491814994: Debug (configrom.cpp)[ 566] printConfigRomDebug: 	Model Name:		
223491814997: Debug (configrom.cpp)[ 567] printConfigRomDebug: 	Node Vendor ID:		0x0001f2
223491815000: Debug (configrom.cpp)[ 568] printConfigRomDebug: 	Model Id:		0x00102800
223491815003: Debug (configrom.cpp)[ 569] printConfigRomDebug: 	Unit Specifier ID:	0x0001f2
223491815007: Debug (configrom.cpp)[ 570] printConfigRomDebug: 	Unit version:		0x00000005
223491815139: Debug (configrom.cpp)[ 571] printConfigRomDebug: 	ISO resource manager:	0
223491815144: Debug (configrom.cpp)[ 572] printConfigRomDebug: 	Cycle master capable:	1
223491815147: Debug (configrom.cpp)[ 573] printConfigRomDebug: 	Bus manager capable:	0
223491815150: Debug (configrom.cpp)[ 574] printConfigRomDebug: 	Cycle clock accuracy:	0
223491815153: Debug (configrom.cpp)[ 576] printConfigRomDebug: 	Max rec:		1 (max asy payload: 4 bytes)
223491815163: Debug (DeviceStringParser.cpp)[ 162] match: match 0x207c4b0 (0001f20000015a02)
223491815168: Debug (DeviceStringParser.cpp)[ 175] match: (eBusNode) device matches device string hw:0
223491815171: Debug (devicemanager.cpp)[1109] getDriverForDevice: Probing for supported device...
223491815174: Debug (devicemanager.cpp)[1032] getDriverForDeviceDo: Trying BeBoB...
223491815210: Debug (Configuration.cpp)[ 394] getDeviceSetting:   temporary has no device definitions
223491815313: Debug (devicemanager.cpp)[1039] getDriverForDeviceDo: Trying ECHO Audio FireWorks...
223491815331: Debug (Configuration.cpp)[ 394] getDeviceSetting:   temporary has no device definitions
223491815393: Debug (devicemanager.cpp)[1046] getDriverForDeviceDo: Trying Oxford FW90x...
223491815409: Debug (Configuration.cpp)[ 394] getDeviceSetting:   temporary has no device definitions
223491815470: Debug (devicemanager.cpp)[1061] getDriverForDeviceDo: Trying Generic AV/C...
223491815486: Debug (Configuration.cpp)[ 394] getDeviceSetting:   temporary has no device definitions
223491815548: Debug (devicemanager.cpp)[1068] getDriverForDeviceDo: Trying Motu...
223491815596: Debug (Element.cpp)[ 253] addElement: Adding Element ConfigRom to 0001f20000015a02
223491815616: Debug (Element.cpp)[ 253] addElement: Adding Element Generic to 0001f20000015a02
223491815633: Debug (Element.cpp)[ 253] addElement: Adding Element ClockSelect to Generic
223491815642: Debug (Element.cpp)[ 253] addElement: Adding Element SamplerateSelect to Generic
223491815655: Debug (Element.cpp)[ 253] addElement: Adding Element Nickname to Generic
223491815663: Debug (Element.cpp)[ 253] addElement: Adding Element StreamingStatus to Generic
223491815675: Debug (devicemanager.cpp)[1112] getDriverForDevice:  found supported device...
223491815680: Debug (Element.cpp)[ 129] setVerboseLevel: Setting verbose level to 6...
223491815683: Debug (devicemanager.cpp)[ 620] discover: driver found for device 0
223491815686: Debug (ffadodevice.cpp)[ 216] setVerboseLevel: Setting verbose level to 6...
223491815689: Debug (Element.cpp)[ 129] setVerboseLevel: Setting verbose level to 6...
223491815693: Debug (motu_avdevice.cpp)[ 447] discover: found MOTU 896HD
223491815696: Debug (motu_mixer.cpp)[ 292] buildMixer: Building a MOTU mixer...
223491815699: Debug (motu_mixer.cpp)[ 357] destroyMixer: destroy mixer...
223491815702: Debug (motu_mixer.cpp)[ 360] destroyMixer: no mixer to destroy...
223491815711: Debug (Element.cpp)[ 253] addElement: Adding Element fader to Mixer
223491815719: Debug (Element.cpp)[ 253] addElement: Adding Element pan to Mixer
223491815726: Debug (Element.cpp)[ 253] addElement: Adding Element solo to Mixer
223491815732: Debug (Element.cpp)[ 253] addElement: Adding Element mute to Mixer
223491815820: Debug (Element.cpp)[ 253] addElement: Adding Element Mix1/Mix_fader to Mixer
223491815833: Debug (Element.cpp)[ 253] addElement: Adding Element Mix1/Mix_mute to Mixer
223491815842: Debug (Element.cpp)[ 253] addElement: Adding Element Mix1/Mix_dest to Mixer
223491815857: Debug (Element.cpp)[ 253] addElement: Adding Element Mix2/Mix_fader to Mixer
223491815864: Debug (Element.cpp)[ 253] addElement: Adding Element Mix2/Mix_mute to Mixer
223491815879: Debug (Element.cpp)[ 253] addElement: Adding Element Mix2/Mix_dest to Mixer
223491815889: Debug (Element.cpp)[ 253] addElement: Adding Element Mix3/Mix_fader to Mixer
223491815900: Debug (Element.cpp)[ 253] addElement: Adding Element Mix3/Mix_mute to Mixer
223491815908: Debug (Element.cpp)[ 253] addElement: Adding Element Mix3/Mix_dest to Mixer
223491815920: Debug (Element.cpp)[ 253] addElement: Adding Element Mix4/Mix_fader to Mixer
223491815928: Debug (Element.cpp)[ 253] addElement: Adding Element Mix4/Mix_mute to Mixer
223491815940: Debug (Element.cpp)[ 253] addElement: Adding Element Mix4/Mix_dest to Mixer
223491815948: Debug (Element.cpp)[ 253] addElement: Adding Element Mainout_fader to Mixer
223491815962: Debug (Element.cpp)[ 253] addElement: Adding Element Phones_fader to Mixer
223491816054: Debug (Element.cpp)[ 253] addElement: Adding Element Control/Phones_src to Mixer
223491816095: Debug (Element.cpp)[ 253] addElement: Adding Element Control/OpticalIn_mode to Mixer
223491816110: Debug (Element.cpp)[ 253] addElement: Adding Element Control/OpticalOut_mode to Mixer
223491816121: Debug (Element.cpp)[ 253] addElement: Adding Element Control/Meter_peakhold_time to Mixer
223491816133: Debug (Element.cpp)[ 253] addElement: Adding Element Control/Meter_cliphold_time to Mixer
223491816186: Debug (Element.cpp)[ 253] addElement: Adding Element Control/Meter_aesebu_src to Mixer
223491816200: Debug (Element.cpp)[ 253] addElement: Adding Element Control/Meter_src to Mixer
223491816209: Debug (Element.cpp)[ 253] addElement: Adding Element Info/Model to Mixer
223491816219: Debug (Element.cpp)[ 253] addElement: Adding Element Info/IsStreaming to Mixer
223491816227: Debug (Element.cpp)[ 253] addElement: Adding Element Info/SampleRate to Mixer
223491816238: Debug (Element.cpp)[ 253] addElement: Adding Element Mixer to 0001f20000015a02
223491816248: Debug (Element.cpp)[ 253] addElement: Adding Element Control to 0001f20000015a02
223491816256: Debug (devicemanager.cpp)[ 630] discover: discovery successful
223491816259: Debug (devicemanager.cpp)[ 649] discover: No cached version of AVC model created
223491816269: Debug (Element.cpp)[ 253] addElement: Adding Element 0001f20000015a02 to DeviceManager
223491816275: Debug (devicemanager.cpp)[ 657] discover: discovery of node 0 on port 0 done...
223491816280: Debug (devicemanager.cpp)[ 560] discover: Probing node 1...
223491816283: Debug (devicemanager.cpp)[ 563] discover: Skipping local node (1)...
223491816287: Debug (devicemanager.cpp)[ 665] discover: Discovery finished...
223491816295: Debug (DeviceStringParser.cpp)[ 162] match: match 0x207c4b0 (0001f20000015a02)
223491816299: Debug (DeviceStringParser.cpp)[ 175] match: (eBusNode) device matches device string hw:0
223491816309: Debug (devicemanager.cpp)[ 684] discover: Mapping 0001f20000015a02 to position 0...
223491816342: Debug (ffadodevice.cpp)[ 176] setId: Set id to dev0...
223491816357: Debug (devicemanager.cpp)[1265] showDeviceInfo: ===== Device Manager =====
223491816365: Debug (Element.cpp)[ 121] show: Element DeviceManager
223491816368: Debug (devicemanager.cpp)[1273] showDeviceInfo: --- IEEE1394 Service  0 ---
223491816378: Debug (ieee1394service.cpp)[1582] show: Port:  0
223491816382: Debug (ieee1394service.cpp)[1583] show:  Name: ohci1394
223491816385: Debug (ieee1394service.cpp)[1585] show:  CycleTimerHelper: 0x2065700, IsoManager: 0x2065680, WatchDog: 0x20658f0
223491816389: Debug (ieee1394service.cpp)[1590] show:  Time: 02371341495 (096s 3921cy 0183ticks)
Iso handler info:
Dumping IsoHandlerManager Stream handler information...
 State: 2
223491816398: Debug (devicemanager.cpp)[1283] showDeviceInfo: --- Device  0 ---
223491816402: Debug (motu_avdevice.cpp)[ 854] showDevice: MOTU 896HD at node 0
223491816405: Debug (devicemanager.cpp)[1286] showDeviceInfo: Clock sync sources:
223491816423: Debug (devicemanager.cpp)[1295] showDeviceInfo:  Type: Internal          , Id:  0, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Internal sync
223491816428: Debug (devicemanager.cpp)[1295] showDeviceInfo:  Type: ADAT              , Id:  1, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT optical
223491816432: Debug (devicemanager.cpp)[1295] showDeviceInfo:  Type: SPDIF             , Id:  2, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: SPDIF/Toslink
223491816436: Debug (devicemanager.cpp)[1295] showDeviceInfo:  Type: Erratic type      , Id:  3, Valid: 0, Active: 0, Locked 0, Slipping: 0, Description: SMPTE
223491816440: Debug (devicemanager.cpp)[1295] showDeviceInfo:  Type: WordClock         , Id:  4, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: Wordclock
223491816444: Debug (devicemanager.cpp)[1295] showDeviceInfo:  Type: ADAT              , Id:  5, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: ADAT 9-pin
223491816448: Debug (devicemanager.cpp)[1295] showDeviceInfo:  Type: AES               , Id:  7, Valid: 1, Active: 1, Locked 1, Slipping: 0, Description: AES/EBU
223491816457: Debug (devicemanager.cpp)[ 801] initStreaming: Locking device (0x207dce0)
223491816461: Debug (devicemanager.cpp)[ 809] initStreaming: Setting samplerate to 96000 for (0x207dce0)
223491856048: Debug (motu_avdevice.cpp)[ 866] prepare: Preparing MotuDevice...
223491872687: Debug (ieee1394service.cpp)[1266] allocateIsoChannelGeneric: Allocating ISO channel using generic method...
223491872794: Debug (ieee1394service.cpp)[1266] allocateIsoChannelGeneric: Allocating ISO channel using generic method...
223491872901: Debug (motu_avdevice.cpp)[ 911] prepare: recv channel = 0, send channel = 1
223491872963: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting streaming.spm.recv_sp_dll_bw
223491872988: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting streaming.spm.recv_sp_dll_bw
223491872997: Debug (Configuration.cpp)[ 289] getValueForSetting: path 'streaming.spm.recv_sp_dll_bw' not found
223491873032: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting streaming.spm.xmit_sp_dll_bw
223491873052: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting streaming.spm.xmit_sp_dll_bw
223491873060: Debug (Configuration.cpp)[ 289] getValueForSetting: path 'streaming.spm.xmit_sp_dll_bw' not found
223491873074: Debug (Configuration.cpp)[ 394] getDeviceSetting:   temporary has no device definitions
223491873144: Debug (Configuration.cpp)[ 359] getValueForDeviceSetting: device 1F2/102800 not found
223491873161: Debug (Configuration.cpp)[ 394] getDeviceSetting:   temporary has no device definitions
223491873221: Debug (Configuration.cpp)[ 359] getValueForDeviceSetting: device 1F2/102800 not found
223491873238: Debug (StreamProcessor.cpp)[1931] setVerboseLevel: Setting verbose level to 6...
223491873247: Debug (IsoHandlerManager.cpp)[ 711] registerStream: Registering Receive stream 0x20820e0
223491873252: Debug (IsoHandlerManager.cpp)[ 936] pruneHandlers: enter...
223491873272: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.iso_receive_mode
223491873291: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.iso_receive_mode
223491873300: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.iso_receive_mode' not found
223491873315: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.bufferfill_mode_threshold
223491873334: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.bufferfill_mode_threshold
223491873342: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.bufferfill_mode_threshold' not found
223491873358: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.min_interrupts_per_period
223491873377: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.min_interrupts_per_period
223491873386: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.min_interrupts_per_period' not found
223491873401: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.max_nb_buffers_recv
223491873420: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.max_nb_buffers_recv
223491873429: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.max_nb_buffers_recv' not found
223491873444: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.min_packetsize_recv
223491873462: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.min_packetsize_recv
223491873471: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.min_packetsize_recv' not found
223491873476: Debug (IsoHandlerManager.cpp)[ 762] registerStream: Using bufferfill mode (auto) [86, 64]
223491873480: Debug (IsoHandlerManager.cpp)[ 808] registerStream:  creating IsoRecvHandler
223491873484: Debug (IsoHandlerManager.cpp)[1420] setVerboseLevel: Setting verbose level to 6...
223491873487: Debug (IsoHandlerManager.cpp)[1426] registerStream: registering stream (0x20820e0)
223491873490: Debug (IsoHandlerManager.cpp)[ 668] registerHandler: enter...
223491873493: Debug (IsoHandlerManager.cpp)[1420] setVerboseLevel: Setting verbose level to 6...
223491873501: Debug (IsoHandlerManager.cpp)[  88] requestShadowMapUpdate: (0x2068910) enter
223491873504: Debug (IsoHandlerManager.cpp)[  93] requestShadowMapUpdate: (0x2068910) exit
223491873507: Debug (IsoHandlerManager.cpp)[  88] requestShadowMapUpdate: (0x2068b30) enter
223491873510: Debug (IsoHandlerManager.cpp)[  93] requestShadowMapUpdate: (0x2068b30) exit
223491873513: Debug (IsoHandlerManager.cpp)[ 887] registerStream:  registered stream (0x20820e0) with handler (0x2081da0)
223491873521: Debug (IsoHandlerManager.cpp)[ 891] registerStream:  1 streams, 1 handlers registered
223491873525: Debug (StreamProcessorManager.cpp)[ 226] registerProcessor: Registering processor (0x20820e0)
223491873529: Debug (StreamProcessor.cpp)[1931] setVerboseLevel: Setting verbose level to 6...
223491873534: Debug (PortManager.cpp)[ 236] addPortManagerUpdateHandler: Adding PortManagerUpdate handler (0x2081d30)
223491873541: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873546: Debug (motu_avdevice.cpp)[ 956] prepare: Adding ports to receive processor
223491873560: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Mix-L, type: 0, dir: 1
223491873568: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873576: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873584: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Mix-R, type: 0, dir: 1
223491873590: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873593: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873600: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Analog1, type: 0, dir: 1
223491873605: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873609: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873615: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Analog2, type: 0, dir: 1
223491873621: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873624: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873630: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Analog3, type: 0, dir: 1
223491873636: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873644: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873652: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Analog4, type: 0, dir: 1
223491873657: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873660: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873666: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Analog5, type: 0, dir: 1
223491873671: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873674: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873679: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Analog6, type: 0, dir: 1
223491873685: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873687: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873693: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Analog7, type: 0, dir: 1
223491873700: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873703: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873710: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_Analog8, type: 0, dir: 1
223491873717: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873725: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873732: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_unknown-1, type: 0, dir: 1
223491873738: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873741: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873748: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_unknown-2, type: 0, dir: 1
223491873754: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873757: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873764: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_AES/EBU1, type: 0, dir: 1
223491873776: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873779: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873785: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_AES/EBU2, type: 0, dir: 1
223491873792: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873800: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873807: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_cap_MIDI0, type: 1, dir: 1
223491873814: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x2081d30)
223491873817: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491873828: Debug (StreamProcessor.cpp)[1931] setVerboseLevel: Setting verbose level to 6...
223491873835: Debug (IsoHandlerManager.cpp)[ 711] registerStream: Registering Transmit stream 0x2082a20
223491873839: Debug (IsoHandlerManager.cpp)[ 936] pruneHandlers: enter...
223491873857: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.min_interrupts_per_period
223491873877: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.min_interrupts_per_period
223491873882: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.min_interrupts_per_period' not found
223491873896: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.max_nb_buffers_xmit
jack: 4453:223491875339 engine.c:do_request:1218: got a request of type 1
223491873911: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.max_nb_buffers_xmit
jack: 4453:223491875351 engine.c:jack_port_do_register:3764: acquiring graph write lock
223491873915: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.max_nb_buffers_xmit' not found
223491873929: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.max_packetsize_xmit
223491873943: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.max_packetsize_xmit
223491873947: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.max_packetsize_xmit' not found
223491873961: Debug (Configuration.cpp)[ 307] getSetting:   temporary has no setting ieee1394.isomanager.min_packetsize_xmit
223491873975: Debug (Configuration.cpp)[ 307] getSetting:   /usr/share/libffado/configuration has no setting ieee1394.isomanager.min_packetsize_xmit
223491873979: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.min_packetsize_xmit' not found
223491873983: Debug (IsoHandlerManager.cpp)[ 858] registerStream:  creating IsoXmitHandler
223491873986: Debug (IsoHandlerManager.cpp)[1420] setVerboseLevel: Setting verbose level to 6...
223491873989: Debug (IsoHandlerManager.cpp)[1426] registerStream: registering stream (0x2082a20)
223491873992: Debug (IsoHandlerManager.cpp)[ 668] registerHandler: enter...
223491873995: Debug (IsoHandlerManager.cpp)[1420] setVerboseLevel: Setting verbose level to 6...
223491873999: Debug (IsoHandlerManager.cpp)[  88] requestShadowMapUpdate: (0x2068910) enter
223491875020: Debug (IsoHandlerManager.cpp)[  93] requestShadowMapUpdate: (0x2068910) exit
223491875023: Debug (IsoHandlerManager.cpp)[  88] requestShadowMapUpdate: (0x2068b30) enter
223491875026: Debug (IsoHandlerManager.cpp)[  93] requestShadowMapUpdate: (0x2068b30) exit
223491875029: Debug (IsoHandlerManager.cpp)[ 887] registerStream:  registered stream (0x2082a20) with handler (0x2082040)
223491875035: Debug (IsoHandlerManager.cpp)[ 891] registerStream:  2 streams, 2 handlers registered
223491875038: Debug (StreamProcessorManager.cpp)[ 226] registerProcessor: Registering processor (0x2082a20)
223491875042: Debug (StreamProcessor.cpp)[1931] setVerboseLevel: Setting verbose level to 6...
223491875046: Debug (PortManager.cpp)[ 236] addPortManagerUpdateHandler: Adding PortManagerUpdate handler (0x207f120)
223491875052: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875057: Debug (motu_avdevice.cpp)[1023] prepare: Adding ports to transmit processor
223491875066: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Phones-L, type: 0, dir: 0
223491875072: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875075: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875084: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Phones-R, type: 0, dir: 0
223491875089: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875092: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875100: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Analog1, type: 0, dir: 0
223491875105: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875108: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875116: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Analog2, type: 0, dir: 0
223491875120: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875123: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875130: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Analog3, type: 0, dir: 0
223491875135: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875139: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875146: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Analog4, type: 0, dir: 0
223491875151: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875154: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875161: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Analog5, type: 0, dir: 0
223491875166: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875169: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875176: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Analog6, type: 0, dir: 0
223491875181: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875184: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875191: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Analog7, type: 0, dir: 0
223491875198: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875201: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875208: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_Analog8, type: 0, dir: 0
223491875214: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875217: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875224: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_MainOut-L, type: 0, dir: 0
223491875230: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875233: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875239: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_MainOut-R, type: 0, dir: 0
223491875246: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875248: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875256: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_AES/EBU1, type: 0, dir: 0
223491875262: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875265: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875273: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_AES/EBU2, type: 0, dir: 0
223491875279: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875282: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875289: Debug (PortManager.cpp)[ 100] registerPort: Adding port dev0_pbk_MIDI0, type: 1, dir: 0
223491875295: Debug (PortManager.cpp)[ 283] callUpdateHandlers: Calling PortManagerUpdate handler (0x207f120)
223491875298: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491875308: Debug (StreamProcessorManager.cpp)[ 308] setSyncSource: Setting sync source to (0x20820e0)
223491875799: Debug (ffado.cpp)[ 189] ffado_streaming_prepare: Preparing...
223491875803: Debug (StreamProcessorManager.cpp)[ 315] prepare: Preparing...
223491875809: Debug (StreamProcessorManager.cpp)[ 349] prepare: Prepare Receive processors...
223491875813: Debug (StreamProcessorManager.cpp)[ 355] prepare:  note: could not set slaveMode option for (0x20820e0)...
223491875817: Debug (StreamProcessor.cpp)[1066] prepare: Prepare SP (0x20820e0)...
223491875820: Debug (StreamProcessor.cpp)[1070] prepare:  Allocate scratch buffer of 53248 quadlets
223491875824: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Mix-L
223491875827: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Mix-L
223491875831: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Mix-R
223491875834: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Mix-R
223491875837: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Analog1
223491875839: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Analog1
223491875843: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Analog2
223491875845: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Analog2
223491875849: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Analog3
223491875851: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Analog3
223491875854: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Analog4
223491875857: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Analog4
223491875860: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Analog5
223491875863: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Analog5
223491875866: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Analog6
223491875869: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Analog6
223491875872: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Analog7
223491875874: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Analog7
223491875877: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_Analog8
223491875880: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_Analog8
223491875883: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_unknown-1
223491875886: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_unknown-1
223491875889: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_unknown-2
223491875892: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_unknown-2
223491875895: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_AES/EBU1
223491875898: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_AES/EBU1
223491875901: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_AES/EBU2
223491875904: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_AES/EBU2
223491875907: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_cap_MIDI0
223491875910: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_cap_MIDI0
223491875913: Debug (PortManager.cpp)[ 202] initPorts: init ports
223491875916: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Mix-L
223491875919: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Mix-R
223491875921: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Analog1
223491875924: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Analog2
223491875927: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Analog3
223491875929: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Analog4
223491875932: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Analog5
223491875935: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Analog6
223491875937: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Analog7
223491875940: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_Analog8
223491875943: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_unknown-1
223491875946: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_unknown-2
223491875948: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_AES/EBU1
223491875951: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_AES/EBU2
223491875954: Debug (Port.cpp)[  61] init: Initialize port dev0_cap_MIDI0
223491875957: Debug (MotuReceiveStreamProcessor.cpp)[ 105] prepareChild: Preparing (0x20820e0)...
223491875959: Debug (StreamProcessor.cpp)[1104] prepare: Prepared for:
223491875962: Debug (StreamProcessor.cpp)[1106] prepare:  Samplerate: 96000  [DLL Bandwidth: 0.100000 Hz]
223491875971: Debug (StreamProcessor.cpp)[1108] prepare:  PeriodSize: 1024, NbBuffers: 4
223491875974: Debug (StreamProcessor.cpp)[1110] prepare:  Port: 0, Channel: -1
223491875978: Debug (StreamProcessor.cpp)[1650] updateState: Do state transition: ePS_Created => ePS_Stopped
223491875982: Debug (StreamProcessor.cpp)[1357] doStop: Enter from state: ePS_Created
223491875986: Debug (StreamProcessor.cpp)[1368] doStop: Initializing remote ticks/frame to 256.000000
223491875994: Debug (TimestampedBuffer.cpp)[ 140] setNominalRate:  nominal rate 0.000000e+00 => 2.560000e+02
223491875999: Debug (TimestampedBuffer.cpp)[ 100] setBandwidth:  bandwidth 2.441406e-06 => 2.034505e-07
223491876033: Debug (TimestampedBuffer.cpp)[ 365] prepare: Preparing buffer (0x2081f10)
223491876037: Debug (TimestampedBuffer.cpp)[ 367] prepare:  Size=4097 events, events/frame=1, event size=52bytes
223491876040: Debug (TimestampedBuffer.cpp)[ 370] prepare:  update period 16
223491876043: Debug (TimestampedBuffer.cpp)[ 372] prepare:  nominal rate=256.000000
223491876042: Debug (IsoHandlerManager.cpp)[ 134] updateShadowMapHelper: (0x2068910) updating shadow vars...
223491876047: Debug (TimestampedBuffer.cpp)[ 374] prepare:  wrapping at 3145728000.000
223491876050: Debug (IsoHandlerManager.cpp)[ 174] updateShadowMapHelper: (0x2068910) Transmit handler 0x2082040 skipped (disabled)
223491876054: Debug (IsoHandlerManager.cpp)[ 190] updateShadowMapHelper: (0x2068910) updated shadow vars...
223491876333: Debug (StreamProcessor.cpp)[1386] doStop: DLL info: nominal tpf: 256.000000, update period: 16, bandwidth: 2.034505e-07 1/ticks (5.000000e+00 Hz)
223491876341: Debug (TimestampedBuffer.cpp)[ 343] clearBuffer: Clearing buffer
223491876345: Debug (PortManager.cpp)[ 219] preparePorts: preparing ports
223491876349: Debug (StreamProcessor.cpp)[1410] doStop: State switch complete, dumping SP info...
 StreamProcessor 0x20820e0, Receive:
  Port, Channel    : 0, -1
  Packets, Dropped, Skipped : 0, 0, 0
  Now                   : 02372816054 (096s 4401c 0182t)
  Xrun?                 : False
  State                 : ePS_Stopped
  Buffer                : 0x2081f10
  Framerate             : Nominal: 96000, Sync: 96000.000000, Buffer 96000.000000
  TimestampedBuffer (0x2081f10): 0000 frames, 0000 events
   Timestamps           : head:          1.000, Tail: 3145728001.000, Next tail: 3145728001.000
    Head - Tail         : -3145728000.000 (-12288000.000000 frames)
   DLL Rate             : 4096.000000 (256.000000)
   DLL Bandwidth        : 2.034505e-07 1/ticks (5.000000 Hz)
223491876390: Debug (StreamProcessorManager.cpp)[ 363] prepare: Prepare Transmit processors...
223491876396: Debug (StreamProcessorManager.cpp)[ 368] prepare:  note: could not set slaveMode option for (0x2082a20)...
223491876399: Debug (StreamProcessor.cpp)[1066] prepare: Prepare SP (0x2082a20)...
223491876403: Debug (StreamProcessor.cpp)[1070] prepare:  Allocate scratch buffer of 53248 quadlets
223491876406: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Phones-L
223491876410: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Phones-L
223491876413: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Phones-R
223491876416: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Phones-R
223491876419: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Analog1
223491876422: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Analog1
223491876425: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Analog2
223491876428: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Analog2
223491876431: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Analog3
223491876434: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Analog3
223491876437: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Analog4
223491876439: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Analog4
223491876442: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Analog5
223491876445: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Analog5
223491876448: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Analog6
223491876451: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Analog6
223491876454: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Analog7
223491876457: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Analog7
223491876460: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_Analog8
223491876463: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_Analog8
223491876465: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_MainOut-L
223491876468: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_MainOut-L
223491876471: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_MainOut-R
223491876474: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_MainOut-R
223491876477: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_AES/EBU1
223491876480: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_AES/EBU1
223491876483: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_AES/EBU2
223491876486: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_AES/EBU2
223491876489: Debug (StreamProcessor.cpp)[1085] prepare: Setting up port dev0_pbk_MIDI0
223491876492: Debug (Port.cpp)[  92] setBufferSize: Setting buffersize to 1024 for port dev0_pbk_MIDI0
223491876495: Debug (PortManager.cpp)[ 202] initPorts: init ports
223491876498: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Phones-L
223491876501: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Phones-R
223491876504: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Analog1
223491876507: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Analog2
223491876509: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Analog3
223491876512: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Analog4
223491876515: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Analog5
223491876518: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Analog6
223491876520: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Analog7
223491876523: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_Analog8
223491876526: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_MainOut-L
223491876528: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_MainOut-R
223491876531: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_AES/EBU1
223491876534: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_AES/EBU2
223491876536: Debug (Port.cpp)[  61] init: Initialize port dev0_pbk_MIDI0
223491876539: Debug (MotuTransmitStreamProcessor.cpp)[ 516] prepareChild: Preparing (0x2082a20)...
223491876543: Debug (StreamProcessor.cpp)[1104] prepare: Prepared for:
223491876545: Debug (StreamProcessor.cpp)[1106] prepare:  Samplerate: 96000  [DLL Bandwidth: 0.100000 Hz]
223491876549: Debug (StreamProcessor.cpp)[1108] prepare:  PeriodSize: 1024, NbBuffers: 4
223491876552: Debug (StreamProcessor.cpp)[1110] prepare:  Port: 0, Channel: -1
223491876556: Debug (StreamProcessor.cpp)[1650] updateState: Do state transition: ePS_Created => ePS_Stopped
223491876559: Debug (StreamProcessor.cpp)[1357] doStop: Enter from state: ePS_Created
223491876563: Debug (StreamProcessor.cpp)[1368] doStop: Initializing remote ticks/frame to 256.000000
223491876567: Debug (TimestampedBuffer.cpp)[ 140] setNominalRate:  nominal rate 0.000000e+00 => 2.560000e+02
223491876572: Debug (TimestampedBuffer.cpp)[ 100] setBandwidth:  bandwidth 3.814697e-08 => 2.034505e-07
223491876576: Debug (TimestampedBuffer.cpp)[ 365] prepare: Preparing buffer (0x2083b20)
223491876579: Debug (TimestampedBuffer.cpp)[ 367] prepare:  Size=4097 events, events/frame=1, event size=52bytes
223491876582: Debug (TimestampedBuffer.cpp)[ 370] prepare:  update period 1024
223491876585: Debug (TimestampedBuffer.cpp)[ 372] prepare:  nominal rate=256.000000
223491876588: Debug (TimestampedBuffer.cpp)[ 374] prepare:  wrapping at 3145728000.000
223491876812: Debug (StreamProcessor.cpp)[1386] doStop: DLL info: nominal tpf: 256.000000, update period: 1024, bandwidth: 2.034505e-07 1/ticks (5.000000e+00 Hz)
223491876819: Debug (TimestampedBuffer.cpp)[ 343] clearBuffer: Clearing buffer
223491876822: Debug (PortManager.cpp)[ 219] preparePorts: preparing ports
223491876826: Debug (StreamProcessor.cpp)[1410] doStop: State switch complete, dumping SP info...
 StreamProcessor 0x2082a20, Transmit:
  Port, Channel    : 0, -1
  Packets, Dropped, Skipped : 0, 0, 0
  Now                   : 02372827727 (096s 4404c 2639t)
  Xrun?                 : False
  State                 : ePS_Stopped
  Buffer                : 0x2083b20
  Framerate             : Nominal: 96000, Sync: 96000.000000, Buffer 96000.000000
  TimestampedBuffer (0x2083b20): 0000 frames, 0000 events
   Timestamps           : head:          1.000, Tail: 3145728001.000, Next tail: 3145728001.000
    Head - Tail         : -3145728000.000 (-12288000.000000 frames)
   DLL Rate             : 262144.000000 (256.000000)
   DLL Bandwidth        : 2.034505e-07 1/ticks (5.000000 Hz)
223491876862: Debug (StreamProcessorManager.cpp)[ 387] prepare: setting activity timeout to 21333
223491876865: Debug (StreamProcessorManager.cpp)[1613] updateShadowLists: Updating port shadow lists...
223491881768: Debug (IsoHandlerManager.cpp)[ 134] updateShadowMapHelper: (0x2068b30) updating shadow vars...
223491881781: Debug (IsoHandlerManager.cpp)[ 174] updateShadowMapHelper: (0x2068b30) Receive handler 0x2081da0 skipped (disabled)
223491881785: Debug (IsoHandlerManager.cpp)[ 190] updateShadowMapHelper: (0x2068b30) updated shadow vars...
223491883459: Debug (ffado.cpp)[ 209] ffado_streaming_start: ------------- Start -------------
223491883475: Debug (devicemanager.cpp)[ 873] startStreamingOnDevice: Starting stream 0 of device 0x207dce0
223491886070: Debug (IsoHandlerManager.cpp)[ 134] updateShadowMapHelper: (0x2068910) updating shadow vars...
223491886080: Debug (IsoHandlerManager.cpp)[ 174] updateShadowMapHelper: (0x2068910) Transmit handler 0x2082040 skipped (disabled)
223491886084: Debug (IsoHandlerManager.cpp)[ 190] updateShadowMapHelper: (0x2068910) updated shadow vars...
223491889203: Debug (devicemanager.cpp)[ 873] startStreamingOnDevice: Starting stream 1 of device 0x207dce0
223491891796: Debug (IsoHandlerManager.cpp)[ 134] updateShadowMapHelper: (0x2068b30) updating shadow vars...
223491891802: Debug (IsoHandlerManager.cpp)[ 174] updateShadowMapHelper: (0x2068b30) Receive handler 0x2081da0 skipped (disabled)
223491891805: Debug (IsoHandlerManager.cpp)[ 190] updateShadowMapHelper: (0x2068b30) updated shadow vars...
223491896325: Debug (StreamProcessorManager.cpp)[ 908] start: Starting Processors...
223491896331: Debug (StreamProcessorManager.cpp)[ 398] startDryRunning: Putting StreamProcessor streams into dry-running state...
223491896335: Debug (StreamProcessorManager.cpp)[ 399] startDryRunning:  Schedule start dry-running...
223491896344: Debug (StreamProcessor.cpp)[1156] scheduleStartDryRunning: for Transmit SP (0x2082a20)
223491896347: Debug (StreamProcessor.cpp)[1163] scheduleStartDryRunning:   Now                   : 02373307228 (096s 4560c 2908t)
223491896351: Debug (StreamProcessor.cpp)[1168] scheduleStartDryRunning:   Start at              : 02373921505 (096s 4760c 2785t)
223491896357: Debug (IsoHandlerManager.cpp)[1027] startHandlerForStream:  starting handler 0x2082040 for stream 0x2082a20
223491896362: Debug (IsoHandlerManager.cpp)[  88] requestShadowMapUpdate: (0x2068910) enter
223491896366: Debug (IsoHandlerManager.cpp)[  93] requestShadowMapUpdate: (0x2068910) exit
223491896372: Debug (StreamProcessor.cpp)[1156] scheduleStartDryRunning: for Receive SP (0x20820e0)
223491896376: Debug (StreamProcessor.cpp)[1163] scheduleStartDryRunning:   Now                   : 02373307916 (096s 4561c 0524t)
223491896379: Debug (StreamProcessor.cpp)[1168] scheduleStartDryRunning:   Start at              : 02373922242 (096s 4761c 0450t)
223491896383: Debug (IsoHandlerManager.cpp)[1027] startHandlerForStream:  starting handler 0x2081da0 for stream 0x20820e0
223491896387: Debug (IsoHandlerManager.cpp)[  88] requestShadowMapUpdate: (0x2068b30) enter
223491896390: Debug (IsoHandlerManager.cpp)[  93] requestShadowMapUpdate: (0x2068b30) exit
223491896393: Debug (StreamProcessorManager.cpp)[ 432] startDryRunning:  Waiting for all SP's to be dry-running...
223491901815: Debug (IsoHandlerManager.cpp)[ 134] updateShadowMapHelper: (0x2068b30) updating shadow vars...
223491901820: Debug (IsoHandlerManager.cpp)[1859] updateState: (0x2081da0) handler needs state update from 0 => 1
223491901824: Debug (IsoHandlerManager.cpp)[1861] updateState: handler has to be enabled
223491901827: Debug (IsoHandlerManager.cpp)[1700] enable: start on cycle 0
223491901869: Debug (IsoHandlerManager.cpp)[1724] enable: Preparing iso handler (0x2081da0, client=0x20820e0)
  Handler type................: Receive
  Port, Channel...............:  0,  0
  Buffer, MaxPacketSize, IRQ..:   64, 1040,   32
  Last cycle, dropped.........:   -1,    0,    0
223491902093: Debug (IsoHandlerManager.cpp)[ 171] updateShadowMapHelper: (0x2068b30) Receive handler 0x2081da0 added
223491902099: Debug (IsoHandlerManager.cpp)[ 190] updateShadowMapHelper: (0x2068b30) updated shadow vars...
223491906104: Debug (IsoHandlerManager.cpp)[ 134] updateShadowMapHelper: (0x2068910) updating shadow vars...
223491906110: Debug (IsoHandlerManager.cpp)[1859] updateState: (0x2082040) handler needs state update from 0 => 1
223491906113: Debug (IsoHandlerManager.cpp)[1861] updateState: handler has to be enabled
223491906116: Debug (IsoHandlerManager.cpp)[1700] enable: start on cycle 0
223491906149: Debug (IsoHandlerManager.cpp)[1724] enable: Preparing iso handler (0x2082040, client=0x2082a20)
  Handler type................: Transmit
  Port, Channel...............:  0,  1
  Buffer, MaxPacketSize, IRQ..:  128, 1040,   42
  Speed ..................:  2
  Min ISOXMT bufferfill : 7999
  Last cycle, dropped.........:   -1,    0,    0
223491906399: Debug (IsoHandlerManager.cpp)[ 171] updateShadowMapHelper: (0x2068910) Transmit handler 0x2082040 added
223491906405: Debug (IsoHandlerManager.cpp)[ 190] updateShadowMapHelper: (0x2068910) updated shadow vars...
223491906419: Debug (IsoHandlerManager.cpp)[1630] getPacket: Handler for Transmit SP 0x2082040 is alive (cycle = 0)
223491906426: Debug (StreamProcessor.cpp)[ 783] getPacket: Should update state from ePS_Stopped to ePS_WaitingForStream
223491906430: Debug (StreamProcessor.cpp)[1650] updateState: Do state transition: ePS_Stopped => ePS_WaitingForStream
223491906433: Debug (StreamProcessor.cpp)[1430] doWaitForRunningStream: Enter from state: ePS_Stopped
223491906437: Debug (StreamProcessor.cpp)[1444] doWaitForRunningStream: State switch complete, dumping SP info...
 StreamP

01/05/10 14:23:40 changed by jwoithe

Thanks for that. Hmm. Perhaps we've got the packet layout slightly wrong for 2x and 4x rates. The crazy meter behaviour tends to suggest that something isn't quite right. The easiest way to resolve that is to find out the size of the packets being sent by the 896HD at those rates.

To this end I have added a simple debug output to the receive side of things (only compile-tested). When the first data packet is received the size of this will be printed in the "-v 6" output. This is in trunk of r1784 (just do a "svn update" from inside your existing libffado/ directory; then scons as per normal). After installing, run this at a 2x rate and find the line which includes "Packet from MOTU: length =" in the output. Let's see what that is and take things from there.

01/05/10 14:49:14 changed by sireasoning

96k

227384470818: Debug (MotuReceiveStreamProcessor.cpp)[ 163] processPacketHeader: Packet from MOTU: length = 840

44.1k

227714516548: Debug (MotuReceiveStreamProcessor.cpp)[ 163] processPacketHeader: Packet from MOTU: length = 424

192k

227844534611: Debug (MotuReceiveStreamProcessor.cpp)[ 163] processPacketHeader: Packet from MOTU: length = 1160

01/05/10 15:05:13 changed by jwoithe

Thanks for this. Based on these numbers, with ADAT turned off (which is your situation) we have 14 channels for 1x rate (which we knew from previous work), 14 channels for a 2x rate and 8 channels (plus some padding) for the 4x rate. This agrees with what FFADO reports for your earlier 2x rate test and, I expect, also agrees with the ports selected by FFADO at 4x rates. So if there's still a MOTU driver issue here I don't think it's due to references beyond the end of the packet data.

Of course just because we have the right packet size doesn't necessarily mean our idea of the location of each channel within the packet is correct. It shouldn't be dramatically wrong though, and in any case should not give rise to shutdown issues.

You mentioned that it (jackd presumedly) did get killed when you did ctrl-C on it. That's interesting; I wonder if a qjackctl update is necessary to run with the latest jackd (although I'm not aware of any incompatibilities). What version of qjackctl is running on your system?

Finally, the programmable meter which lights up at 2x rates: do you happen to know what that's currently set up to meter? That might give us a clue as to what is going full-scale.

01/05/10 17:16:16 changed by sireasoning

Firstly, it seems like they all do it. 1x went to 1, 2x went to 3, and 4x went to 1. I am not exactly aware of how everything works. But my understanding is that one has to manually make connections (which I generally do through qjackctl) so I don't know why Jack would make a connection when I run it from the console. Is there a config file I can delete or change that might be the issue here?

01/05/10 17:19:18 changed by sireasoning

qjackctl is 0.3.4 Build: 2/13/2009 04:11:48 Jack Port aliases support disabled

01/05/10 17:31:16 changed by jwoithe

Sorry, I'm a bit confused here. What do you mean when you say "1x went to 1, 2x went to 3, and 4x went to 1"? What's the "1" and "3" referring to here in particular? Oh hang on, are you saying that meter 1 lit at 1x, meter 3 at 2x and meter 1 at 4x? Do the meters stay lit all the time or do they go out after a while? Do they remain constant or bounce around?

Your understanding is correct about jackd not making connections between jack ports by itself; you do indeed need to have something else make the connections. Are you suspecting auto-connections because of the meter activity? In any case, if there *were* auto connections I would expect it to be the other way around - made by qjackctl and not when starting via a command line.

The version of qjackctl your system has is fairly old - nearly 12 months. A lot has been done with qjackctl in that time - I'll have a quick look and see if there's any reason to suspect that an upgrade might help and advise accordingly. This wouldn't explain the meter issues but may address the apparent freezes when qjackd is used to stop jackd.

When running jackd from the command line, does jackd appear to exit cleanly at all sample rates when ctrl-C is pressed?

01/05/10 18:25:18 changed by sireasoning

The meters stay lit all the time (at least for the short time I ran them). I did not see any jumping between meters either.

I am not sure by what you mean by exit cleanly since I created an interrupt via ctrl-C. There are no rogue versions of jack running after I interrupted it though. I did include a dump at 96k although it looks like it got cut off by this trac program. I could do a quick start and kill at 1x, 2x and 4x and upload a file for each if you wish.

01/05/10 18:50:08 changed by jwoithe

That's interesting about the meters. Do you know what they are currently set up to monitor (since they're programmable on the 896HD as far as I know). At any one time I take it that you're seeing only one meter active though - right?

Ah, writing the above comment just reminded me of something: the trunk of ffado includes a hard-wired 1 kHz test tone at 0dBFS for the MOTU driver (it's present to help evaluate clocking issues). It's hardwired to a set location in the data packet: 6 bytes in from the start of audio data. Based on my current understanding of the port layout in the 896HD packet this would put it in analog-1 for 1x and 2x rates, and analog-3 for 4x rates. Assuming the meters are currently configured to monitor the analog outputs this is probably what you're seeing. The only remaining mystery then would be why it was analog-3 at the 2x rate rather than at the 4x rate as I would expect. Could you perhaps re-test 96k and 192k and see which meter is lit for each of these? In any case that's probably the meter behaviour explained.

By "clean exit" I mean that jackd exits without segfaulting or anything when Ctrl-C is pressed. If it does then at this point I would be inclined to think that the freeze you reported when using qjackctl might be a qjackctl issue. I agree that it seems that Trac truncated your 96 kHz log so the interesting but (the end) wasn't visible. You could get around this by putting the log in as an attachment. Otherwise just post the last 50 or so lines - that should be sufficient to confirm a clean exit.

01/05/10 19:49:51 changed by sireasoning

192k = #3, 96k = #1, 44.1 = #1 so it looks like you may be onto it. I am including the dumps for all three of these as attachments.

01/05/10 19:52:25 changed by sireasoning

  • attachment 44.1k added.

ctrl-c at 44.1k

01/05/10 19:53:10 changed by sireasoning

  • attachment 96k added.

ctrl-c at 96k

01/05/10 19:54:08 changed by sireasoning

  • attachment 192k added.

ctrl-c at 192k

01/05/10 21:20:28 changed by jwoithe

Thanks for the confirmation of the meter numbers. That pretty much explains that. Note that the test tone is only present for debug levels greater than 5 or 6 (I can't recall which off-hand). So if you run jackd without the post "-dfirewire" "-v ..." option you should find it no longer present. You could also loose the pre "-dfirewire" "-v" option (which switches the jackd core into verbose mode) - we don't really need the higher-level jack debugging output at this stage. Omitting this shouldn't affect the FFADO output from it's "-v" option.

Thanks also for the attachments. According to these attached logs jackd is exitting correctly when you hit ctrl-C from the command line. I'm therefore unsure of what could be causing issues for qjackctl when it's used to shut jackd down. Based on your earlier descriptions it sounds like qjackctl itself is freezing for some reason, perhaps due to a change in the way it has to interact with newer jack releases. However, looking at the qjackctl changelog between 0.3.4 and the current release (0.3.5) I can't see any indication of a need to use 0.3.5 with more recent jack releases, nor do I see anything mentioned which matches the freezes you report. So all in all it's puzzling as to why you're getting the freezes with qjackctl.

It would be good to try to work out what's going on here so we know whether this particular ticket can be closed. So I guess the first thing to do is to re-run jack via qjackctl and then try to stop it. Assuming that qjackctl still freezes (it is qjackctl that's freezing, right?) try to work out whether jackd itself has exitted or what state it's in ("ps auxw" might be helpful for this). The other thing that might be worth trying is to use qjackctl to start jackd using the ALSA backend (I assume you have some form of onboard soundcard using ALSA). Then try shutting that down with qjackctl and see whether the freeze still occurs. This at least will give some indication as to whether the problem is FFADO or exists higher up the chain.

(follow-up: ↓ 55 ) 01/05/10 21:27:55 changed by sireasoning

I was starting ffado-mixer and got these error messages (it froze and created a run condition the first time I ran it, but appeared to work fine the second time after I killed the first instance.

23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana6_boost on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana6_boost switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana8_boost on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana8_boost switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana2_level on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana2_level switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana3_level on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana3_level switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana2_boost on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana2_boost switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana4_boost on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana4_boost switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana6_level on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana6_level switch is 0
23:14:12 motu             DEBUG    /Mixer/Mix3/Mix_mute switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana8_level on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana8_level switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana5_level on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana5_level switch is 0
23:14:12 motu             DEBUG    /Mixer/Mix1/Mix_mute switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana3_boost on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana3_boost switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana5_boost on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana5_boost switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana7_boost on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana7_boost switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana7_level on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana7_level switch is 0
23:14:12 motu             DEBUG    /Mixer/Mix4/Mix_mute switch is 1
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana1_level on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana1_level switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana4_level on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana4_level switch is 0
23:14:12 dbus             ERROR    Failed to get Discrete /org/ffado/Control/DeviceManager/0001f20000015a02/Mixer/Control/Ana1_boost on server org.ffado.Control
23:14:12 motu             DEBUG    /Mixer/Control/Ana1_boost switch is 0

01/05/10 21:38:43 changed by sireasoning

hmmm. I tried ALSA and it worked fine. I then went throught the progressions and 44.1, 48, 88.2, and 96 started and stopped fine but 192 froze and I had to manually kill qjackctrl and then do a kill -KILL for jackd.

The main difference is that this jack parameter line was /usr/bin/jackd -R -dfirewire -r192000 -p1024 -n3 (the main difference from before was an additional -p1024 and a -n4, plus a pre -v) I may play around with parameters and see if that makes a difference.

(follow-up: ↓ 56 ) 01/05/10 21:51:03 changed by sireasoning

At least some of this appears to be a qjackctl issue as I was able to isolate the issue to when I had the qjackctl messages window open at 96k. It still freezes at 192k regardless of whether the messages window is open or not.

(in reply to: ↑ 52 ) 01/05/10 22:08:48 changed by jwoithe

Replying to sireasoning:

I was starting ffado-mixer and got these error messages ...

Thanks for this. I think I've fixed this in r1785 (coded but not runtime-tested). The problem was simple: the driver doesn't implement level/boost controls for the 896HD (mostly because I've been lead to believe that the interface hardware doesn't support them) but the ffado-mixer was still expecting them. For the moment I've disabled these controls in ffado-mixer, but if it turns out the 896HD does have hardware support for these controls please let me know and I'll activate them.

(in reply to: ↑ 54 ) 01/05/10 22:17:50 changed by jwoithe

Replying to sireasoning:

At least some of this appears to be a qjackctl issue as I was able to isolate the issue to when I had the qjackctl messages window open at 96k ...

This is certainly a strange one. Given that jackd stops correctly when run from the command line I'm inclined to think that this might indeed be a qjackctl issue. If your distribution has packaged version 0.3.5 I'd be inclined to upgrade at this point and re-test. Of course it may also be a ffado issue but not specific to the 896HD - only time will tell I guess. The additional command line options you mentioned should not cause the freezing (they should have no dramatic effect at all). For completeness you might like to get qjackctl to do "-n 4" instead of "-n 3" but I'd be surprised if this changed anything.

The other thing I can suggest at this point is to enable verbose ("-v 6") ffado (backend) output from within qjackctl in such a way that you can see the jackd output. Then do the start/stop tests again. Perhaps at "-v 6" level there might be some clue as to where jackd/ffado is getting hung up and we can take a closer look.

Otherwise, perhaps see if there's an Ubuntu qjackctl update available and take it from there. If there isn't we'll have to re-evaluate.

01/05/10 22:21:50 changed by sireasoning

Do you mean the mic/line switch? The 896hd does have that on the rear panel. If it is a software switch you are looking for, I could pop into windows and look at their cuemix software if you tell me what to look for.

01/05/10 22:26:21 changed by jwoithe

These are software switches I'm referring to. If present they would be available for the analog controls and go by names like "boost" and/or "level". They are toggle controls (on/off). On other MOTU interfaces these two controls are mostly applied to line-level inputs; since the 896HD's analog ins all have mic pres (AFAIK) I am fairly sure they won't be present. However, if it's not too much hassle please do check and report back - then we'll know for sure.

Unfortunately the web's not much use for this and the 896HD manual isn't available for download from MOTU :-( so I couldn't find this out for myself.

01/05/10 22:29:01 changed by sireasoning

I compiled and installed qjackctl 3.5 but it did not resolve the messages issue. Since I can't seem to find my original post on the messages issue, I will restate here:

I seem to have isolated the issue to qjackctl's messages window being open when stopping jackd. If I close the messages window, then all but 192k will stop properly. The problem still exists for 192k regardless of the messages window being open or not.

I do have the MOTU manual in front of me and am currently researching....

01/05/10 22:36:03 changed by sireasoning

The manual says that under 4x the 896hd provides 8 channels of analog input and 10 channels of analog output (8 XLR outputs plus stereo headphone out) simultaneously.

So that means that you can include the stereo headphone outputs for the 896HD at 4x!

01/05/10 22:43:08 changed by sireasoning

hmmm, well maybe not. this next paragraph confuses me....

"The headphone output can be assigned to any analog pair or the PHONES setting.... But at the 4x sample rates, the PHONES output is not available from the computer. Instead, it is only available as a destination for the two cuemix DSP mixes. In other words, it can only take cuemix inputs."

So it says that it has a stereo headphone out that you can't use?

01/05/10 22:55:01 changed by jwoithe

Thanks for trying qjackctl 0.3.5. To move forward on the freezes I think we'll have to find a way to make qjackctl insert the "-v 6" after the "-d firewire" option when starting jackd. That way, by viewing the jackd output (if that's possible) we might get a better idea of where jackd/ffado is freezing and therefore where the problem might lie.

01/05/10 22:59:33 changed by jwoithe

That's interesting information about the channels available at 4x rates. What's most interesting about this though is that in terms of the packets coming back from the device at 4x (as we found earlier today) it's only sending 8 channels. At 1x and 2x rates, the spot used in the packet for the headphones send is used for the so-called "mix1" "channel" in the return direction. If MOTU were to send 10 channels to the device I would have expected them to also send 10 channels from the device and include this mix channel at 4x rate. They clearly don't given the packet size coming back from the device.

The other thing to note about this is that the test tone we were talking about earlier shows up as analog-3 at a 4x rate, but as analog-1 on other rates. At 1x and 2x rates the phones sends are in the first two audio channel slots with Analog-1 following at slot 3. The test tone is hardwired to slot 3, so it shows up as analog-1 at 1x and 2x rates - so far so good. At 4x rate the tone is on analog-3, so that means that analog-3 must be at slot 3 when running at 4x rates. This implies that analog-1/2 is at slot 1/2 at 4x rates, displacing the phones send.

Having written the above I then saw your followup, which more or less confirms what I have concluded. At 4x rate there is no separate phones mix sent to the device by the PC. One can still use the phones output by assigning the phones to an analog output pair or by directing a CueMix? bus to them, but you can't send directly to the phones by the PC like you can at 1x and 2x rates. This doesn't surprise me - I'm pretty sure this is the case for all MOTU devices which do 4x rates.

01/05/10 23:03:45 changed by sireasoning

In the "Working with a Mix" section about their cuemix software they have the following:

"* Pan, volume, mute and solo for each input"

Is this the section where we would expect a mention of the "boost" or "level" toggle?

(follow-up: ↓ 71 ) 01/06/10 01:03:16 changed by sireasoning

I have to say that the recording is so much smoother with your drivers than the ones in Windows. I would get occasional pops and static running randomly through the 896hd in WinXP. But so far tonight, it was nothing but smoothness....I will see what happens when I add more than 3 tracks... but it didn't take many tracks in windows to make things pretty frustrating.

01/06/10 01:43:35 changed by jwoithe

Regarding boost/level: the boost/level switches - if present - are common to all mixes. That is, they are controls for the physical input rather than having one per control per mix. The pan, volume etc controls have one control per physical input in each individual mix. In contrast there would be only one set of boost/level controls for the entire system.

I've just re-read your previous message where you mentioned the mic/line switch. This is very close conceptually to the "level" switch I'm referring to. Given that the mic/line switch is a hardware switch on the 896HD I'd say that the 896HD doesn't in fact have software controls for boost and/or level and that therefore the fix I applied earlier is correct. However, if you do find mention of these (or any other controls) in the manual which are not present in ffado-mixer, please drop me a line and we'll try to rectify the omission.

I'm happy to hear that things now seem to be running well for you. I'll leave this ticket open for a bit longer to allow us to confirm that the initial issue is well and truly fixed (and to allow us to tie up the last few loose ends). Obviously if you do discover any other issues please do raise further tickets. Alternatively you can always drop a note on the ffado-users or ffado-devel mailing lists, especially if the issue is not easily defined.

01/07/10 21:55:54 changed by jwoithe

  • milestone changed from FFADO 2.1 to (None).

A quick note: I'll be travelling over the next week or so for Linux.conf.au. I'll keep an eye on this ticket but might not be able to respond as quickly over that time. Hopefully the problems are behind us. If so, could you confirm at some point so I can close the ticket as fixed?

01/10/10 12:47:22 changed by

  • milestone deleted.

Milestone (None) deleted

01/10/10 12:48:56 changed by arnonym

  • milestone set to FFADO 2.1.

01/10/10 12:50:11 changed by arnonym

  • milestone deleted.

(in reply to: ↑ 65 ) 01/17/10 14:03:44 changed by jwoithe

Replying to sireasoning:

I have to say that the recording is so much smoother with your drivers than the ones in Windows. I would get occasional pops and static running randomly through the 896hd in WinXP. But so far tonight, it was nothing but smoothness....I will see what happens when I add more than 3 tracks... but it didn't take many tracks in windows to make things pretty frustrating.

I'm back online at the conference now. Do you have anything further to add in relation to this ticket? If things appear to work now at 1x and 2x rates then we can probably close it. Please advise.

01/17/10 18:50:48 changed by sireasoning

I have had no issues at 1x and 2x although I haven't pushed it too hard yet. We could probably close it for 1x and 2x. I have been mostly learning my wind synth so I have only done some light recording, but that has been without issue.

01/18/10 15:09:25 changed by jwoithe

  • status changed from assigned to closed.
  • resolution set to fixed.

Excellent - thanks for the feedback. Certainly the original ffado-mixer bug is now fixed and I'm reasonably confident that the 1x and 2x crashing bug has also been fixed. If the issue reappears please reopen this ticket; alternatively if something else crops up please create a new ticket and we can take things from there.

Thanks again for the initial report and ongoing testing.

02/13/10 02:41:21 changed by sireasoning

After updating to your last fixes for ffado-mixer over svn, I was able to compile and run jack2 (previously I could only get jack1 to work). I did not have the issue of lockup at 192k when stopping jackd via qjackctl with jack2.